2020-03-15, Version 5.11.0
	* collectd: A Code of Conduct has been added. Thanks to Florian Forster.
	  #3401
	* text protocol: Support for meta_data in PUTVAL has been added. Thanks
	  to Rafael Marinheiro, Dagobert Michelsen. #3381, #2726
	* utils_cache: Internal API has changed - exposed meta_data_toc
	  function. Thanks to Javier Kohen. #3339
	* filter_chain: Auto load matches and targets if AutoLoadPlugin option
	  is set. Thanks to Manuel Luis Sanmartín Rozada. #1034
	* AMQP plugin: TLS support has been added. Thanks to Märt Bakhoff.
	  #3391
	* Battery plugin: Read from Linux sysfs charge files has been added.
	  Thanks to Nimrod Maclomhair. #3190
	* Buddyinfo plugin: New plugin for memory fragmentation info has been
	  added. Thanks to Asaf Kahlon. #3303
	* capabilities plugin: New plugin to read static platform data has been
	  added. Thanks to Kamil Wiatrowski, Dagobert Michelsen. #3384, #3292
	* DCPMM plugin: New plugin for Intel Optane DC Presistent Memory (DCPMM)
	  has been added. Thanks to Hari TG. #3274
	* DF plugin: LogOnce option has been added. Thanks to themylogin. #2910
	* DPDK Telemetry plugin: New plugin to fetch DPDK metrics (with intent
	  to replace dpdk_stat) has been added. Thanks to Reshma Pattan. #3273
	* Disk plugin: A native (sysctl-based) implementation for NetBSD has
	  been added. Thanks to Edgar Fuß, Dagobert Michelsen. #3379, #3334
	* GPU_Nvidia‏‎ plugin: Configurable plugin instance by GPU name
	  and/or GPU index has been added. Thanks to Robert Dietrich. #3264
	* Intel_PMU plugin: Support for uncore multi pmu has been added. Thanks
	  to Kamil Wiatrowski. #3388
	* Ipstats plugin: New plugin to count incoming, outgoing, forwarded
	  packets on FreeBSD has been added. Thanks to Marco van Tol. #3187
	* Java plugin: Support boolean input has been added. Thanks to Caden.
	  #3044
	* Logparser plugin: New plugin for filtering and parsing log messages
	  has been added. Thanks to Kamil Wiatrowski, Krzysztof Matczak, Marcin
	  Możejko, Adrian Boczkowski, Radosław Jabłonski. #3045
	* Network plugin: New metadata "network:ip_address" has been added.
	  Thanks to Takuro Ashie. #3191
	* NFS plugin: An implementation for NetBSD (using sysctl) has been
	  added. Thanks to Edgar Fuß, Dagobert Michelsen. #3377, #3333
	* NUT plugin: Support for the "output.realpower" value from the ups code
	  has been added. Thanks to Michael Poetters. #2528
	* Redfish plugin: New read plugin to collect out-of-band sensor data
	  from Redfish endpoints has been added. Thanks to Marcin Możejko,
	  Adrian Boczkowski, Michal Kobyliński, Krzysztof Kepka, Man Singh,
	  Zoltan Szabo. #2926
	* Slurm plugin: The new SLURM plugin gathers metrics from the SLURM
	  workload manager has been added. Thanks to Pablo Llopis. #3037
	* Tail_CSV plugin: FieldSeparator option has been added. Thanks to
	  Dheeraj Gupta. #3394
	* UBI plugin: The new "ubifs" plugin reports block state for flash
	  memory devices with UBIFS filesystem has been added. Thanks to Pierre
	  Lebleu. #3204
	* Write_HTTP plugin: Ability to configure cURL statistics has been
	  added. Thanks to Nelson. #3265
	* Write_Influxdb_UDP plugin: New plugin to send values to InfluxDB using
	  line protocol via udp has been added. Thanks to Carlos Peón Costa.
	  #3162
	* Zookeeper plugin: 'quorum' stat has been added. Thanks to Chris Brown.
	  #2991
	* collectd: Missing package in specfile has been fixed. Thanks to Fabien
	  Wernli. #3399
	* collectd: Factored out read_text_file_contents for reading text files
	  and used it to fix a potential unterminated string in the thermal
	  plugin. Thanks to Igor Peshansky. #3359
	* collectd: Error/warning messages has been extended with more
	  information. Thanks to Dagobert Michelsen. #3386
	* collectd: Regression caused by #3217 has been fixed. Thanks to Pavel
	  Rochnyak. #3349
	* build: version-gen.sh has been cleaned up. Thanks to William Pursell.
	  #2635
	* build: Linking with Python 3.8 has been fixed. Thanks to Alexander
	  Meshcheryakov. #3344
	* build: Avoid $< (implied source) in non-inference rules / Building
	  grpc with non-GNU make has been fixed. Thanks to Edgar Fuß, Dagobert
	  Michelsen. #3376, #3330
	* filter_chain: Constant for max plugin name length introduced in #1034
	  has been fixed. Thanks to Dagobert Michelsen. #3385
	* ignorelist: Coding style has been fixed. Thanks to Dagobert Michelsen.
	  #3397
	* match_regex: Accept all data types of meta data. Thanks to Takuro
	  Ashie. #3231
	* perl unixsock: Made the module robust against socket errors and
	  disconnects. Thanks to Guillem Jover. #3083
	* tree-wide: Race condition when setting thread names has been fixed.
	  Thanks to Michael Kaufmann. #2762
	* types.db: ping_droprate range spec has been fixed. Thanks to Yousong
	  Zhou. #3244
	* utils/format_graphite: Comma sign has been added to the list of
	  prohibited characters. Thanks to Marat Salimzianov. #2998
	* Aggregation plugin: Unreachable clause where both tmp_plugin and
	  tmp_plugin_instance are non-empty has been fixed. Thanks to Ling
	  Huang. #3350
	* AMQP1 plugin: Leaks on error paths has been fixed. Thanks to Ryan
	  McCabe. #3352
	* Apache plugin: BusyWorkers/IdleWorkers update has been fixed. Thanks
	  to Christian W. Zuckschwerdt. #3131
	* CPU plugin, Memory plugin, Swap plugin, UUID plugin: Contain use of
	  sysctl / sysctrlbyname to BSD variants, as deprecated on Linux. Thanks
	  to Zebity Spring. #3342
	* Exec plugin: Select has been replaced with poll to allow more then
	  1024 open file descriptors. Thanks to Kamil Wiatrowski. #3363
	* GPU_Nvidia plugin: Build issues has been fixed. Thanks to Ruben
	  Kerkhof. #3393
	* Interface plugin: Reorder so that Linux-specific code is actually
	  executed. Thanks to Dagobert Michelsen. #3378
	* NFS plugin: Condition on existence of libkstat has been fixed. Thanks
	  to Dagobert Michelsen. #3382
	* Network plugin: Memory leak has been fixed. Thanks to Ryan McCabe.
	  #3352
	* Processes plugin: Number of running processes has been fixed. Thanks
	  to Bart De Vos. #3243
	* Write_Riemann plugin: Memory leak has been fixed. Thanks to Fabien
	  Wernli. #3351
	* Write_Stackdriver plugin: NaN value handing with gauge metrics has
	  been fixed. Thanks to Jaroslaw Przybylowicz. #3226


2019-10-17, Version 5.10.0
	* turbostat plugin: Power metrics update for recent server CPUs. Thanks
	  to Chris MacNamara. #3276
	* turbostat plugin: Fix warnings generated by the turbostat plugin.
	  Thanks to Ryan Mccabe. #3340
	* ZFS ARC plugin: New cache values are now read on Linux. Thanks to
	  Jan-Philipp Litza. #3247, #2843
	* connectivity plugin: monitor the network interface up/down status via
	  the netlink library. Thanks to Andrew Bays. #2622
	* sysevent plugin: A new plugin that monitors rsyslog for system events.
	  Thanks to Andrew Bays. #2624
	* procevent plugin: A new plugin that monitors process starts/stops via
	  netlink library. Thanks to Andrew Bays. #2623
	* daemon: Check if plugin actually loaded before reporting configuration
	  issues. Thanks to Pavel Rochnyak. #3217
	* daemon: Recover setlocale() call in src/daemon/collectd.c do_init().
	  Thanks to Pavel Rochnyak. #3181, #3214
	* Build System: Only include <sys/sysctl.h> when needed. Thanks to Ruben
	  Kerkhof. #3298
	* Build System: Link to libnsl.so if needed for inet_ntop(). Thanks to
	  Dagobert Michelsen. #3291
	* Build System: Remove double "without" added by commit b781871. Thanks
	  to Fabrice Fontaine. #3261
	* Build System: fix compile time issues. Thanks to Matthias Runge.
	  #3179, #3242, #3245
	* Build System: Fix activation of snmp_agent. Thanks to Fabrice
	  Fontaine. #3241
	* Build System: Fix bug that leads to CPPFLAGS gets overridden with
	  CFLAGS when libxmms is enabled. Thanks to Dagobert Michelsen. #3207
	* perl module: Collectd::Plugins::Openvz: Fix indentation of some
	  closing curlies. Thanks to Christian Bartolomäus. #3239
	* tree-wide: Fix a few issues found with LGTM. Thanks to Ruben Kerkhof.
	  #3252
	* tree-wide: fix ssnprintf wrapper. Thanks to Fabien Wernli.
	  #3237, #3232, #3235, #3236
	* tree-wide: Fix make check. Thanks to Ruben Kerkhof. #3306
	* CI System: Travis: switch to Bionic. Thanks to Ruben Kerkhof. #3307
	* CI System: Travis improvements for MacOS. Thanks to Ruben Kerkhof.
	  #3308
	* MySQL plugin: Minor documentation improvements. Thanks to Christian
	  Bartolomäus. #3288
	* Java plugin: Fix typo in an error message. Thanks to Matthias Runge.
	  #3285, #3286
	* sysevent plugin: Add a few missing calloc result checks in the
	  sysevent_init function. Thanks to Andrew Bays. #3282
	* ZFS ARC plugin: A bug that caused the first to values to be skipped
	  was fixed. Thanks to Jan-Philipp Litza. #3246
	* SysLog plugin: restore previous behaviour: fallback to info for
	  unsupported level. Thanks to Fabien Wernli. #3236, #3238
	* virt plugin: Fix memory leak with libvirt MetadataXPath enabled.
	  Thanks to Pavel Rochnyak. #3225, #3228
	* GPU NVidia plugin: Fix build of the plugin. Thanks to Ruben Kerkhof.
	  #3320

2019-10-01, Version 5.9.2
	* syslog plugin: Don't fail if syslog loglevel doesn't match. Thanks to
	  Fabien Wernli. #3236 #3238
	* collectd: Fix ssnprintf wrapper. Thanks to Fabien Wernli. #3237
	* rdt plugin: Fix compile time issues. Thanks to Matthias Runge. #3245

2019-07-24, Version 5.9.1
	* collectd: redhat spec: fix build due to new upstream plugins. Thanks
	  to Fabien Wernli. #3175
	* collectd: regex match: Fix unexpected match with empty meta data .
	  Thanks to Takuro Ashie. #3178
	* collectd: Fix return value or loglevel for several plugins. Thanks to
	  Fabien Wernli. #3182
	* collectd: Add standard include early or _FILE_OFFSET_BITS will have
	  definition … . Thanks to Dagobert Michelsen. #3193
	* collectd: Use GCC-specific flags only when compiling with GCC. Thanks
	  to Dagobert Michelsen. #3195
	* Use test_utils_proc_pids only when compiling the plugin that uses it.
	  Thanks to Dagobert Michelsen. #3197
	* DNS plugin: Do not use headers from glibc. Thanks to Pavel Rochnyak.
	  #3156, #3145
	* collectd: Add missing definitions for libnetsnmpagent. Thanks to
	  Dagobert Michelsen. #3203
	* collectd: Move Makefile rules for pid_test inside conditional for
	  code. Thanks to Dagobert Michelsen. #3206
	* collectd: Recover setlocale() call in src/daemon/collectd.c do_init().
	  Thanks to Pavel Rochnyak. #3214, #3181
	* collectd: Add snprintf wrapper for GCC 8.2/3. Thanks to zebity. #3153,
	  #2895, #3038
	* collectd: Fix bug that leads to CPPFLAGS gets overridden with CFLAGS
	  when libxmms is enabled. Thanks to Dagobert Michelsen. #3207
	* Write_Riemann plugin: Copy MetaData to Riemann events in
	  write_riemann. Thanks to Romain Tartière. #3158
	* virt plugin: Fix memory leak with libvirt MetadataXPath enabled.
	  Thanks to Pavel Rochnyak. #3225, #3230

2019-06-13, Version 5.9.0
	* Build System: configure.ac: option "--with-libxml2" has been added.
	  Thanks to Dimitrios Apostolou, Pavel Rochnyak. #2864
	* Build System: configure.ac: run dpdk build tests only if pkgconfig
	  fails. Thanks to Luca Boccassi, Pavel Rochnyak. #3015
	* Build System: The "df" plugin is now built when "getmntent_r()" is
	  available. Thanks to Florian Forster. #3095
	* Build System: The ability to turn on collectd "debug" feature in RPMs
	  has been added. Thanks to dehotot. #2755
	* collectd: A new "UNKNOWN" state as the initial state of metrics has
	  been added. Thanks to Luis Fernández Álvarez, Florian Forster. #2976
	* collectd: Base port to Windows. Thanks to Sean Campbell. #2810
	* collectd: Code ownership of five plugins has been handed out to folks
	  from Intel. Thanks to Florian Forster. #3053
	* collectd: config parser: Improved error reporting on global options.
	  Thanks to Pavel Rochnyak. #2813
	* collectd: daemon: make plugin_dispatch_multivalue() obey write queue
	  limits. Thanks to Adam Romanek. #2898
	* collectd: Macros "STRERROR" and "STRERRNO" have been added. Thanks to
	  Florian Forster. #2519
	* collectd: Plugin name field has been added to plugin context to
	  improve error reporting. Thanks to Pavel Rochnyak. #2821
	* collectd-tg: Use "CLOCK_REALTIME" for collectd-tg times. Thanks to
	  Andrew Bays. #2837
	* tree-wide: Don't initialize static pointers to NULL, use "bool" from
	  "stdbool.h" (instead of "_Bool"). Thanks to Ruben Kerkhof. #2771,
	  #2772
	* tree-wide: Replace zu with "PRIsz" and llu with "PRIu64". Thanks to
	  Sean Campbell. #2512
	* tree-wide: Use interval value from plugin context, do not set
	  "vl->interval" in plugins more. Thanks to Pavel Rochnyak. #2847
	* tree-wide: Utilities and libraries have been moved to "src/utils/".
	  Thanks to Florian Forster. #2961
	* AMPQ1 plugin: A new plugin to write to amqp1 protocol. Thanks to Andy
	  Smith. #2618
	* Chrony plugin: Ignoring late responses has been added. Thanks to
	  Miroslav Lichvar, Pavel Rochnyak. #2896
	* CPUFreq plugin: Read number of p-state transitions and time spent in
	  each p-state. Thanks to Sexton Rory. #2803
	* cURL, cURL-XML plugins: Option "Interval" has been added. Thanks to
	  Pavel Rochnyak. #2847
	* Disk plugin: Report number of in progress disk IO requests on FreeBSD.
	  Thanks to Nathan Huff. #2878
	* Exec plugin: Dynamic allocation of grname buffer has been added.
	  Thanks to sreedi, Florian Forster. #2937
	* GPU NVML plugin: New plugin to collect NVIDIA GPU stats. Thanks to
	  Evgeny Naumov. #2923
	* gRPC plugin: The "VerifyPeer" option for servers has been added.
	  Thanks to Florian Forster. #2593
	* Intel RDT plugin: Support for groups of PIDs has been added. Thanks to
	  Wojciech Andralojc, Mateusz Starzyk, Michal Aleksinski. #2891
	* IPMI plugin: Config options "SELSensor" and "SELIgnoreSelected" have
	  been added. Thanks to Mariusz Szafranski. #2796
	* Modbus plugin: Support for 64 bit vals has been added, support for
	  CDAB endian 32-bit modbus polls has been added. Thanks to Anthony
	  Vickers, PJ Bostley. #2670, #2660
	* Modbus plugin: The "Scale" and "Shift" metrics have been added. Thanks
	  to cekstam. #2729
	* Netlink plugin: Handle new counter from Linux kernel version 4.6+.
	  Thanks to Pavel Rochnyak. #2767
	* Network plugin: Option "BindAddress" has been added. Thanks to Ofir
	  Hermesh. #2831
	* Ping plugin: An "AddressFamily" configuration option has been added.
	  Thanks to 依云 lilydjwg. #2961
	* OVS Stats plugin: Extended metrics "ovs-dpdk" have been added. Thanks
	  to Matteo Croce, Ryan McCabe. #3000
	* OVS Stats plugin: Support of bond interface and a "InterfaceStats"
	  config option have been added. Thanks to Andrew Bays. #2880
	* PCIe Errors plugin: New plugin to read "PCIe" errors. Thanks to Kamil
	  Wiatrowski. #2733
	* Processes plugin: Support for Linux Delay Accounting has been added.
	  Thanks to Florian Forster. #2598
	* Redis plugin: Keyspace "hitratio" metric has been added, metric
	  "operations_per_second" has been removed, an option for connecting via
	  UNIX socket has been added. Thanks to Pavel Rochnyak. #2838, #2845,
	  #2904
	* RouterOS plugin: Support for temperature and voltage data has been
	  added, use MAC-address when Radio-name is missing. Thanks to Pavel
	  Rochnyak. #2851, #2854
	* RRDCacheD plugin: Time resolution has been improved to microseconds.
	  Thanks to Brian T. O'Neill. #3065
	* Sensors plugin: Checks for upper limit of "SENSORS_API_VERSION" have
	  been removed, support for libsensors older than 3.0.0 has been
	  dropped. Thanks to Pavel Rochnyak. #3013, #3014
	* SNMP plugin: New options "PluginInstance", "TypeInstance",
	  "TypeInstanceOID", "PluginInstanceOID", "FilterOID", "FilterValues"
	  and "FilterIgnoreSelected" have been added. Thanks to Pavel Rochnyak.
	  #2817, #2819
	* SNMP Agent plugin: Multiple key indexes to snmp table and other new
	  features have been added, refactoring, coverity scan issues have been
	  fixed. Thanks to Marcin Mozejko. #2702, #2844
	* Swap plugin: Support for Linux 2.4 has been dropped. Thanks to Pavel
	  Rochnyak. #2979
	* Turbostat plugin: Configuration option "RestoreAffinityPolicy" has
	  been added. Thanks to Pablo Llopis. #2627
	* Turbostat plugin: New metrics "P-states", "Turboboost", "Platform
	  TDP", "Uncore bus ratio" have been added. Thanks to Sexton Rory. #2806
	* Turbostat plugin: Support of reporting GPU power on SKL has been
	  added. Thanks to Gordon Kelly. #2605
	* virt plugin: Allow read "Hostname" from libvirt metadata. Thanks to
	  Mehdi ABAAKOUK. #2807
	* virt plugin: Block info statistics for disk devices have been added.
	  Thanks to Radoslaw Jablonski. #2874
	* Wireless plugin: A "bitrate" metric has been added. Thanks to Florian
	  Forster. #2950
	* Write Graphite, Write Kafka plugins: Support for Graphite 1.1+ tag has
	  been added. Thanks to Dan Cech. #2631
	* Write Prometheus plugin: Option "Host" has been added. Thanks to Pavel
	  Rochnyak. #2969
	* Write Stackdriver plugin: New plugin to write to Google Stackdriver
	  Monitoring. Thanks to Florian Forster. #2472
	* Write Syslog plugin: "write_syslog" plugin writes values lists as
	  syslog messages. Thanks to Shirly Radco. #3019
	* Build System: A warning that pkgdatadir and pkglibdir were previously
	  defined has been fixed, additional plugins have been enabled,
	  GNULIB_DIR has been added to LDFLAGS in configure.ac on Windows.
	  Thanks to Sean Campbell. #2907, #2885, #2882
	* Build System: Including "utils/mount/mount.h" has been fixed. Thanks
	  to Florian Forster. #3097
	* Build System: The amount of output from ./configure has been reduced,
	  rendering of collectd-lua(5) manpage has been fixed, don't hide errors
	  when creating manpage. Thanks to Ruben Kerkhof. #3086, #3088, #3092
	* collectd: A bug in "c_avl_iterator_prev" has been fixed. Thanks to
	  volth. #2917
	* collectd: A stringop compiler warning has been fixed. Thanks to Ruben
	  Kerkhof, Juan Osorio Robles. #3021
	* collectd: An invalid memory access in the "strjoin()" function has
	  been fixed. Thanks to Florian Forster. #3063
	* collectd: collectd binary has been refactored. Thanks to Sean
	  Campbell, Sebastian Harl. #2745
	* collectd: collectdmon cannot exit command line options parse loop has
	  been fixed. Thanks to takahashi-tsc. #2774
	* collectd: Endianness checks for AIX have been added, gcc issue on Mac
	  byteorder has been fixed, fallback for endianness conversion has been
	  added. Thanks to Dagobert Michelsen. #2761, #2741, #2717
	* collectd: Handle failure of simple config callbacks. Thanks to Ruben
	  Kerkhof. #3085
	* collectd: Include "kstat.h" if available to provide "kstat_ctl_t",
	  include "kstat.h" when available. Thanks to Dagobert Michelsen. #2716,
	  #2711
	* collectd: Parsing option for avoiding making BaseDir has been fixed.
	  Thanks to Mariusz Białończyk. #2856
	* collectd: Remove empty "cmd_listval_t" data structure and related
	  no-op code. Thanks to Pavel Rochnyak. #2779
	* collectd: src/daemon/plugin.c: Refactor plugin_load_file(),
	  src/utils_format_json.c: Remove chatty debug messages. Thanks to
	  Florian Forster. #2558, #2938
	* collectd: Stop poisoning function in debug mode. Thanks to Ruben
	  Kerkhof. #2804
	* collectd: The number of allocations when parsing types.db has been
	  reduced. Thanks to Ruben Kerkhof. #3091
	* collectd: The organization of the source repository has been improved.
	  Thanks to Florian Forster. #2961
	* collectd: Typos have been fixed. Thanks to Florian Forster, Jakub
	  Jankowski, William Pursell. #2944, #2692, #2643
	* tree-wide: cleanup: cf_util_get* instead of local copy in plugins,
	  prefixed error reporting. Thanks to Pavel Rochnyak. #2833
	* tree-wide: Some style issues have been fixed. Thanks to Ruben Kerkhof.
	  #3022
	* tree-wide: "sstrerror()" has been replaced with "STRERRNO". Thanks to
	  Pavel Rochnyak. #2735
	* AMQP1 plugin: Potential memory leaks found via scan-build have been
	  fixed, a typo in error log message has been fixed, cleanups. Thanks to
	  Andy Smith, Andrew Bays, Ruben Kerkhof. #2802, #2876, #2797
	* Barometer plugin: Support to "libi2c-4.0" has been added. Thanks to
	  Pavel Rochnyak. #2783
	* DBI, Oracle, PostgreSQL plugins: Fixes and improvements. Thanks to
	  Pavel Rochnyak. #1705
	* Disk plugin: "HAVE_UDEV_H" has been changed to "HAVE_LIBUDEV_H".
	  Thanks to Dylan Stephano-Shachter. #2668
	* Disk plugin: In linux, reset the disk when it disappears from
	  "/proc/diskstats". Thanks to Nikita Kozlov, Pavel Rochnyak. #2551
	* DPDK Events, DPDK Stats plugins: Buffer size for parsing lcores has
	  been increased, a deprecation warning has been fixed, runtime config
	  file path has been fixed. Thanks to Kevin Laatz. #2722, #2840, #2924
	* DPDK Stats plugin: A compilation issue has been fixed. Thanks to
	  Volodymyr Mytnyk. #2524
	* GPS plugin: Build with gpsd version 3.18 has been fixed. Thanks to
	  Baruch Siach. #2947
	* Intel RDT plugin: Compiler warnings have been fixed. Thanks to Ruben
	  Kerkhof. #3104
	* Log Logstash plugin: Non-portable struct initialization with "{}" has
	  been fixed. Thanks to Florian Forster. #2988
	* LUA plugin: A memory leak has been fixed. Thanks to Ruben Kerkhof.
	  #3090
	* MySQL plugin: Properly cleanup dropped MySQL connections. Thanks to
	  Dhrupad Bhardwaj. #2704
	* Netlink plugin: Truncation warnings have been fixed. Thanks to Ruben
	  Kerkhof. #2777
	* NFS plugin: Message "Unexpected number of fields for NFSv4 server
	  statistics: 62" has been fixed. Thanks to Yedidyah Bar David. #2076
	* NFS plugin: Number of fields for "NFSv4" has been fixed. Thanks to
	  Jan-Philipp Litza. #2915
	* Notify Email plugin: All notification parameters have been included
	  into email. Thanks to Pavel Rochnyak. #2834
	* NTPd plugin: Don't treat normal peers as refclocks, skip "0.0.0.0"
	  hosts in ntpd plugin. Thanks to Pavel Rochnyak, Ivan Kurnosov. #2822,
	  #2376
	* OAuth plugin: src/utils_oauth.c: Renew OAuth tokens 30 seconds before
	  they expire. Thanks to Florian Forster. #2970
	* OVS Stats plugin: A macro to populate counters list has been added,
	  value of "OpenFlow" has been corrected. Thanks to Matteo Croce. #2966,
	  #2963
	* OVS Stats plugin: Code style, cleanup and improvements. Thanks to
	  Pavel Rochnyak. #3011, #3012
	* OVS Stats, OVS Events plugins: utils_ovs: Avoid potential access of
	  freed memory, fixes. Thanks to Ciara Loftus, Mark Kavanagh. #2801,
	  #2731
	* Processes plugin: Compilation has been fixed when ps_delay() is not
	  used. Thanks to Pavel Rochnyak. #2610
	* Python plugin: A compilation warning with Python 3.7 has been fixed.
	  Thanks to Manoj Srivastava. #3042
	* Redis plugin: Bugfixes, extended error reporting, persistent
	  connections and parallel polling, ability to select db for queries has
	  been fixed. Thanks to Pavel Rochnyak, skob. #2826, #2789
	* Router OS plugin: Unset radio-name showing up as "(null)" has been
	  fixed. Thanks to melak. #2740
	* RRDCacheD plugin: Cleanup rrdcached plugin a bit. Thanks to Pavel
	  Rochnyak. #3080
	* RRDTool plugin: Error reporting has been extended. Thanks to Pavel
	  Rochnyak. #2825
	* Sensors plugin: Support for humidity sensors has been added. Thanks to
	  Sarah Fischmann. #2913
	* Sensu, OVS Stat, Turbostat, virt, OAuth, Write Prometheus, Intel RDT
	  plugins: Compiler warnings have been fixed. Thanks to Ruben Kerkhof.
	  #3093, #3098, #3099, #3100, #3102, #3103, #3104
	* virt plugin: Code "do {} while(0)" around macro has been removed.
	  Thanks to Florian Forster. #2579
	* virt plugin: Compiler warnings, a segfault in libvirt, typo in error
	  messages have been fixed. Thanks to Antoine Naud, Ruben Kerkhof, sarah
	  niuxu18. #2808, #2919, #2957
	* virt plugin: Optional "virDomainGetCPUStats()" has been removed from
	  main flow, cleanup. Thanks to Pavel Rochnyak. #2972, #2978
	* virt plugin: Tracking of VM state changes has been fixed. Thanks to
	  Radoslaw Jablonski. #2701
	* Write MongoDB plugin: Plugin dependencies have been fixed. Thanks to
	  Pavel Rochnyak. #3010
	* Write Prometheus plugin: A compilation issue on Mac OS X has been
	  fixed. Thanks to Florian Forster. #3059
	* Write Redis plugin: Bug ""max_set_duration" deletes unexpected data"
	  has been fixed. Thanks to takahashi-tsc. #2773
	* Write Stackdriver plugin: Potential NULL dereference and error
	  reporting have been fixed. Thanks to Florian Forster. #2960
	* collectd.conf(5): a typo has been fixed, the tail plugin's
	  documentation has been improved. Thanks to Ruben Kerkhof, Florian
	  Forster. #3087, #2994
	* collectd.conf.pod: virt: "Instances" option has been documented, a
	  clarifying example has been added. Thanks to Pavel Rochnyak, Fabien
	  Wernli. #2990, #2903
	* collectd-python: "Import" configuration option has been documented.
	  Thanks to Tyler Harper. #2985
	* collectd-snmp.pod: Document thread usage correctly. Thanks to Nathan
	  Ward. #3078
	* CONTRIBUTING.md: Improve wording around ChangeLog; fix example,
	  document the new change log requirement / behavior. Thanks to Florian
	  Forster. #3061, #3054
	* docs/review_comments.md: document with frequent review comments has
	  been started. Thanks to Florian Forster. #2964
	* README: Include compiler defenses suggestion, do not point users to
	  non-existing file. Thanks to Kevin Laatz, Ruben Kerkhof. #2721, #2045

2018-10-23, Version 5.8.1
	* collectd: Fix "BaseDir" option. Thanks to Mariusz Białończyk and
	  Pavel Rochnyak. #2857
	* collectd: improve error handling, check return values. Thanks to
	  Florian Forster.
	* Build System: use "kstat.h", when available. Thanks to Dagobert
	  Michelsen and Pavel Rochnyak. #2784
	* Build System: Fix distcheck on MacOS. Thanks to Ruben Kerkhof.
	* Build System: add missing include of ""collectd.h"" to fix builds on
	  Solaris. Thanks to Pavel Rochnyak.
	* Build System: add endianess checks for AIX, fix GCC issue on Mac
	  byteorder, fix byteorder on Solaris, add fallback for endianess
	  conversion. Thanks to Dagobert Michelsen (multiple cherry picks from
	  master).
	* Build System: Out-of-tree builds have been fixed. Thanks to Florian
	  Forster. #2602
	* Configuration: Error handling in the config parsing code has been
	  improved. Thanks to Florian Forster.
	* Documentation: Fix typo in collectd.conf(5). Thanks to Pavel Rochnyak.
	  #2760
	* Documentation: update note on dpdkstat. Thanks to Maryam Tahhan. #2613
	* Various plugins: Errors found by the static code analysis tool
	  Coverity were fixed. Thanks to Florian Forster. #2559, #2560, #2561,
	  #2562, #2563, #2565, #2568, #2575, #2579, #2580, #2588, #2589
	* Ceph plugin: A segfault has been fixed. Thanks to Aleksei Zakharov and
	  Matthias Runge. #2572
	* DF plugin: fix memory leak in error case. Thanks to Takahashi tsc.
	* Exec plugin: check return value of "plugin_thread_create()". Thanks to
	  Florian Forster.
	* Exec plugin: Handling of large groups has been fixed. Thanks to
	  Sridhar Mallem. #2696
	* Exec plugin: Incorrect use of *putenv(3)* has been fixed. Thanks to
	  Daniel Vrátil.
	* Exec plugin: A deadlock related to setting environment variables after
	  *fork()* has been fixed. Thanks to Daniel Vrátil.
	* Intel PMU plugin: add core groups feature. Thanks to Kamil Wiatrowski.
	  #2681
	* Intel PMU plugin: fix compatibility issue with collectd 5.8. Thanks to
	  Kamil Wiatrowski.
	* Intel PMU plugin: fix possible "NULL" pointer dereference. Thanks to
	  Kamil Wiatrowski. #2676
	* IPMI plugin: A segfault caused by a wrong data type has been fixed.
	  Thanks to Mariusz Szafrański. #2742
	* IPMI plugin: The sensor configuration option has been fixed. Thanks to
	  Pavel Rochnyak. #2629
	* memcached plugin: A deadlock situation has been fixed. Thanks to Pavel
	  Rochnyak. #2612
	* NFS plugin: Support for NFSv4 has been fixed. Thanks to Jan-Philipp
	  Litza. #2076
	* NTPd plugin: A memory leak in the error handling path has been fixed.
	  Thanks to Ruben Kerkhof. #2942
	* OVS Stats plugin: A deadlock situation has been fixed. Thanks to
	  Volodymyr Mytnyk. #2590
	* OVS Stats plugin: Fix reconnect after thread terminated. Thanks to
	  Volodymyr Mytnyk and Maram Tahhan. #2574
	* Perl plugin: A compilation failure has been fixed. Thanks to Pavel
	  Rochnyak. #2732
	* Perl plugin: Fix exporting notification meta data. Thanks to Florian
	  Forster.
	* RRDtool plugin: Handling of very large "GAUGE" metrics has been fixed.
	  Thanks to Miroslav Lichvar. #2566
	* Tail plugin: Several regressions have been fixed. Thanks to Pavel
	  Rochnyak. #2535, #2587, #2611
	* turbostat plugin: A potential segfault due to an incorrect *free()*
	  has been fixed. Thanks to Ruben Kerkhof. #2948
	* UUID plugin: Fix hostname setting. Thanks to Pavel Rochnyak. #2723
	* virt plugin: A segfault during error handling has been fixed. Thanks
	  to Ruben Kerkhof. {{Issue|2919]}
	* Write Kafka plugin: A build failure due to a deprecated API call has
	  been fixed. Thanks to Pavel Rochnyak. #2607, #2628, #2640
	* Write Prometheus plugin: Fix "MHD_USE_INTERNAL_POLLING_THREAD" flag in
	  newer libmicrohttpd. Thanks to Pavel Rochnyak. #2849
	* Write Prometheus plugin: set "SO_REUSEADDRESS" on listening socket.
	  Thanks to Pavel Rochnyak. #2570, #2673
	* Write Syslog plugin: The new "write_syslog" plugin writes value
	  lists as syslog messages. Thanks to Shirly Radco. #3019

2017-11-17, Version 5.8.0
	* collectd: The core daemon is now completely licensed under the MIT
	  license.
	* collectd: Added daemon option to avoid making BaseDir. Thanks to
	  Nathaniel Wesley Filardo and Florian Forster. #2422
	* collectd: Global variables have been moved to their own module to make
	  porting collectd easier. Thanks to Sean Campbell. #2467
	* collectd as well as Apache, memcached, OpenLDAP, Perl, RouterOS, SNMP,
	  Tail-CSV plugins: Free userdata for "plugin_register_complex_read()".
	  Thanks to Pavel Rochnyack. #2349
	* Collectd client library: Added parsing and server code. Thanks to
	  Florian Forster. #2258
	* Build system: Dependency on libltdl has been removed, support for
	  libtool 1 has been dropped. Thanks to Ruben Kerkhof. #1898
	* Build system: The build system has been switched to non-recursive
	  make. Thanks to Ruben Kerkhof. #2085
	* APC UPS plugin: The plugin's configuration is now optional. Without a
	  "<Plugin />" block reasonable defaults will be used. Thanks to Pavel
	  Rochnyack. #2351
	* Chrony plugin: Several issues found when working with a stratum-1
	  server have been fixed. Thanks to Miroslav Lichvar. #2190
	* Ceph plugin: Support for the Ceph version "Luminous" has been added.
	  Thanks to Aleksei Zakharov. #2464
	* CPU plugin : Linux-specific "guest" states have been added. Thanks to
	  Xavier G. #2439
	* cURL plugin, cURL-JSON, cURL-XML, DBI, FileCount, memcachec, Oracle,
	  PostgreSQL, Table, Tail, Tail CSV plugins: The ability to configure
	  the "plugin" field of generated metrics has been added. Thanks to
	  Pavel Rochnyack. #1944, #1681, #1558
	* cURL-JSON plugin: Parsing of arrays has been fixed. Thanks to Florian
	  Forster. #2281
	* DPDKEvents plugin: This new plugin reports link status and keep alive
	  events. Thanks to Maryam Tahhan, Harry van Haaren, Serhiy Pshyk,
	  Kim-Marie Jones, Krzysztof Matczak, Przemyslaw Szczerbik, Christian
	  Ehrhardt and Luca Boccassi. #2157, #2348, #2400, #2405, #2417
	* DPDKStat plugin: The plugin has been refactored to make DPDK related
	  utility functions reusable. Thanks to Krzysztof Matczak, Przemyslaw
	  Szczerbik, Christian Ehrhardt and Luca Boccassi. #2130, #2348, #2400,
	  #2405, #2417
	* DPDKStat plugin: The "LogLevel" and "RteDriverLibPath" config options
	  have been added. Thanks to Jiri Prokes. #2505
	* Email plugin as well as Exec and Unixsock plugins: Use
	  "_SC_GETPW_R_SIZE_MAX". Thanks to Florian Forster. #2451
	* FileCount plugin: Custom values for reported plugin, type and type
	  instance. Thanks to Pavel Rochnyack. #1979
	* GenericJMX plugin: Support for "AtomicInteger" and "AtomicLong" has
	  been added. Thanks to Pierre Mauduit. #2158
	* gRPC plugin: Support for meta data has been added. Thanks to Taylor
	  Cramer. #2378
	* IPC plugin: Fixed failed compilation on AIX. Thanks to Pavel
	  Rochnyack. #2357
	* Intel PMU plugin: This new plugin collects CPU performance metrics
	  using Intel's Performance Monitoring Unit (PMU). Scaling information
	  added to metadata. Thanks to Serhiy Pshyk and Roman Korynkevych.
	  #2276, #2398, #2374
	* Intel RDT plugin: Support for collectd's logging infrastructure has
	  been added. PQoS monitoring groups are being reset on start-up to fix
	  potential previous unclean shutdowns. Thanks to Roman Korynkevych.
	  #2089.
	* IPMI plugin: Support for System Event Log (SEL) has been added. Thanks
	  to Roman Korynkevych. #2091
	* IPMI plugin: Support for remote IPMI controllers has been added.
	  Thanks to Pavel Rochnyack. #2024
	* LVM plugin: A check for the "CAP_SYS_ADMIN" capability has been added.
	  This will give users an informative warning when the process is not
	  running with the required privileges for this plugin. Thanks to
	  Florian Forster. #2426, #2499
	* mcelog plugin: This new plugin subscribes to Machine Check Exceptions
	  (MCE) and dispatches notifications. Metadata reset. Thanks to Maryam
	  Tahhan, Volodymyr Mytnyk, Taras Chornyi, Krzysztof Matczak and Roman
	  Korynkevych. #2003, #2246, #2380
	* MQTT plugin: Add support for TLS in "Subscriber" blocks. Thanks to
	  Florian Forster. #2434
	* memcached plugin: Persistent connections have been implemented. Fix
	  hit ratio reporting, add connections rate report. Thanks to Pavel
	  Rochnyack. #2388, #2385
	* memcached plugin: The type of the "listen_disabled" metric has been
	  changed to "total_events". Thanks to Florian Forster. #2386, #2468
	* Netlink plugin: The dropped packets metric has been added. Thanks to
	  Denys Fedoryshchenko. #2053
	* NFS plugin: Support for NFS 4.2 metrics has been added. Thanks to
	  Marek Becka. #2369
	* NFS plugin: Config options to ignore specified NFS versions have been
	  added. Thanks to Christian Bartolomäus. #2430
	* NUT plugin: The "ConnectTimeout", "ForceSSL", "VerifyPeer" and
	  "CAPath" options have been added. Thanks to Pavel Rochnyack and Steven
	  Bell. #2145, #2354
	* OpenLDAP plugin: A segfault after a connection failure has been fixed.
	  Thanks to Pavel Rochnyack. #2377
	* Openvpn plugin: Added support for status files from latest OpenVPN-2.4
	  and possible from future versions. Thanks to Pavel Rochnyack. #2352
	* OVS Events plugin: This new plugin reports link state changes from
	  Open vSwitch (OVS). Thanks to Volodymyr Mytnyk. #1971
	* OVS Stats plugin: This new plugin reports bridge / interface
	  statistics from Open vSwitch (OVS). Thanks to Volodymyr Mytnyk and
	  Taras Chornyi. #2137
	* Perl plugin: Bugfix, added check of proper interpreter initialization.
	  Thanks to Pavel Rochnyack. #2391
	* PostgreSQL plugin: The plugin now sets the "application_name"
	  parameter when connecting to the database. Thanks to daniacs. #2497
	* Processes plugin: The I/O operations reported for selected processes
	  has been fixed. The metric "ps_disk_octets" has been renamed to
	  "io_octets" because it actually contains the number of I/O operation
	  by the process, not just disk related I/O. Same for "io_ops"
	  (previously "ps_disk_ops"). The new metric "disk_octets" has been
	  added and is reporting disk I/O only. Add option to collect the count
	  of active memory maps for Linux processes. The "CollectFileDescriptor"
	  and "CollectContextSwitch" options have been added. Thanks to Pavel
	  Rochnyack and to Wilfried Goesgens. #2232, #2454, #1989
	* Processes and TCPConns plugins: The OpenBSD implementation has been
	  changed to use "kvm_openfiles" with "KVM_NO_FILES". Thanks to Jeremie
	  Courreges-Anglas. #2061
	* Python plugin: Extend Notification class to include metadata. Thanks
	  to Volodymyr Mytnyk. #2135
	* Python plugin: The "CollectdException" class has been added. This
	  allows to throw an exception without a stack trace being logged.
	  Thanks to Sven Trenkel. #2330, #2346
	* Sensors plugin: Support for (electrical) current has been added.
	  Thanks to Clemens Gruber. #2255
	* SNMP plugin: Error handling has been improved: a potential double-free
	  is now avoided (potentially leaking memory) and handling of
	  non-failing subtrees has been fixed. Thanks to Pavel Rochnyack. #2449
	* SNMP plugin: The "Timeout" and "Retries" config options have been
	  added. Thanks to Carlos Vicente. #1472, #2488
	* SNMP Agent plugin: This new plugin implements an SNMP AgentX subagent
	  that receives and handles queries from SNMP master agent and returns
	  configured metrics. Thanks to Roman Korynkevych, Serhiy Pshyk and
	  Pavel Rochnyack. #2105, #2362
	* Synproxy plugin: This new plugin provides statistics for Linux
	  SYNPROXY. Thanks to Marek Bečka. #2381
	* Tail plugin: Allow the calculation of several distributions in one
	  "tail" instance through a "bucket" type. Thanks to Pavel Rochnyack.
	  #2442
	* Turbostat plugin: Import "msr-index.h" header from Linux and better
	  support for mutliple packages. Thanks to Vincent Brillault. #2445,
	  #2446
	* Uptime plugin: Changed implementation to read from "/proc/uptime"
	  instead of "/proc/stat". Update for Linux and AIX, uptime is read
	  directly using a system call. Update for BSD and Solaris, uptime is
	  calculated by subtracting boot time from current time. Thanks to Ivan
	  Kurnosov and Marcin Jurkowski. #2431, #2034
	* UUID plugin: Support for libhal has been removed. Thanks to Ruben
	  Kerkhof. #2080
	* Varnish plugin: Extended the varnish plugin with varnish-plus
	  counters. Fixed invalid data source type. Thanks to Denes Matetelki.
	  #2453, #2463
	* virt plugin: The plugin has been updated to use
	  "virConnectListAllDomains()". Thanks to Denis Silakov. #2051
	* virt plugin: Support for domain tags has been added. Thanks to
	  Francesco Romani. #2048
	* virt plugin: Connection handling has been improved. Thanks to
	  Francesco Romani. #2100, #2101
	* virt plugin: Many metrics have been added, including disk, hypervisor
	  CPU usage, performance monitoring events, domain state, CPU pinning
	  (affinity), file system, and job statistics. Thanks to Francesco
	  Romani and Przemyslaw Szczerbik. #2103, #2175, #2168
	* Write Graphite plugin: Additional tests have been added. Thanks to
	  Florian Forster.
	* Write HTTP plugin: The "Attribute" and "TTL" options for the KairosDB
	  format have been added. Implementation of "Prefix" option. Thanks to
	  jaroug, Denis Pompilio and Pavel Rochnyack. #2199, #2252, #2482
	* Write MongoDB plugin: Memory leaks have been fixed. Thanks to
	  Saikrishna Arcot. #2307
	* Write Prometheus plugin: Label values are now properly escaped. Thanks
	  to Florian Forster. #2035
	* Write Redis plugin: Add "max_set_duration" to set duration for value.
	  Thanks to Tomofumi Hayashi. #2440
	* Write Riemann plugin: Export times with microsecond resolution. Thanks
	  to mcorbin. #2315
	* Write TSDB plugin: The options "ResolveInterval" and "ResolveJitter"
	  have been added to control DNS lookup behavior. This prevents DNS
	  flooding in case TSDB is not available. Thanks to Yves Mettier and
	  Florian Forster. #2059
	* ZFS ARC plugin: Header lines are now ignored in the Linux
	  implementation. Thanks to YmrDtnJu. #2097

2017-06-06, Version 5.7.2
	* Build system: The Notify Email plugin is no longer linked with
	  indirect dependencies. Thanks to Marc Fournier.
	* collectd: A race condition when calculating a metric's rate has been
	  fixed. Thanks to Florian Forster. #1193
	* AMQP, Exec, UnixSock, Write Kafka plugins: Parsing of the PUTVAL
	  command with multiple values has been fixed. Thanks to Florian
	  Forster. #2274
	* AMQP plugin: The "ExchangeType" option is now also valid for
	  publishers. Thanks to Florian Forster. #2286
	* BIND plugin: Fix parsing of the sample time provided by BIND.
	  Previously, the time was assumed to be in the local timezone when in
	  fact it was in UTC. Thanks to Ed Ravin. #1268
	* BIND plugin: Memory leaks have been fixed. Thanks to Ruben Kerkhof.
	  #2303
	* cURL-JSON plugin: Handling of arrays has been fixed. Thanks to Florian
	  Forster. #2266
	* DPDKStat plugin: Error handling during initialization has been
	  improved. Thanks to Ruben Kerkhof.
	* DPDKStat plugin: Handling of a number of metrics has been improved,
	  for example "rx_q0bytes". Thanks to Przemyslaw Szczerbik. #2167
	* Intel RDT plugin: Configuration handling has been changed to be more
	  graceful. Thanks to Maryam Tahhan. #2165
	* Log Logstash plugin: If writing the log entry fails, print it to
	  "STDERR" instead. Thanks to Marc Fournier.
	* LogFile plugin: If writing to the file fails, print log messages on
	  "STDERR" instead. Thanks to Marc Fournier.
	* memcachec, Tail plugins: A resource leak in the matching
	  infrastructure has been fixed. Thanks to Krzysztof Matczak. #2192
	* MQTT plugin: Invalid symbols in topic names are now replaced and a
	  resource leak has been fixed. Thanks to Denys Fedoryshchenko. #2123
	* Network plugin: A potential endless-loop has been fixed. This can be
	  triggered remotely by sending a signed network packet to a server
	  which is not set up to check signatures. Thanks to Marcin Kozlowski
	  and Pavel Rochnyack. #2174, #2233, CVE-2017-7401
	* Perl plugin: A potential double-free has been fixed. Thanks to Florian
	  Forster. #2278
	* Processes plugin: A compilation error on AIX has been fixed. Thanks to
	  Pavel Rochnyack. #2210
	* SMART plugin: A check for the "CAP_SYS_RAWIO" capability has been
	  added. Thanks to Marc Fournier.
	* Write Graphite plugin: Error handling in the case that calculating a
	  metric's rate fails has been improved. Previously, the raw counter
	  values were sent to Graphite. Thanks to Iain Buclaw. #2209
	* Write Prometheus plugin: An incorrect use of "realloc(3)" has been
	  fixed. Thanks to Florian Forster. #2275

2017-01-23, Version 5.7.1
	* collectd: Handling of boolean configuration options has been unified.
	  Thanks to Sebastian Harl. #2083, #2098
	* collectd: Reporting of internal statistics has been fixed. Thanks to
	  Florian Forster. #2108
	* collectd, various plugins: Bugs and issues reported by scan-build and
	  coverity-scan have been fixed. Thanks to Ruben Kerkhof and Florian
	  Forster.
	* Build system: Parallel build have been fixed. Thanks to Ruben Kerkhof.
	  #2110
	* DPDKStat plugin: Portability issues and a double-close bug have been
	  fixed. Thanks to Ruben Kerkhof and Marc Fournier.
	* Intel RDT plugin: A check for the libpqos library version has been
	  added. Thanks to Serhiy Pshyk.
	* NetApp plugin: Compilation problems have been corrected. Thanks to
	  Florian Forster. #2120
	* Write Prometheus plugin: A memory leak has been fixed. Thanks to Ruben
	  Kerkhof.

2016-12-12, Version 5.7.0
	* Documentation: The Turbostat plugin section has been improved. Thanks
	  to Florian Forster
	* Documentation: The semantics of the "TypesDB" option have been
	  improved. Thanks to Florian Forster.
	* collectd: A generic interface for parsing the text protocol has been
	  added. Thanks to Sebastian Harl. #1749
	* collectd: Threads now get named, making them easier to track using
	  tools such as top, ps, etc. Thanks to Manuel Luis Sanmartín Rozada
	  and Marc Fournier. #547
	* AMQP plugin, Write Graphite plugin, Write Kafka plugin: The new
	  "[Graphite]PreserveSeparator" option allows retaining the default dot
	  separator rather than escaping it. Thanks to Florian Forster. #419
	* Battery plugin: A StateFS backend for gathering statistics has been
	  added. Thanks to Rinigus. #1795
	* CPU plugin: CPU aggregation on AIX was fixed. Thanks to Chao Yang.
	  #1957
	* Collectd::Unixsock: Fractional seconds support has been made more
	  robust. Thanks to Matthias Bethke. #2052
	* DPDKStat plugin: This new plugin collects DPDK interface statistics.
	  Thanks to Maryam Tahhan, Harry van Haaren, Taras Chornyi and Kim
	  Jones. #1649
	* gRPC plugin: The "DispatchValues" option has been renamed to
	  "PutValues". Thanks to Florian Forster.
	* HDDTemp plugin: The 32 devices limit has been removed. Thanks to
	  Benjamin Gilbert. #631
	* Hugepages plugin: This new plugin reports the number of used and free
	  hugepages on Linux. Thanks to Jaroslav Safka, Maryam Tahhan, Kim Jones
	  and Florian Forster. #1799
	* Intel RDT plugin: This new plugin collects statistics exposed by
	  Intel's Resource Director Technology . Thanks to SerhiyX. #1970
	* memcached plugin: The new "Address" option allows connecting to a
	  different server than specified by the "Host" option. Thanks to Pavel
	  Rochnyack. #1975
	* nginx plugin: Support for reporting failed connections has been added.
	  Thanks to Pavel Rochnyack. #1609
	* Perl plugin: Significant internal reworking has been made. The new
	  "RegisterLegacyFlush" option has been added. Thanks to Pavel
	  Rochnyack. #1731
	* PostgreSQL plugin: Timestamps are now RFC 3339-formatted local time.
	  Thanks to Igor Peshansky and Dave Cunningham. #1918
	* Processes plugin: Internal performance improvements have been made.
	  Thanks to Pavel Rochnyack. #1980, #1981
	* RRDCacheD plugin: The plugin now tries to reconnect upon failed
	  operations. Thanks to Sebastian Harl. #1959
	* SpamAssassin: The plugin can now run in Perl's "tainted mode" ("-T").
	  Thanks to Akos Vandra. #1962
	* Tail plugin: Support for calculating latency distribution of matching
	  values has been added. Thanks to Pavel Rochnyack and Florian Forster.
	  #1700
	* Tail plugin: The new "GaugePersist" option has been added. Thanks to
	  Florian Forster. #2015
	* Target:Set, Target:Replace, Match:RegEx: MetaData support has been
	  added . Thanks to Igor Peshansky. #1922, #1923, #1930
	* turbostat plugin: The new "LogicalCoreNames" option allows switching
	  to per-core naming rather than per-CPU. Thanks to Brock Johnson. #2056
	* virt plugin: The new "BlockDeviceFormat" and
	  "BlockDeviceFormatBasename" options help controlling the names
	  reported for block-device metrics. Thanks to Deyan Chepishev. #2004
	* Write Graphite plugin: A new "DropDuplicateFields" option has been
	  added. Thanks to Michael Leinartas. #1915
	* Write Kafka plugin: The "Key Random" setting has been reintroduced.
	  Thanks to Florian Forster. #1977
	* Write Log plugin: Support for formatting output in JSON has been
	  added, using the new "Format" configuration option. Thanks to Igor
	  Peshansky. #1924
	* Write Prometheus plugin: This new plugin publishes values using an
	  embedded HTTP server, in a format compatible with Prometheus'
	  collectd_exporter. Thanks to Florian Forster. #1967

2017-10-06, Version 5.6.3
	* collectd: support for boolean string config values has been
	  reintroduced. Thanks to Sebastian Harl. #2083, #2098
	* collectd: The capability checking has been changed to use
	  "cap_get_proc()". Thanks to Marc Fournier. #2151
	* Documentation: A section documenting ignore lists has been added to
	  collectd.conf(5). Thanks to Florian Forster.
	* AMQP plugin: The "ExchangeType" option is now also valid for
	  publishers. Thanks to Florian Forster. #2286
	* Apache, Ascent, BIND, cURL, cURL-JSON, cURL-XML, nginx, Write HTTP
	  plugins: Handling of URLs that redirect elsewhere has been fixed.
	  Thanks to Pavel Rochnyack. #2328
	* BIND plugin: Fix parsing of the sample time provided by BIND.
	  Previously, the time was assumed to be in the local time zone when in
	  fact it was in UTC. Thanks to Ed Ravin. #1268
	* BIND plugin: Memory leaks have been fixed. Thanks to Ruben Kerkhof.
	  #2303
	* Chrony plugin: Build flags have been fixed. Thanks to Thomas Jost and
	  Marc Fournier. #2133
	* cURL-JSON plugin: The timeout value has been changed to default to the
	  collection interval. This fixes a regression. Thanks to Marc Fournier.
	* cURL-JSON plugin: Handling of arrays has been fixed. Thanks to Florian
	  Forster. #2266
	* DBI plugin: Memory leaks at shutdown have been fixes. Thanks to Pavel
	  Rochnyack and Florian Forster.
	* E-Mail, Exec, UnixSock plugins: Group ID lookup on systems with many
	  groups has been fixed. Thanks to Ruben Kerkhof and Florian Forster.
	  #2208
	* IPC plugin: A compilation error on AIX has been fixed. Thanks to Pavel
	  Rochnyack. #2305
	* LogFile plugin: If writing to the file fails, print log messages on
	  "STDERR" instead. Thanks to Marc Fournier.
	* Log Logstash plugin: If writing the log entry fails, print it to
	  "STDERR" instead. Thanks to Marc Fournier.
	* memcachec, Tail plugins: A resource leak in the matching
	  infrastructure has been fixed. Thanks to Krzysztof Matczak. #2192
	* MQTT plugin: Invalid symbols in topic names are now replaced and a
	  resource leak has been fixed. Thanks to Denys Fedoryshchenko. #2123
	* Network plugin: A potential endless-loop has been fixed. This can be
	  triggered remotely by sending a signed network packet to a server
	  which is not set up to check signatures. Thanks to Marcin Kozlowski
	  and Pavel Rochnyack. #2174, #2233, CVE-2017-7401
	* Network plugin: A use-after-free has been fixed. Thanks to Pavel
	  Rochnyack. #2375
	* Notify Email plugin: The plugin is no longer explicitly linked against
	  libssl and libcrypto, relies on libesmtp being linked correctly.
	  Thanks to Marc Fournier. Debian#852924
	* NTPd plugin: Calculation of loop offset and error has been fixed.
	  Thanks to Neil Wilson. #2188
	* OpenLDAP plugin: An incorrect use of the ldap library, leading to a
	  crash, has been fixed. Thanks to Marc Fournier. #2331
	* Perl plugin: A potential double-free has been fixed. Thanks to Florian
	  Forster. #2278
	* Perl plugin: Print an error when an incorrect configuration is
	  encountered. Thanks to Pavel Rochnyack. #927
	* RRDtool plugin: Incorrect handling of the flushes timeout option has
	  been fixed. Handling of the "RandomTimeout" has been fixed. Thanks to
	  Pavel Rochnyack. #2363
	* SMART plugin: Some warning messages have been removed and the code has
	  been cleaned up. Thanks to Florian Forster. #2062
	* SMART plugin: A check for the "CAP_SYS_RAWIO" capability has been
	  added. Thanks to Marc Fournier.
	* SNMP plugin: A double free has been fixed. Thanks to Pavel Rochnyack.
	  #2291
	* Write Graphite plugin: Error handling in the case that calculating a
	  metric's rate fails has been improved. Previously, the raw counter
	  values were sent to Graphite. Thanks to Iain Buclaw. #2209
	* Write Kafka plugin: A 32 bit random number is now used when formatting
	  a random key. Thanks to Florian Forster. #2074


2016-11-30, Version 5.6.2
	* collectd: A compile error on AIX has been fixed: "MSG_DONTWAIT" is not
	  available on AIX. Thanks to Chao Yang.
	* collectd: The capability checking has been rewritten to be more
	  portable. Thanks to Florian Forster. #2009
	* collectd.conf(5): Various typos have been fixed. Thanks to Marc
	  Fournier.
	* collectd-tg: Incorrect usage of "nanosleep()" has been fixed which
	  caused the tool to sleep (almost) indefinitely. Thanks to Florian
	  Forster.
	* Build system: Detection of the Java environment has been made
	  deterministic to allow for reproducible builds. Thanks to Marc
	  Fournier. #1523
	* Build system: Detection of the Lua headers has been improved. Thanks
	  to Ruben Kerkhof.
	* APC UPS plugin: Unavailable metrics are now skipped instead of
	  reported as 0 (zero). Thanks to Florian Forster. #2025
	* Modbus plugin: Build issues on FreeBSD have been fixed. Thanks to
	  Florian Forster.
	* OpenVPN plugin: Gracefully handle empty configurations. Thanks to
	  Pavel Rochnyack. #1932
	* PowerDNS plugin: The "recursor command" has been fixed so PowerDNS can
	  correctly parse all requested fields. Thanks to Ruben Kerkhof.
	* Write Graphite and AMQP plugins: A bug that could lead to a missing
	  null-termination has been fixed. Thanks to Markus Linnala.
	* Write HTTP plugin: A logic error when checking the correctness of the
	  data set has been fixed. Thanks to Pavel Rochnyack. #1996
	* Write Kafka plugin: The "Key Random" config option has been fixed.
	  Thanks to Florian Forster. #1977
	* Write Kafka plugin: Support for librdkafka 0.9.0 has been added.
	  Thanks to Florian Forster.
	* Write Riemann plugin: Build issues on Solaris have been fixed. Thanks
	  to Florian Forster.
	* ZFS ARC plugin: A duplicate metric has been removed. Thanks to Ruben
	  Kerkhof. #1963

2016-10-07, Version 5.6.1
	* Build system: Unnecessary linking of the Write Graphite plugin with
	  libyajl has been removed. Thanks to Marc Fournier.
	  Debian#839771, #1976
	* collectd: A bug in the "FlushInterval" option that caused a
	  segmentation fault in the Write HTTP plugin has been fixed. Thanks to
	  Florian Forster. #1954
	* Apache plugin: A syntax error has been fixed. Thanks to Florian
	  Forster.
	* cURL-JSON plugin: A segmentation fault that occurred when handling
	  JSON with unexpected structure has been fixed. Thanks to Florian
	  Forster. #1896
	* PostgreSQL plugin: Handling of "NULL" values in the "query_plans" and
	  "query_plans_by_table" queries has been fixed. Thanks to Bernd
	  Zeimetz. #1905
	* RRDCacheD plugin: Reconnection behavior has been added. Thanks to
	  Sebastian Harl. Debian#657877
	* VServer plugin: Use of a deprecated API ("readdir_r()") has been
	  fixed. Thanks to Sebastian Harl.
	* Write Graphite plugin: Make default values configurable at compile
	  time again. Thanks to Florian Forster. #1953
	* Write HTTP plugin: A bug has been fixed that lead to flush callbacks
	  being registered twice. Thanks to Florian Forster. #1955

2016-09-11, Version 5.6.0
	* Build system: An option to to avoid building the DF plugin against XFS
	  has been added. Thanks to Ruben Kerkhof. #1878
	* Build system: Autoconf ≥ 2.60, a C99-capable compiler and pkg-config
	  are now required. Thanks to Ruben Kerkhof.
	* Build system: Building with "-Werror" is now optional. Thanks to Ruben
	  Kerkhof. #1222
	* Build system: Many compilation issues on non-Linux platforms have been
	  fixed, leading to wider plugin support. Thanks to Ruben Kerkhof,
	  Dagobert Michelsen, Havard Eidnes and Robert Viduya.
	* Build system: The configuration summary now also ends up in
	  config.log. Thanks to Sebastian Harl.
	* collectd: All command-line options now override global options from
	  the config file. Thanks to Sebastian Harl. #366
	* collectd: A number of unit tests for commonly used functions have been
	  added. Thanks to Florian Forster.
	* collectd: Plugins start up and read timeouts are now logged. Thanks to
	  Marc Fournier. #1293, #1254
	* collectd: Support for a timeout has been added to "FLUSH" callbacks.
	  Thanks to Manuel Luis Sanmartín Rozada.
	* collectd: The "-T" command line switch now reports more errors. Thanks
	  to Corey Kosak. #1642
	* collectd: The max size of value list elements ("DATA_MAX_NAME_LEN")
	  has been doubled and is now configurable at build time. Thanks to Amy
	  Lin, Florian Forster and Radu Brumariu. #1120
	* Set target: The "MetaData" option has been added. Thanks to Yves
	  Mettier and Kevin Bowling. #1106, #1656, #1913
	* AMQP, Write_HTTP, Write_Kafka plugins: Support for libyajl < 2 has
	  been added. Thanks to Florian Forster.
	* APC UPS plugin: Parsing of end markers has been fixed. Thanks to
	  Florian Forster #617
	* APC UPS plugin: The "PersistentConnection" option has been added.
	  Thanks to Florian Forster #617
	* ceph, DNS, Exec, IPTables, Ping, turbostat plugins: When running
	  unprivileged, these plugins will now warn about insuffiscient
	  permissions or capabilities(7). Thanks to Marc Fournier. #1530
	* Chrony plugin: This new plugin collects NTP data from the chrony NTP
	  server. Thanks to Claudius Zingerli. #1548
	* cpusleep plugin: This new plugin measures time spent by CPU in deep
	  sleep mode. Thanks to Rinigus. #1826
	* CPU plugin: The "ReportNumCpu" option has been added. Thanks to Fabien
	  Wernli.
	* cURL, cURL-JSON, cURL-XML plugins: The new "Statistics" reports
	  various per-HTTP connection timers. Thanks to Sebastian Harl. #1004
	* DBI plugin: The "Interval" option has been added to "Database" blocks.
	  Thanks to Michal Bebjak.
	* Disk plugin: Support for FreeBSD has been added. Thanks to Xin Li,
	  Brad Davis, Ruben Kerfhof and Kevin Bowling.
	* Empty Counter match: Support for derives has been implemented. Thanks
	  to Florian Forster. #1813
	* GenericJMX plugin: Support for TabularData and the "PluginName" option
	  have been added. Thanks to David Crane. #1290, #1291
	* GPS plugin: This new plugin reports the number of sattelites seen by
	  and precision of a GPS receiver. Thanks to Nicolas Jourden. #1346
	* gRPC plugin: This new client and server plugin allows sending and
	  receiving metrics using the gRPC protocol. Comparable to the UnixSock
	  plugin, but using TCP and TLS. Thanks to Sebastian Harl and Florian
	  Forster.
	* Interface plugin: Reporting dropped packets has been added. Thanks to
	  Marc Falzon. #1555
	* Interface plugin: The "ReportInactive" has been added, letting users
	  skip inactive network interfaces. Thanks to Rinigus. #1791
	* Interface plugin: The new, Solaris-only "UniqueName" option has been
	  added. Thanks to Yoga Ramalingam. #1416
	* Lua plugin: This new language binding allows writing plugins using the
	  Lua programming language. Thanks to Julien Ammous, Florian Forster and
	  Ruben Kerkhof.
	* Memory plugin: Reporting of ARC memory on Solaris has been added.
	  Thanks to Brian ONeill.
	* MQTT plugin: This new plugin sends metrics to and/or receives metrics
	  from an MQTT broker. Thanks to Marc Falzon, Jan-Piet Mens, Nicholas
	  Humfrey and Florian Forster. #805, #1124
	* MySQL plugin: Connection to the database server can now be done over
	  SSL. Thanks to Brian Lalor. #1256
	* MySQL plugin: Monitoring slow queries has been added. Thanks to skob.
	  #1773
	* MySQL plugin: mysql_bpool_pages-flushed has been renamed to
	  mysql_bpool_counters-pages_flushed because the value is cumulative.
	  Thanks to Marek Becka.
	* MySQL plugin: Support for Galera statistics has been added. Thanks to
	  Rachid Zarouali. #1849
	* MySQL plugin: Support for InnoDB metrics was improved. Thanks to Aman
	  Gupta. #1111
	* MySQL plugin: The "mysql_sort" type has been split into 3 different
	  types. Thanks to Pavel Rochnyack. #1592
	* Network plugin: Decryption error logging has been improved. Thanks to
	  Pavel Rochnyack. #1735
	* Notify Nagios plugin: This new plugin sends notifications to Nagios as
	  a passive check result. Thanks to Florian Forster.
	* NTPd plugin: The plugin now detects if the ntp daemon reports
	  nanoseconds instead of microseconds. Thanks to Matwey V. Kornilov.
	  #1783
	* OpenLDAP plugin: Several connection-related improvements have been
	  made. Thanks to Marc Fournier. #1308
	* OpenLDAP plugin: Support for "simple authentication" has been added.
	  Thanks to Marek Becka. #1087
	* Ping plugin: The "Size" option has been added, allowing the ICMP data
	  payload size to be configured. Thanks to Witold Baryluk. #1395
	* PostgreSQL, DBI, Oracle plugins: The new "PluginInstanceFrom" option
	  has been added. Thanks to Pavel Rochnyack. #1707
	* PowerDNS plugin: The recursor metrics have been updated to 3.7.3 and
	  missing rr types have been added. Thanks to Ruben Kerkhof.
	* Processes plugin: Counting of context switches was added for Linux.
	  Thanks to Manuel Luis Sanmartín Rozada. #1036
	* Processes plugin: Improve reliability of thread counts on Linux.
	  Thanks to Manuel Luis Sanmartín Rozada.
	* Python plugin: Minimal Python version requirement has been bumped to
	  2.6. Thanks to Ruben Kerkhof. #1864
	* Redis plugin: Several additional metrics are now collected. Thanks to
	  Marc Falzon and Matteo Contrini. #1807, #1483
	* Sensors plugin: The "UseLabels" option has been added. Thanks to
	  Christian Fetzer.
	* SMART plugin: The new "IgnoreSleepMode" option has been added. Thanks
	  to Scott Talbert. #1770
	* SMART plugin: The new "UseSerial" option allows identifying devices in
	  a stable way. Thanks to Scott Talbert. #1794
	* SNMP plugin: The "IpAddress" can now be used for instances. Thanks to
	  Vincent Bernat. #1397
	* StatsD plugin: Latency calculation histogram is now able to shrink
	  automatically to optimal size. Thanks to Pavel Rochnyack. #1622
	* StatsD plugin: The "CounterSum" option has been added. Thanks to
	  Florian Forster. #929, #1282, #1311
	* UUID plugin: The plugin now also looks in in smbios system table and
	  "/sys/class/dmi". Thanks to Ruben Kerkhof. #1490
	* virt plugin: The "PluginInstanceFormat" option has been added. Thanks
	  to Ruben Kerkhof. #1100
	* Write Graphite plugin: The "ReconnectInterval" option has been added.
	  Thanks to Toni Moreno and Florian Forster.
	* Write HTTP plugin: A KairosDB formatter has been added. Thanks to
	  Aurélien Rougemont. #1809
	* Write HTTP plugin: Notifications are now handled by this plugin.
	  Thanks to Florian Forster.
	* Write HTTP plugin: The "LogHttpError" option has been added. Thanks to
	  vzubko.
	* Write HTTP plugin: The new "Headers" option allows setting custom HTTP
	  headers in outgoing requests. Thanks to Brandon Arp. #1634
	* Write Kafka plugin: Key handling has been made more comprehensive and
	  reliable. Thanks to Florian Forster, Pierre-Yves Ritschard and Vincent
	  Bernat. #1765, #1695, #1393
	* Write Redis plugin: The "Database", "MaxSetSize", "Prefix" and
	  "StoreRates" options have been added. Thanks to Brian Kelly and
	  Sebastian Pfahl.
	* Write Riemann plugin: The new "BatchFlushTimeout" and "Timeout" option
	  have been added. Thanks to Pierre-Yves Ritschard and Gergely Nagy.
	* Write Riemann plugin: This plugin now requires the riemann-c-client
	  library, version 1.6.0+. This adds support for submitting values to
	  Riemann over TLS. Thanks to Gergely Nagy. #986
	* Write TSDB, Write Sensu, Write Riemann, Write Graphite, Write TSDB
	  plugin: TCP keepalive is now enabled, helping graceful recovery from
	  unclean network disconnections. Thanks to Marc Fournier. #1549
	* XenCPU plugin: This new plugin collects XEN Hypervisor CPU stats.
	  Thanks to Pavel Rochnyack. #1608
	* ZFS ARC plugin: Several new statistics have been added and a couple of
	  obsolete ones removed. Thanks to Brad Davis, Brian ONeill and Ruben
	  Kerkhof.
	* Zone plugin: This new plugin reads per-zone CPU usage on Solaris.
	  Thanks to Mathijs Mohlmann and Dagobert Michelsen.

2016-11-28, Version 5.5.3
	* collectd: Write threads are stopped before shutdown callbacks are
	  called. Thanks to Florian Forster. #1110
	* collectd: A compile error on AIX has been fixed: "MSG_DONTWAIT" is not
	  available on AIX. Thanks to Chao Yang.
	* libcollectdclient: Lines printed to "STDERR" are now guarded by the
	  environment variable "COLLECTD_TRACE". Thanks to Florian Forster. #105
	* collectd.conf(5): Various typos have been fixed. Thanks to Marc
	  Fournier.
	* Build system: Detection of the Java environment has been made
	  deterministic to allow for reproducible builds. Thanks to Marc
	  Fournier. #1523
	* APC UPS plugin: Unavailable metrics are now skipped instead of
	  reported as 0 (zero). Thanks to Florian Forster. #2025
	* Battery plugin: The minimum value has been removed from the power type
	  to allow the plugin to report discharging batteries as negative power.
	  Thanks to Florian Forster.
	* DBI, Oracle and PostgreSQL plugins: An error message when the type
	  instance is truncated has been added. Thanks to Florian Forster. #4
	* cURL-JSON plugin: A possible segmentation fault when parsing
	  unexpected JSON has been fixed. Thanks to Florian Forster. #1896
	* DF plugin: Compilation with xfsprogs ≥ 4.7.0 has been fixed. Thanks
	  to Thomas Deutschmann. #1877
	* Modbus plugin: Build issues on FreeBSD have been fixed. Thanks to
	  Florian Forster.
	* Network plugin: An error message has been corrected. Thanks to Florian
	  Forster.
	* Network plugin: Handling of errors form secure memory initialization
	  has been improved: the plugin fails gracefully now instead of calling
	  "abort()". Thanks to Sebastian Harl.
	* Network plugin: The gcrypt library is only initialized when it is
	  actually required due to the network plugin's configuration. Thanks to
	  Florian Forster. #1902
	* Ping plugin: The init callback has been changed to be idempotent,
	  fixing errors being reported on Solaris. Thanks to Florian Forster.
	  #869
	* PostgreSQL plugin: The query_plans and query_plans_by_table queries
	  have been improved to return 0 (zero) instead of "NULL" when not
	  available. Thanks to Bernd Zeimetz. #1905
	* PowerDNS plugin: The "recursor command" has been fixed so PowerDNS can
	  correctly parse all requested fields. Thanks to Ruben Kerkhof.
	* Python plugin: Handling of data sets with multiple data sources of
	  different type has been fixed. Thanks to Sebastian Harl.
	* RRDCacheD plugin: Reconnection behavior after failed operations has
	  been added. Thanks to Sebastian Harl. Debian#657877
	* Write Graphite and AMQP plugins: A bug that could lead to a missing
	  null-termination has been fixed. Thanks to Markus Linnala.
	* Write Kafka plugin: Support for librdkafka 0.9.0 has been added.
	  Thanks to Florian Forster.
	* Write Riemann plugin: Build issues on Solaris have been fixed. Thanks
	  to Florian Forster.

2016-07-25, Version 5.5.2
	* collectd: A division by zero has been fixed in the
	  "plugin_dispatch_multivalue()" function. Thanks to Corey Kosak.
	* collectd: The address of the Free Software Foundation has been fixed
	  in GPL license headers. Thanks to Ruben Kerkhof.
	* Build system: Detection and handling of librrd 1.6 and later has been
	  fixed. Thanks to Ruben Kerkof.
	* Apache plugin: A warning about a possible misconfiguration has been
	  added. Thanks to Marc Fournier.
	* cURL, cURL-JSON and cURL-XML plugins: A memory leak when allocating
	  more memory fails has been fixed. Thanks to Brandon Arp.
	* DF plugin: A build issue on DragonFlyBSD has been fixed. Thanks to
	  Ruben Kerkhof. #1575
	* Ethstat plugin: Code to strip leading whitespace from device names.
	  This works around an issue in the VMXNet3 driver. Thanks to Thomas
	  Guthmann. #1059
	* Exec plugin: A problem in the error handling of an fdopen() failure
	  has been fixed. Thanks to @ciomaire.
	* Modbus plugin: The debug output has been disabled by default. It is
	  now only enabled when building with "--enable-debug". Thanks to Eric
	  Sandeen and Marc Fournier.
	* Network plugin: A check for the initialization of secure memory has
	  been added. Previously, failure to initialize this memory was
	  ignored. Thanks to @yujokang. #1665
	* Network plugin: A heap overflow has been fixed in the server code.
	  This issue can be triggered remotely and is potentially exploitable.
	  Thanks to Emilien Gaspar. CVE-2016-6254
	* Perl plugin: Init callbacks have been changed to run essentially
	  single-threaded to avoid race conditions by init functions which
	  create additional threads. Thanks to Pavel Rochnyack. #1706
	* Processes plugin: A warning about too long process names has been
	  added. Thanks to Marc Fournier. #1284
	* Redis plugin: A memory leak in an error handling code path has been
	  fixed. Thanks to Andrés J. Díaz.
	* Redis plugin: The data source type of the expired_keys metric has been
	  corrected to "DERIVE". Thanks to Marc Falzon and Marc Fournier. #1483.
	* SMART plugin: A build dependency on libudev has been added. Thanks to
	  Pavel Rochnyack. #1724
	* StatsD plugin: A deadlock on plugin shutdown has been fixed. Thanks to
	  Pavel Rochnyack #1703
	* Write HTTP plugin: Freeing of memory holding HTTP headers during
	  shutdown has been fixed. Thanks to Tolga Ceylan.
	* Write Sensu plugin: A segfault when the Tag was unset has been fixed.
	  Thanks to Marc Fournier.
	* ZFS ARC plugin: The cache_operation-stolen metric has been removed for
	  FreeBSD 10.2 and later. Thanks to Ruben Kerkhof. #1580

2016-01-22, Version 5.5.1
	* Build system: Compilation errors have been avoided by correctly
	  defining package name and version used by autoconf. Thanks to Nathan
	  Berkley. #1063
	* Build system: Dependency ordering was fixed to ensure parallel builds
	  work reliably. Thanks to Gustavo Zacarias. #1125
	* Build system: Error messages have been improved and building the unit
	  tests has been fixed on Solaris. Thanks to Florian Forster and
	  Dagobert Michelsen. #1077
	* Build system: The move of the "utils_ignorelist" functions has been
	  reverted. This fixes build issues of numerous plugins. Thanks to
	  Benjamin Drung;. #1323
	* Build system: The fhcount plugin has been restricted to Linux. Thanks
	  to Ruben Kerkhof. #1195
	* Build system: Detection of header files for the turbostat plugin has
	  been fixed. Thanks to Marc Fournier. #1075
	* collectd: The "LC_NUMERIC" locale is now forced, to prevent issues
	  with some plugins on environments using a comma as decimal separator.
	  Thanks to Florian Forster. #1237
	* Documentation: Some precisions related to the virt plugin have beed
	  added. Thanks to Wojtek Bocer and Ruben Kerkhof.
	* Documentation: The CollectdInternalStats documentation has been
	  improved. Thanks to Yves Mettier and Florian Forster.
	* Battery plugin: A missing Type has been added. Thanks to Marc
	  Fournier. #1338
	* Bind plugin: An off-by-one error has been fixed: an index was checked
	  against a wrong variable, which may lead to an out-of-bounds read.
	  Thanks to Michal Humpula. #1123
	* Ceph plugin: JSON parsing has been refactored to support ceph 10.0.0
	  and fixes several buffer overflows. Thanks to Florian Forster. #1350
	* CPU plugin: A Mac OS X specific bug has been fixed: the plugin
	  expected an incorrect number of CPU states, resulting in failing read
	  callbacks. This regression was introduced in 5.5.0. Thanks to Robert
	  Viduya.
	* Disk plugin: Support for Mac OS X 10.10 has been added. Thanks to
	  Robert Viduya. #1065
	* IPC plugin: Support for building with musl-libc has been added. Thanks
	  to Natanael Copa. #1147
	* Log Logstash plugin: A segfault when using libyajl, version 1 was
	  fixed. Thanks to Vincent Bernat. #1190
	* Log Logstash plugin: The timestamp is now ISO 8601 compliant. Thanks
	  to Marc Fournier. #1132
	* memcached plugin: The Type of the listen-disabled metric was fixed.
	  Thanks to Florian Forster. #1356
	* MySQL plugin: The Type used by Innodb_buffer_pool_pages_flushed was
	  fixed. Thanks to Marek Becka. #1085
	* OpenLDAP plugin: A crash when using LDAPI (LDAP-over-IPC) got fixed.
	  Thanks to Marek Becka. #1080
	* OpenLDAP plugin: Support for Mac OS X has been added. Thanks to Ruben
	  Kerkhof. #1489
	* SMART plugin: A memory leak has been fixed. Thanks to Florian
	  Schüller and Pierre-Yves Ritschard. #1076
	* Swap plugin: A regression that would lead to swap usage being reported
	  in kilobytes (instead of bytes) has been fixed. Thanks to Marek Becka.
	  #1071
	* Varnish plugin: Support for FreeBSD has been added. Thanks to Ruben
	  Kerkhof. #1182
	* Varnish plugin: Support for versions 3 and 4 has been made more
	  tolerant to minor changes in Varnish point releases. Thanks to Marc
	  Fournier. #1302
	* virt plugin: A copy-and-paste mistake in an error message has been
	  fixed. Thanks to Ruben Kerkhof. #1101
	* Write Kafka plugin: Support for Solaris has been added. Thanks to
	  Shahul Hameed. #1171
	* Write Redis plugin: Dead code has been removed. Thanks to Brian Kelly.
	  #1143
	* 27 patches have been applied to numerous plugins and core components,
	  fixing various programming errors which were reported by scan-build,
	  libasan, FBInfer, coverity-scan and clang: Thanks to Ruben Kerkhof,
	  Florian Forster and Marek Becka.
	* Collectd::Unixsock: A Perl error got corrected. Thanks to Ciaran Mac
	  An Iomaire. #1295

2015-05-27, Version 5.5.0
	* Build system: Ability to make out-of-tree builds has been fixed.
	  Thanks to Vincent Bernat. #792
	* Build system, Disk and Users plugins: Detection and use of libstatgrab
	  ≧ 0.90 has been added. Thanks to Vincent Bernat. #445, #795, #806,
	  #807, #908
	* Build system, Memory, CPU, TCPConns and Processes plugins: Numerous
	  fixes related to OpenBSD support have been added. Thanks to Landry
	  Breuil. #777, #778, #779, #808
	* Build system: Plugins now only export "module_register()". Thanks to
	  Florian Forster.
	* Build system: Various cleanups and improvements have been done. Thanks
	  to Marc Fournier.
	* collectd: Numerous internal changes and improvements to the daemon and
	  the plugin API have been make. Thanks to Florian Forster, Pierre-Yves
	  Ritschard and Alex Petrov. #512, #727
	* collectd: Numerous spelling mistakes have been corrected in comments
	  and documentation and several error messages have been improved.
	  Thanks to Ruben Kerkhof, Abhinav Upadhyay, Olivier Bazoud, Pierre-Yves
	  Ritschard, Tim Smith, Moshe Zada, Katelyn Perry and Marc Fournier.
	* collectd: Rules/Targets can now be appended to existing Filter Chains.
	  Thanks to Marc Falzon. #444
	* collectd: Failing Filter Chains destinations will now log the list of
	  available write targets. Thanks to Wilfried Goesgens. #650, #1043
	* collectd: Support for process signaling and management by upstart and
	  systemd has been implemented for the Linux platform. Thanks to
	  Pierre-Yves Ritschard and Marc Fournier. #798, #811, #814
	* collectd: The "CollectInternalStats" option has been added. Thanks to
	  Yves Mettier. #691
	* collectd: The daemon source code and dependencies have moved to the
	  "src/daemon/" directory. Thanks to Florian Forster.
	* collectd: The new "MaxReadInterval" option allows to cap the
	  exponential retry interval of plugins read errors. Thanks to Alexey
	  Remizov and Florian Forster. #713
	* collectd: The "-P" command-line option now has precedence over the
	  "PIDFile" option. Thanks to Thomas D. #553
	* collection.cgi: Various data-source related adjustments have been
	  made. Thanks to Fabiano Pires and Sebastian Harl.
	* libcollectdclient: Now propagates errors when signing / encrypting
	  network packets. Thanks to Florian Forster.
	* Configuration: Support for unquoted IPv6 addresses has been added.
	  Thanks to Sebastian Harl. #489
	* Documentation: Various improvements have been done. Thanks to Florian
	  Forster and Marc Fournier.
	* Examples: the sample C plugin has been updated to the current plugin
	  API. Thanks to Sebastian Harl.
	* Licensing: The following components have been relicensed to the MIT
	  license: the Apple Sensors, Ascent, DBI, E-Mail, Entropy, GenericJMX,
	  gmond, LogFile, nginx, Notify Desktop, NTPd, NUT, olsrd, Perl, Ping,
	  PostgreSQL, Protocols, RouterOS, RRDCacheD, SNMP, StatsD, SysLog,
	  Table, Tail, UnixSock, vmem, VServer, Wireless, Write Riemann and XMMS
	  plugins, the core collectd daemon, the collectdmon, collectd-nagios
	  and collectd-tg utilities, all the Targets and Matches, liboconfig,
	  most of the "utils_*" files and the plugin API.
	* Tests: A test suite has been added. Thanks to Florian Forster.
	* Threshold: The hysteresis calculation has been made more reliable.
	  Thanks to Jan Kundrát. #581
	* Threshold: Various fixes and improvements have been made. Thanks to
	  Manuel Luis Sanmartín Rozada. #649, #644
	* AMQP plugin: The "ConnectionRetryDelay" option has been added,
	  allowing to delay reconnection. Thanks to Yoga Ramalingam and Marc
	  Fournier. #833
	* AMQP plugin: The "QueueDurable" and "QueueAutoDelete" options have
	  been added, giving control over queue creation and deletion. Thanks to
	  David Blundell and Marc Fournier. #623
	* Apache, Ascent, BIND, cURL, cURL-JSON, cURL-XML, nginx and Write HTTP
	  plugins: Customizing the "User-Agent" field is now possible at
	  compile-time. Thanks to Jeremy Katz. #440
	* Apache, Ascent, BIND, cURL, cURL-JSON, cURL-XML, nginx plugins: The
	  connection will be reset if it hasn't completed within the configured
	  "Interval". The new "Timeout" option gives control over this behavior.
	  Thanks to Jan Kundrát and Marc Fournier. #982, #983, #993
	* Apache, Ascent, cURL, cURL-JSON, cURL-XML, nginx, Write HTTP plugins:
	  Allow usernames and passwords to contain colons if built against
	  libcurl ≧ 7.19.1. Thanks to Marc Fournier. #695, #947
	* Apache plugin: The "SSLCiphers" option gives control over the
	  encryption algorithms to use with TLS connections. Thanks to Toni
	  Moreno. #946
	* Barometer plugin: This new plugin reads sensor data from various
	  Freescale and Bosch digital barometers. Thanks to Tomas Menzl. #69,
	  #693
	* Battery plugin: Reporting values as percentages and reporting degraded
	  batteries has been added. Thanks to Florian Forster.
	* Battery plugin: Support for reading values from sysfs on Linux has
	  been added. Thanks to Andy Parkins, Nicholas Humfrey, Peter Wu and
	  Florian Forster. #725, #810, #998
	* Battery plugin: The value for current is no longer supplied unless the
	  battery provides this information. Thanks to Florian Forster.
	* BIND plugin: Bind's XML v3 API is now supported; Thanks to Victor
	  Berger, Bruno Prémont and Michal Humpula. #742, #847
	* Ceph plugin: This new plugin collects statistics from the Ceph
	  distributed storage system. Thanks to Dan Ryder, Dennis Zou, Colin
	  McCabe, Sage Weil. #522, #598
	* ConnTrack plugin: Support for reporting values as percentages as well
	  as legacy conntrack files in "/proc" has been added. Thanks to
	  Pierre-Yves Ritschard. #497, #680
	* CPU plugin: The plugin is now able to report values as percentages and
	  aggregate values per-state and per-CPU. Thanks to Pierre-Yves
	  Ritschard, Florian Forster, Fabien Wernli, Nicholas Humfrey and
	  Wilfried Goesgens. #499, #516, #639 #734, #812, #802
	* cURL-JSON plugin: Extracting values from complex JSON structures has
	  been enhanced. Thanks to Jim Radford. #408, #411
	* cURL-JSON plugin: Intervals can now be configured on a per-URL basis.
	  Thanks to Stan Sawa. #685
	* cURL-JSON, cURL-XML, Write HTTP plugins: These plugins now also follow
	  HTTP redirects. Thanks to Marc Fournier.
	* cURL, cURL-JSON, cURL-XML plugins: HTTP Digest authentication has been
	  implemented. Thanks to Frank Cornelis. #482
	* DBI, Oracle, PostgreSQL plugins: A "MetadataFrom" parameter has been
	  added which allows to set metadata from database columns. Thanks to
	  Mark Wong. #317, #321
	* DBI plugin: Querying several databases in parallel is now possible.
	  Thanks to Vincent Bernat. #453
	* Disk plugin: On the Linux platform, disk names can now get looked up
	  in udev with the "UdevNameAttr" option. Thanks to Patrick Mooney. #537
	* Disk plugin: This plugin now collects several additional I/O-related
	  metrics on the Linux platform. Thanks to Florian Forster and Michael
	  Schenck. #705, #759
	* DRBD plugin: This new plugin reads Linux's Distributed Replicated
	  Block Device (DRBD) statistics. Thanks to Tim Laszlo. #566, #700
	* Exec, UnixSock plugins: The "PUTNOTIF" command now allows to set
	  metadata on notifications. Thanks to John-John Tedro. #416
	* fhcount plugin: This new plugin reports the number of used file
	  handles. Thanks to Jiri Tyr. #1009
	* GenericJMX plugin: A Class Loader for "JMXConnectorFactory" has been
	  added, allowing the plugin to work with JBOSS > 7. Thanks to Alexandre
	  Moutot. #452
	* IPC plugin: This new plugin collects information related to shared
	  memory. Thanks to Andrés J. Díaz. #925
	* Java plugin: Now uses the hostname defined in the configuration file.
	  Thanks to Pierre-Yves Ritschard. #530, #681
	* Load plugin: The plugin is now able to report values as percentages.
	  Thanks to Vedran Bartonicek and Pierre-Yves Ritschard. #344, #498
	* Log Logstash plugin: This new plugin writes collectd logs and events
	  as Logstash JSON formatted events. Thanks to Pierre-Yves Ritschard.
	  #360
	* LVM plugin: The plugin collects thin pool data volumes size, and no
	  longer reports virtual volumes. Thanks to Benjamin Gilbert. #603
	* memcached plugin: "listen_disabled_num" are now also reported. Thanks
	  to Matt Cottingham. #622
	* Memory plugin: Slab memory reporting on the Linux platform has been
	  added. Thanks to Manuel CISSÉ and Marc Fournier. #560, #697
	* Memory plugin: The plugin is now able to report values as percentages.
	  Thanks to Jeremy Katz, Florian Forster and Manuel CISSÉ. #501, #511,
	  #559
	* Modbus plugin: Selecting between holding and input registers is now
	  possible. Thanks to Jan Vitek. #338
	* Modbus plugin: Support for accessing devices through an RS-485 serial
	  port has been added. Thanks to Eric Sandeen.
	* Multimeter plugin: This plugin isn't built by default on the AIX
	  platform anymore. Thanks to Manuel Luis Sanmartin Rozada. #549, #684
	* MySQL and PostgreSQL plugins: Passing "127.0.0.1" as a host will now
	  result in the global Hostname being used in metric names. Thanks to
	  Jeremy Katz. #441
	* MySQL plugin: InnoDB, Select and Sort statistics collection has been
	  added. Thanks to Wilson Felipe, Marek Becka and Pierre-Yves Ritschard.
	  #248, #621, #699, #824
	* MySQL plugin: The "Alias" and "ConnectTimeout" options have been
	  added. Thanks to William Tisäter.
	* Netlink plugin: Support for 64bit netlink counters has been added.
	  Thanks to Marek Becka. #435
	* Network plugin: The "ReconnectInterval" configuration option has been
	  added. Thanks to John Ferlito. #732
	* NFS plugin: Support for NFSv4.0 has been implemented. Thanks to Marek
	  Becka. #550
	* OneWire plugin: Support for more temperature-providing sensor families
	  has been added. Thanks to Tomasz Torcz. #672
	* OneWire plugin: Support for full OWFS path and more device families
	  has been implemented. Thanks to Tomas Menzl. #68
	* OpenLDAP plugin: This new plugin reads monitoring information from
	  OpenLDAP's "cn=Monitor" subtree. Thanks to Kimo Rosenbaum, Marc
	  Fournier and Nicholas Humfrey. #719
	* OpenVPN plugin: Support for OpenVPN 2.3.0 has been implemented. Thanks
	  to Ed Okerson. #252
	* OpenVZ plugin: Various improvements have been made, making the plugin
	  report values like the other collectd plugins do. Thanks to Chris
	  Lundquist. #264
	* Perl plugin: A new "listval_filter" method has been added, various
	  internal cleanups and improvements have been made and a test suite has
	  been added. Thanks to Matthias Bethke. #728
	* PostgreSQL plugin: The new "ExpireDelay" option allows skipping older
	  values pending write when the database slows down. Thanks to Stephen
	  O'Dor. #593
	* PowerDNS plugin: The plugin was updated for stats from pdns 3.4.3.
	  Thanks to Ruben Kerkhof. #965
	* Processes plugin: A memory-usage related optimization for low-profile
	  systems has been added. Thanks to Florian Forster. #652
	* Python plugin: Support for Python3 has been improved, "ModulePath" is
	  now prepended to "sys.path", and the "get_dataset()" function has been
	  added to the Python API. Thanks to Sven Trenkel and Patrick Browne.
	  #890, #751, #771
	* Redis and Write_Redis plugins: The support library has been switched
	  from credis to hiredis. Thanks to Andrés J. Díaz, Victor Seva, Marc
	  Fournier, Johan Bergström, Michael Spiegle and brianpkelly. #296,
	  #464, #475, #799, #1030
	* Redis plugin: Custom commands can now be used to fetch values stored
	  in Redis. Thanks to Pierre-Yves Ritschard. #816
	* Redis plugin: Support for passwords up to 512 characters long has been
	  added. Thanks to Jeremy Katz. #532
	* Sensors plugin: Support for lm_sensors' power sensors has been added.
	  Thanks to Jan Kundrát. #571
	* SMART plugin: This new plugin collects SMART statistics from disk
	  drives. Thanks to Vincent Bernat. #797
	* SNMP plugin: A blacklist/whitelist feature can now be used to filter
	  which OIDs to collect. Thanks to Christophe Courtaut. #414
	* SNMP plugin: SNMPv3 authentication and encryption support has been
	  implemented. Thanks to Michael Pilat. #362
	* SNMP plugin: Two error messages have been disambiguated. Thanks to
	  Sergey. #939, #952
	* Swap plugin: The plugin is now able to report values as percentages.
	  Thanks to Jeremy Katz and Florian Forster. #500, #510
	* Swap plugin: The plugin no longer fails on Linux systems where
	  "SwapCached" isn't exposed by the kernel. Thanks to Florian Forster.
	  #733
	* Tail plugin: "GaugeInc" and "GaugeAdd" options have been implemented.
	  Thanks to Andre Ferraz. #673
	* Tail plugin: Intervals can now be configured on a per-File basis.
	  Thanks to Tom Leaman. #446
	* TCPConns plugin: The "AllPortsSummary" option, allowing to summarize
	  all connections, has been added. Thanks to Marek Becka. #488
	* TCPConns plugin: Three metrics were renamed on the AIX platform, for
	  the sake of consistency. Thanks to Manuel Luis Sanmartín Rozada. #546
	* Turbostat plugin: This new plugin reads CPU frequency and C-state
	  residency on modern Intel turbo-capable processors. Thanks to Vincent
	  Brillault, Jean Delvare and Nicolas Iooss. #651
	* UnixSock plugin: The "GETTHRESHOLD" command has been re-added. Thanks
	  to Manuel Luis Sanmartín Rozada. #674
	* Varnish plugin: Varnish 4 support has been added, as well as as
	  monitoring metrics only available in Varnish 4. Thanks to Marc
	  Fournier. #618, #783
	* virt plugin: Guests memory usage is now also collected. Thanks to
	  Tiago Carvalho, jazzmes and Zollner Robert.
	* virt plugin: It is now possible to chose between using guests' name or
	  UUID as plugin_instance. Thanks to Remi Ferrand. #385
	* virt plugin: The libvirt plugin has been renamed to virt. Thanks to
	  Florian Forster.
	* Write Graphite plugin: When the connection to graphite fails,
	  reconnection attempts are now limited to once per second. Thanks to
	  Florian Forster. #625
	* Write HTTP plugin: Multi-instance support of this plugin has been
	  improved. The "<URL "url">" block has been deprecated in favor of
	  "<Node "identifier">". Thanks to Marc Fournier. #902
	* Write HTTP plugin: Several TLS-related configuration options have been
	  added. Thanks to Ingmar Runge. #666
	* Write HTTP plugin: The "LowSpeedLimit" and "Timeout" options allow to
	  reset slow/stalled network connections. Thanks to loginator17 and Marc
	  Fournier. #752, #985
	* Write HTTP plugin: The size of the payload posted to the HTTP server
	  can now be controlled with the "BufferSize" option. Thanks to Florian
	  Forster. #722
	* Write Kafka plugin: This new plugin sends data to Apache Kafka, a
	  distributed messaging queue. Thanks to Pierre-Yves Ritschard,
	  ciomaire, Vincent Bernat, Marc Fournier. #670, #694, #794, #853, #014
	* Write Log plugin: This new plugin dispatches collected values to the
	  configured log destination(s). Thanks to Pierre-Yves Ritschard. #886
	* Write Riemann plugin: Extra meta strings are now added as attributes
	  in notifications. Thanks to John-John Tedro. #417
	* Write Riemann plugin: Notification message are now sent to the Riemann
	  server via the description field. Thanks to Adrian Miron. #575
	* Write Riemann plugin: Support for custom attributes has been added.
	  Thanks to Pierre-Yves Ritschard. #459
	* Write Riemann plugin: Support had been implemented for sending events
	  to Riemann in batches (when using TCP), and is enabled by default.
	  Thanks to Pierre-Yves Ritschard. #800
	* Write Riemann plugin: The "EventServicePrefix" option has been added,
	  which adds a prefix to event service names. Thanks to Moshe Zada. #706
	* Write Riemann plugin: Threshold checks can now be passed down to the
	  Riemann server. Thanks to Pierre-Yves Ritschard. #518
	* Write Sensu plugin: This new plugin submits values to Sensu, a stream
	  processing and monitoring system. Thanks to Fabrice A. Marie and Marc
	  Fournier. #912, #1001, #1016
	* Write TSDB plugin: This new plugin sends data to OpenTSDB, a scalable
	  time series database. Thanks to Kevin Bowling, Florian Forster, Dallin
	  Young, Michael Schenck and Pierre-Yves Ritschard. #703, #772, #945
	* ZFS ARC plugin: Support for ZFS-on-Linux has been added. Thanks to
	  Marc Fournier and Wilfried Goesgens. #552
	* Zookeeper plugin: This new plugin reads data from the Apache Zookeeper
	  "MNTR" command. Thanks to Jeremy Katz. #826

2016-07-26, Version 5.4.3
	* Build system: A deprecation warning has been removed. Thanks to
	  Florian Forster.
	* Build system: An ordering issue when build the AMQP plugin was
	  corrected. Thanks to Shahul Hameed.
	* Build system: Building the gmond plugin against recent libganglia
	  versions has been added. Thanks to Marc Fournier. #1129
	* Build system: "collectd-tg" now builds on AIX. Thanks to Manuel Luis
	  Sanmartín Rozada. #542
	* Build system: "version-gen.sh" portablility was improved. Thanks to
	  Marc Fournier and Ruben Kerkhof.
	* Build system: Compiling utils_dns.c on Solaris has beed fixed. Thanks
	  to Yves Mettier, Dagobert Michelsen and Florian Forster. #348
	* Build system: Default JDK detection got improved. Thanks to Ruben
	  Kerkhof and Marc Fournier.
	* Build system: Detection and handling of librrd 1.6 and later has been
	  fixed. Thanks to Ruben Kerkhof.
	* Build system: notify_email build options got corrected to make it
	  build on non-GNU libc systems. Thanks to Marc Fournier.
	* Build system: Protobuf building and logging has been improved. Thanks
	  to Ruben Kerkhof.
	* Build system: The "make distcheck" target was fixed to properly handle
	  java build artifacts. Thanks to Florian Forster.
	* Build system: The configure script got fixed to work properly when
	  called with "CC="gcc -Wall -Werror"" . Thanks to Marc Fournier.
	* Build system: The configure script will now fail if pkg-config isn't
	  available. Thanks to Ruben Kerkhof.
	* Build system: The users plugin now builds properly on Solaris when
	  libstatgrab is available. Thanks to Dagobert Michelsen. #1061
	* Build system: Various fixes have been done to improve library
	  detection on FreeBSD. Thanks to Ruben Kerkhof.
	* collectd2html: Several perl errors have been corrected. Thanks to Ruud
	  van Melick. #1103
	* collectd: A global gauge format-string is now used to avoid loss of
	  precision. Thanks to Florian Forster. #1039
	* collectd: A race condition at plugin initialization time was fixed.
	  Thanks to Jan Andres. #1316
	* collectd: Autoloading now properly sets plugin context, allowing
	  plugins to determine the interval. Thanks to Florian Forster. #1069
	* collectd: Empty "Plugin" blocks are now supported by the configuration
	  file parser. Thanks to Manuel Luis Sanmartín Rozada. #1035
	* collectd: The address of the Free Software Foundation has been fixed
	  in GPL license headers. Thanks to Ruben Kerkhof.
	* collectd: Writing to a closed TCP socket is now properly handled.
	  Thanks to Tamás Földesi. #1104
	* Documentation: iptables plugin: IPv6 configuration option has been
	  added to the collectd.conf(5) manpage. Thanks to 'Marc Fournier''.
	  #1496
	* AMQP plugin: The plugin was fixed to build against librabbitmq 0.6.0.
	  Thanks to Remi Collet. #1008
	* Apache plugin: A warning about a possible misconfiguration has been
	  added. Thanks to Marc Fournier.
	* Apache plugin: The plugin was extended to parse the whole response,
	  required to support Apache versions greater than 2.4.17. Thanks to
	  Marc Fournier and Florian Forster. #1170, #1343
	* APC UPS plugin: Log messages are now prefixed with the plugin name.
	  Thanks to Sergey. #1329
	* Bind plugin: The type_instance now gets properly sanitized. Thanks to
	  Thomas Kho. #992
	* CPU plugin: Error messages on MacOSX have been improved. Thanks to
	  Florian Forster. #22
	* cURL plugin: A typo in an error message got corrected. Thanks to Marc
	  Fournier.
	* cURL, cURL-JSON and cURL-XML plugins: A memory leak when allocating
	  more memory fails has been fixed. Thanks to Brandon Arp.
	* DF plugin: An bug preventing filesystems which don't report inodes
	  such as btrfs has been corrected. Thanks to Marek Becka. #1096
	* DF plugin: Duplicate entries are no longer reported twice. Thanks to
	  Stefan Brüns and Florian Forster. #1402
	* DF plugin: Legacy code for skipping "rootfs" mount points has been
	  removed. Thanks to Marc Fournier. #1402
	* DF plugin: Legacy references to the "ReportReserved" option have been
	  removed. Thanks to Marc Fournier.
	* DF plugin: Reading the mtab now uses a reentrant function when
	  possible. Thanks to Ruben Kerkhof. #1163
	* Ethstat plugin: Code to strip leading whitespace from device names.
	  This works around an issue in the VMXNet3 driver. Thanks to Thomas
	  Guthmann. #1059
	* Exec plugin: A file descriptor leak when the plugin is configured to
	  run as a non-existing user was corrected. Thanks to Gautam BT and Marc
	  Fournier. #762
	* Exec plugin: A problem in the error handling of an fdopen() failure
	  has been fixed. Thanks to @ciomaire.
	* Interface plugin: Documentation about regular expressions in the
	  ignore list has been added. Thanks to Jakub Jankowski.
	* IRQ plugin: The "FIQ" line is now skipped as it doesn't contain any
	  counter. Thanks to Ruben Kerkhof. #971
	* Modbus plugin: The debug output has been disabled by default. It is
	  now only enabled when building with "--enable-debug". Thanks to Eric
	  Sandeen and Marc Fournier.
	* MongoDB plugin: A memory leak has been fixed and some adaptations to
	  the current API of the mongo-c-driver have been made. Thanks to
	  Florian Forster. #956
	* Network plugin: A check for the initialization of secure memory has
	  been added. Previously, failure to initialize this memory was ignored.
	  Thanks to @yujokang. #1665
	* Network plugin: A heap overflow has been fixed in the server code.
	  This issue can be triggered remotely and is potentially exploitable.
	  Thanks to Emilien Gaspar. CVE-2016-6254
	* Network plugin: The TimeToLive option handling was made more robust.
	  Thanks to Tim Laszlo. #654
	* NTPd plugin: Documentation about the required "mode 7" has been added.
	  Thanks to Jakub Jankowski.
	* NTPd plugin: Reporting of "time_offset-loop" was corrected to match
	  the values from ntpq/ntpdc. Thanks to Pierre Fersing and Florian
	  Forster. #1300
	* OpenVPN plugin: The plugin was fixe to avoid signaling an error when
	  no clients were connected. Thanks to Florian Forster. #731
	* Perl plugin: Init callbacks have been changed to run essentially
	  single-threaded to avoid race conditions by init functions which
	  create additional threads. Thanks to Pavel Rochnyack. #1706
	* PF plugin and DNS plugin: These plugins have been fixed to build
	  properly on OpenBSD again. Thanks to Ruben Kerkhof.
	* Processes plugin: A compilation error on systems without "regex.h" has
	  been fixed. Thanks to Corey Kosak.
	* Processes plugin: A memory leak on Solaris has been fixed. Thanks to
	  Jim Quinn.
	* Processes plugin and Swap plugin: These plugins have been corrected to
	  also work inside FreeBSD jails. Thanks to biancalana. #1019
	* Processes plugin: A warning about too long process names has been
	  added. Thanks to Marc Fournier. #1284
	* Processes plugin: Process counting on the FreeBSD and OpenBSD
	  platforms has been fixed. Thanks to Herve COMMOWICK. #1298
	* Processes plugin: The plugin was fixed to work properly on Solaris.
	  Thanks to Jan Andres. #919
	* Python plugin: A double-free bug got fixed. Thanks to Sven Trenkel.
	  #1285
	* RRDtool plugin: A race condition leading to corrupt RRD file creation
	  has been fixed. Thanks to Manuel Luis Sanmartín Rozada. #1031
	* SNMP plugin: The "Gauge32" signedness was corrected to match RFC1902.
	  Thanks to Nathan Ward. #1325
	* StatsD plugin: A deadlock on plugin shutdown has been fixed. Thanks to
	  Pavel Rochnyack #1703
	* StatsD plugin: A memory leak was corrected. Thanks to Florian Forster.
	  #997
	* StatsD plugin: A symbol lookup error was fixed by properly linking the
	  plugin against libm. Thanks to Florian Forster.
	* StatsD plugin: "utils_latency": Support for including values above
	  1000 in percentile calculation has been added. Thanks to Yoga
	  Ramalingam. #401
	* StatsD plugin: "utils_latency": Two division by zero error conditions
	  have been corrected. Thanks to Wilfried Goesgens. #655
	* StatsD plugin: Counters absolute counts are now also reported. Thanks
	  to Pierre-Yves Ritschard. #1311
	* StatsD plugin: The plugin now emits NaN values when no timer event is
	  recorded. Thanks to Florian Forster. #1038, #1039
	* StatsD plugin: The plugin was corrected to avoid crashing when
	  negative timer values are submitted. Thanks to Florian Forster. #1131
	* Tail CSV plugin: The plugin was fixed to work properly with multiple
	  "Collect" options and a bug got fixed when no "TimeFrom" is specified.
	  Thanks to Manuel Luis Sanmartín Rozada and Florian Forster. #1032
	* TCPConns plugin: A memory leak was fixed. Thanks to Florian Forster.
	  #1074
	* TCPConns plugin: An bug causing collectd to enter an inifinite loop on
	  OpenBSD was fixed. Thanks to Landry Breuil. #1094
	* Threshold plugin: Threshold configuration blocks can now be defined in
	  different files. Thanks to Michael Salmon. #551
	* vmem plugin: Support for pgsteal in recent Linux kernels has been
	  added. Thanks to Jakub Jankowski. #1307
	* vmem plugin: The DSType for nr_dirtied and nr_written was corrected to
	  report a derive. Thanks to Marek Becka. #1072
	* Write Graphite plugin: Error handling when submitting metrics to the
	  server is now more robust. Thanks to Sam Pointer. #1364
	* Write HTTP plugin: Freeing of memory holding HTTP headers during
	  shutdown has been fixed. Thanks to Tolga Ceylan.
	* Write Redis plugin: Multi-Valued key was made easier to parse by
	  adding a "|" character as a delimiter. Thanks to brianpkelly and
	  Florian Forster. #1070
	* Write Redis plugin: The timestamp format was corrected. Thanks to
	  Florian Forster.
	* ZFS ARC plugin: The plugin was will not emit warning about missing
	  "l2_size" stats anymore. Thanks to Jan Andres. #919
	* 152 patches have been applied to numerous plugins and core components,
	  fixing various programming errors which were reported by scan-build,
	  libasan, FBInfer, coverity-scan, clang and gcc-6: Thanks to Ruben
	  Kerkhof, Florian Forster, Marc Fournier, Corey Kosak, Laurent,
	  Claudius Zingerli and Fabien Wernli.

2015-02-26, Version 5.4.2
	* Build system: Numerous fixes. Thanks to Bjørn Nordbø, Jim Radford,
	  KOMEDA Shinji, Lauri Tirkkonen, Manuel Luis Sanmartin Rozada, Marc
	  Fournier, Rainer Müller, Yoga Ramalingam and Yves Mettier. #326,
	  #373, #653, #828
	* collectd: A use-after-free has been fixed in the "parse_value()"
	  function. Thanks to Matthias Urlichs.
	* collectd: Fix carriage return sign in types_list Thanks to Marc
	  Fournier and @NsLib.
	* collectd: Fix programming error in src/configfile.c. Thanks to
	  Wilfried Goesgens.
	* collectd: An off-by-one error has been fixed in the
	  "strstripnewline()" function. Patch by Florian Forster.
	* collectd: Use the complain mechanism to report filter chain write
	  failures. Thanks to Sebastian Harl.
	* collectd: Spelling and grammar of error messages have been fixed.
	  Thanks to Katelyn Perry and Tim Laszlo.
	* collectdctl: Fixed buffering issues which caused trouble on AIX and
	  Solaris. Thanks to Yoga Ramalingam.
	* Documentation: Details and example about multi-instance filterchain
	  targets have been added. Thanks to Marc Fournier.
	* Documentation: The "CollectStatistics" option of the rrdcached has
	  been documented. Thanks to Micha Krause. #907
	* Documentation: The write_redis has been documented. Thanks to Marc
	  Fournier.
	* Documentation: The "GraphiteSeparateInstances" and
	  "GraphiteAlwaysAppendDS" options of the amqp have been documented.
	  Thanks to Marc Fournier.
	* Documentation: Documentation of the "AutoLoadPlugin" option has been
	  improved. Thanks to Florian Forster. #715
	* aggregation: "utils_vl_lookup": A race when creating user objects
	  has been fixed. Thanks to Sebastian Harl. #535
	* cpu: Temperature code for Mac&nbsp;OS&nbsp;X has been removed.
	  Thanks to Florian Forster and Marc Fournier. #22
	* cURL, cURL-JSON, cURL-XML and Write HTTP plugins: Call
	  "curl_global_init()" in the plugins' "init()" callback. Thanks to
	  Jeremy Katz.
	* cURL and memcachec plugins: Fix calculation of gauge, average,
	  minimum and maximum. Previously, they were calculated from the start
	  of the daemon, which is not the documented behavior. Thanks to
	  Florian Forster. #663
	* curl-json: A bug, which triggered when two URLs with a long common
	  prefix were configured, was fixed. Thanks to Marc Fournier. #582
	* dbi: Compatibility with new versions of libdbi has been restored.
	  Thanks to Florian Forster. #950
	* Exec, UnixSock plugins: Fix parsing of the "time" option of the
	  "PUTNOTIF" command. Thanks to Adrian Miron. #477
	* ipmi: A conflict with the java over the "SIGUSR2" signal has been
	  fixed. Thanks to Vincent Bernat. #114
	* java: Conversion from Java's time representation to collectd's
	  representation has been fixed. Thanks to Manuel Luis Sanmartín
	  Rozada.
	* java: Make sure "cjni_thread_detach()" is called on all paths.
	  Thanks to Florian Forster.
	* LogFile and SysLog plugins: Avoid total silence in case of a
	  misconfiguration. Thanks to Marc Fournier and Wilfried Goesgens.
	* network: Support for recent versions of gcrypt has been added.
	  Thanks to Vincent Bernat. #632
	* network: Robustness of the client connecting behavior has been
	  improved. Thanks to Florian Forster. #627
	* python: Don't create empty "meta_data_t" objects. Thanks to Florian
	  Forster. #716
	* python: Fix Py list length check in "cpy_build_meta()". Thanks to
	  Yoga Ramalingam.
	* python: The "interval" member was fixed to export seconds as a
	  double. Thanks to Justin Burnham.
	* RRDtool and RRDCacheD plugins: A memory leak when creating RRD files
	  has been fixed. Thanks to Yves Mettier. #661
	* snmp: Fix a memory leak. Thanks to Marc Fournier and Pierre-Yves
	  Ritschard. #610, #804
	* statsd: Support for samplerates in timer metrics was added. Thanks
	  to John Leach. #461
	* swap: Fix behavior under OpenVZ by making "cached" optional. Thanks
	  to Florian Forster. #733
	* threshold: Population of the "time" field in notifications has been
	  added. Thanks to Manuel Luis Sanmartín Rozada.
	* libvirt: Only gather stats for running domains. Thanks to Ruben
	  Kerkhof.
	* lvm: An issue with Volume Groups (VGs) without Logical Volumes (LVs)
	  has been fixed. Thanks to Jan Kundrát.
	* write_graphite: Escape characters not supported by Graphite. Thanks
	  to Pierre-Yves Ritschard and Marc Fournier.
	* write_http: Make callback names context-dependent. Thanks to Marc
	  Fournier. #821
	* write_redis: A formatting bug, which resulted in totally unusable
	  numbers being transmitted to Redis, was fixed. Thanks to Marc
	  Fournier.
	* write_riemann: Receive acknowledge message when using TCP. Thanks to
	  John-John Tedro.

2014-01-26, Version 5.4.1
	* amqp plugin: Add support for RabbitMQ 0.4.x to avoid compiler
	  warnings. Thanks to Sebastian Harl for implementing this.
	* apache / network plugins: Improved initialization order hopefully
	  resolved gcrypt initialization problems.
	* aquaero plugin: The type used to submit fan utilization was fixed.
	  Thanks to Alex Deymo for the patch.
	* cgroups plugin: A small memory leak was fixed. Checking the existence
	  of a mount option without a value was fixed. More permissive parsing
	  of the cpuacct.stats file fixes support for some versions of Linux.
	  Thanks to Marc Fournier for bug reports and patches.
	* curl plugin: Fix <Match> blocks without an instance. Thanks to
	  Alexander Golovko for reporting and Sebastian Harl for fixing this.
	* curl_json plugin: Potentially invalid memory access has been
	  sanitized. Thanks to Jim Radford for his patch.
	* interface plugin: Fix behavior under FreeBSD 10: Reporting of
	  per-address statistics caused duplicate updates to the same metric.
	  Thanks to demon / @trtrmitya for the patch.
	* write_graphite plugin: Use TCP to connect to Graphite by default. The
	  default changed from TCP to UDP between 5.3.1 and 5.4.0, which is a
	  regression. Thanks to Marc Fournier for fixing this. Reconnect
	  behavior was improved. Thanks to Michael Hart for his patch.
	* zfs_arc plugin: Collect "allocated" and "stolen" on FreeBSD only.

2013-08-18, Version 5.4.0
	* collectd: The "LoadPlugin" config option no longer attempts to load
	  plugins twice. If more than one "LoadPlugin" statement or block is
	  encountered, only the first will have any effect.
	* collectd: The "AutoLoadPlugin" option allows to automatically load
	  plugins for which a configuration is found.
	* collectd: The "WriteQueueLimitHigh" and "WriteQueueLimitLow" options
	  allow collectd to drop values when under stress, to avoid running out
	  of memory. Thanks to Yves Mettier for his patch.
	* amqp plugin: The "GraphiteSeparateInstances" and
	  "GraphiteAlwaysAppendDS" options have been added. Thanks to Laurent
	  for the patch.
	* aquaero plugin: This new plugin reads various metrics, e.g. fan
	  speeds and temperatures, from Aquaero 5, a fan and water cooling
	  control panel. Thanks to Alex Deymo for his patch.
	* curl plugin: The "MeasureResponseCode" option has been added. Thanks
	  to Jan Matějka for his patch.
	* curl_json plugin: Support for UNIX domain sockets and array wildcards
	  has been added. Thanks to Jim Radford for his patch.
	* curl_xml plugin: Support for long URLs has been improved.
	* cgroups plugin: This new plugin collects CPU accounting information
	  for processes in a cgroup. Thanks to Michael Stapelberg for his patch.
	* df plugin: The "ValuesAbsolute" and "ValuesPercentage" options have
	  been added. Thanks to Vedran Bartonicek for the patch.
	* exec plugin: Do UID / GID lookups before forking. This should prevent
	  a race condition in the NSS library. Thanks to Ceri Storey for the
	  patch.
	* lvm plugin: This new plugin collects size information from Linux'
	  Logical Volume Manager (LVM). Thanks to Chad Malfait for his work.
	* memcached plugin: Support for increment and decrement counts has been
	  added. Thanks to Blake Matheny for the patch.
	* mic plugin: This new plugin collects CPU and memory usage, power
	  consumption and temperatures of Intel's Many-Integrated-Core (MIC)
	  architecture, such as Xeon Phi cards. Thanks to Evan Felix for his
	  work.
	* netlink plugin: This plugin has been converted to use the supported
	  "libmnl" library. Thanks to Andreas Henriksson for his patch.
	* nginx plugin: Collection of accepted and handled connections has been
	  added. Thanks to Patrick Shan for his patch.
	* sigrok plugin: This new plugin collects metrics from sigrok, a signal
	  processing framework reading various hardware devices, from light
	  meters to spectrum analyzers. Thanks to Bert Vermeulen for his patch.
	* statsd plugin: This new plugin listens to a UDP socket and reads
	  metrics in the StatsD format.
	* varnish plugin: Many additional metrics have been added. Thanks to
	  Nick Stenning for his patch.
	* write_graphite plugin: Support for "UDP" has been added. Thanks to
	  Javier Maestro for his patch.
	* write_riemann plugin: The "TTLFactor" option has been added.
	* zfs_arc plugin: Support for FreeBSD has been added. Thanks to Xin Li
	  for his patch.

2015-02-26, Version 5.3.2
	* Build system: Numerous fixes. Thanks to Bjørn Nordbø, Jim Radford,
	  KOMEDA Shinji, Lauri Tirkkonen, Manuel Luis Sanmartin Rozada, Marc
	  Fournier, Rainer Müller, Yoga Ramalingam and Yves Mettier. #326,
	  #373, #653, #828
	* collectd: A use-after-free has been fixed in the "parse_value()"
	  function. Thanks to Matthias Urlichs.
	* collectd: Fix carriage return sign in types_list Thanks to Marc
	  Fournier and @NsLib.
	* collectd: Fix programming error in src/configfile.c Thanks to
	  Wilfried Goesgens.
	* collectd: An off-by-one error has been fixed in the
	  "strstripnewline()" function. Patch by Florian Forster.
	* collectd: Use the complain mechanism to report filter chain write
	  failures. Thanks to Sebastian Harl.
	* collectd: Spelling and grammar of error messages have been fixed.
	  Thanks to Katelyn Perry and Tim Laszlo.
	* collectdctl: Fixed buffering issues which caused trouble on AIX and
	  Solaris. Thanks to Yoga Ramalingam.
	* Documentation: Details and example about multi-instance filterchain
	  targets have been added. Thanks to Marc Fournier.
	* Documentation: The "CollectStatistics" option of the rrdcached has
	  been documented. Thanks to Micha Krause. #907
	* Documentation: The write_redis has been documented. Thanks to Marc
	  Fournier.
	* Documentation: The synopsis of the threshold has been fixed. Thanks
	  to Fabien Wernli.
	* Documentation: The "GraphiteSeparateInstances" and
	  "GraphiteAlwaysAppendDS" options of the amqp have been documented.
	  Thanks to Marc Fournier.
	* aggregation: "utils_vl_lookup": A race when creating user objects
	  has been fixed. Thanks to Sebastian Harl. #535
	* cpu: Temperature code for Mac&nbsp;OS&nbsp;X has been removed.
	  Thanks to Florian Forster and Marc Fournier. #22
	* csv: A regression which would lead to the "DataDir" option to be
	  ignored has been fixed. Thanks to Manuel Luis Sanmartin Rozada.
	* curl, curl-json, curl-xml and write_http plugins: Call
	  "curl_global_init()" in the plugins' "init()" callback. Thanks to
	  Jeremy Katz.
	* curl and memcachec plugins: Fix calculation of gauge, average,
	  minimum and maximum. Previously, they were calculated from the start
	  of the daemon, which is not the documented behavior. Thanks to
	  Florian Forster. #663
	* dbi plugin: Compatibility with new versions of libdbi has been
	  restored. Thanks to Florian Forster. #950
	* exec, unixsock plugins: Fix parsing of the "time" option of the
	  "PUTNOTIF" command. Thanks to Adrian Miron. #477
	* java: Conversion from Java's time representation to collectd's
	  representation has been fixed. Thanks to Manuel Luis Sanmartín
	  Rozada.
	* ipmi: A conflict with the java over the "SIGUSR2" signal has been
	  fixed. Thanks to Vincent Bernat. #114
	* java: Make sure "cjni_thread_detach()" is called on all paths.
	  Thanks to Florian Forster.
	* logfile and syslog plugins: Avoid total silence in case of a
	  misconfiguration. Thanks to Marc Fournier and Wilfried Goesgens.
	* memcached: Connecting to a UNIX socket has been fixed. Thanks to Jim
	  Radford.
	* network: Support for recent versions of gcrypt has been added.
	  Thanks to Vincent Bernat. #632
	* network: Robustness of the client connecting behavior has been
	  improved. Thanks to Florian Forster. #627
	* python: Don't create empty "meta_data_t" objects. Thanks to Florian
	  Forster. #716
	* python: Fix Py list length check in "cpy_build_meta()". Thanks to
	  Yoga Ramalingam.
	* python: The "interval" member was fixed to export seconds as a
	  double. Thanks to Justin Burnham.
	* replace and set targets: Fix error message. Thanks to Marc Fournier.
	  #448
	* rrdtool and rrdcached plugins: Honor the "DataDir" config option;
	  this fixes a regression. Thanks to Florian Forster. #380
	* rrdtool and rrdcached plugins: A memory leak when creating RRD files
	  has been fixed. Thanks to Yves Mettier. #661
	* snmp: Fix a memory leak. Thanks to Marc Fournier and Pierre-Yves
	  Ritschard. #610, #804
	* swap: Fix behavior under OpenVZ by making "cached" optional. Thanks
	  to Florian Forster. #733
	* threshold: Population of the "time" field in notifications has been
	  added. Thanks to Manuel Luis Sanmartín Rozada.
	* libvirt: Only gather stats for running domains. Thanks to Ruben
	  Kerkhof.
	* write_graphite: Escape characters not supported by Graphite. Thanks
	  to Pierre-Yves Ritschard and Marc Fournier.
	* write_http: Make callback names context-dependent. Thanks to Marc
	  Fournier. #821
	* write_riemann: Receive acknowledge message when using TCP. Thanks to
	  John-John Tedro.

2013-07-13, Version 5.3.1
	* Documentation: Various fixes.
	* Configuration: Fix error handling: Errors in included files were
	  ignored, causing configuration mistakes to go unnoticed.
	* dns plugin: Don't abort when PCAP returns an error.
	* modbus plugin: The reconnection strategy was improved, fixing a
	  segfault in the libmodbud library. Thanks to Stefan Nickl and
	  Fabien Wernli for their patches.
	* mysql plugin: The notification about a newly running MySQL slave
	  thread has been fixed. Thanks to Joaquín Cuenca Abela for the patch.
	* snmp plugin: A build issue has been fixed (C99 mixed declaration).
	  The end-of-tree check has been improved by Pierre-Yves Ritschard.
	* threshold plugin: Handling of the "Interesting" configuration option
	  has been fixed. Thanks to Björn for the patch.
	* write_riemann plugin: A memory leak has been fixed. Thanks to Dave
	  Cottlehuber for reporting it.

2013-04-09, Version 5.3.0
	* collectd: The "Include" statements can now be limited to include
	  only matching files in a directory. Thanks to Sebastian Harl for his
	  patch.
	* collectd: Dispatches / writes are now handled by a thread pool. This
	  improves reliability and throughput for instances configured to act
	  as a "server". Thanks to Sebastian Harl and Dan Fandrich for
	  reviewing this change and fixing bugs.
	* aggregation plugin: Selection of value lists is now possible using
	  regular expressions. Parts of the identifier of the resulting metric
	  can now be set via the configuration file.
	* apcups plugin: The "ReportSeconds" option has been implemented.
	* curl* plugins: Support for POST requests and custom request headers
	  has been added. Thanks to Dan Fandrich for his patch.
	* curl_xml plugin: Support for XML namespaces has been added. Thanks
	  to Dan Fandrich for his patch.
	* dbi plugin: Support for numeric options has been added. The
	  "Host" option has been added. Thanks to Daniel Hilst for his patch.
	* disk plugin: Support for systems with >256 has been fixed. Thanks to
	  Greg Mason for his patch.
	* libvirt plugin: Support for memory allocation has been added. Thanks
	  to Johan Wirén for his patch.
	* netapp plugin: Support for "SnapVault", "VFiler" and deduplication /
	  compression and quota metrics. Thanks to Sebastian Harl for his
	  patches and teamix GmbH for sponsoring this work.
	* postgresql plugin: The reconnection logic has been improved. Thanks
	  to Sebastian Harl for his patches.
	* rrdtool, rrdcached plugins: The "CreateFilesAsync" option has been
	  implemented. When enabled, new RRD files will be created
	  asynchronously, which improved throughput of "server" instances.
	  Many thanks to Yves Mettier for all his input and code.
	* tail_csv plugin: This new plugins allows to read metrics from CSV
	  files, such as Snort's statistics file. Thanks to Kris Nielander for
	  his patch.
	* write_mongodb plugin: Authentication options have been added.
	* write_riemann plugin: This new plugin allows sending metrics to
	  Riemann, a stream processing and alerting tool. Big thanks to
	  Pierre-Yves Ritschard for his work.

2013-04-08, Version 5.2.2
	* Build system: A bad interaction between the Java detection code and
	  libltdl has been fixed. Thanks to Dave Cottlehuber for his patch.
	  Installation of the Perl bindings has been improved / fixed. Thanks
	  to Sebastian Harl for his patch.
	* collectd: Fixed read callback scheduling at startup.
	* apache, ascent, bind, curl, curl_json, curl_xml, nginx and
	  write_http plugins: Portability fixes, protection from infinite
	  redirect loops, improved error handling and incorrect dereferences
	  have been fixed. Most of these are related to the cURL library.
	  Thanks to Dan Fandrich for his patches.
	* logfile plugin: Flush the output file handle. This works around
	  caching when logging to STDOUT and redirecting into a file. Thanks
	  to Nathan Huff for the patch.
	* mysql plugin: Fix a memory leak in the error handling. Thanks to
	  Tomas Doran for his patch.
	* netapp plugin: Fix the interval with which values are dispatched.
	* network plugin: Build issues under FreeBSD and initialization have
	  been fixed. Thanks to Ed Schouten for his patch.
	* nfs plugin: A compilation problem has been fixed.
	* notify_email plugin: Add a character set to the mail header. Thanks
	  to Manuel Cissé for his patch.
	* pf plugin: Build issues have been fixed.
	* postgresql plugin: Build issues have been fixed.
	* rrdcached plugin: Connect to the daemon from the read callback.
	* snmp plugin: Matching of SNMP subtrees has been improved. Thanks to
	  "jkrabbe" for the patch.
	* thermal plugin: The initialization of dispatched value lists has
	  been fixed. Thanks to Markus Knetschke for his patch.
	* unixsock plugin: Parsing of options with an underscore, e.g.
	  "plugin_instance" has been fixed. Thanks to Tommie Gannert for his
	  patch.

2013-01-27, Version 5.2.1
	* Build system: "make distcheck" has been fixed. Build fixes Solaris
	  and systems without gcrypt. Thanks to Yves Mettier for his patches.
	* collectd: The complaint mechanism was fixed. It reported messages
	  more frequently than intended.
	* collectd-tg: A manual page has been added.
	* dns plugin: Build issues on FreeBSD have been fixed. Thanks to
	  Ed Schouten for his patch.
	* ethstat plugin: Fix the "Map" config option. An incorrectly used
	  character pointer may lead to a segmentation fault.
	* network plugin: Build issues on FreeBSD have been fixed. Thanks to
	  Ed Schouten for his patch.
	* postgresql plugin: A memory leak in the writing code has been fixed.
	  A use-after-free issue that happened when more than one database was
	  configured was fixed. Thanks to Sebastian Harl for fixing these
	  problems.
	* redis plugin: A build failure has been fixed. Thanks to Pierre-Yves
	  Ritschard for his patch.
	* varnish plugin: Fix a problem with instances without name.
	* write_graphite plugin: A regression which rendered the
	  "SeparateInstances" and "AlwaysAppendDS" options unusable has been
	  fixed. A failed assertion when using types with many data sources
	  has been fixed. Improve reporting of connection errors to not spam
	  log files too much. Thanks to Pierre-Yves Ritschard for reporting
	  the logging problem.
	* zfs_arc plugin: Fix the type used for mutex misses. Thanks to Yves
	  Mettier for reporting this bug.

2012-11-17, Version 5.2.0
	* collectd: The performance of the LISTVAL command has been improved.
	  Thanks to Yves Mettier for the patch.
	* collectd: The possibility to configure the collection interval on a
	  per-plugin basis has been added. Huge thanks to Sebastian Harl for
	  his work.
	* collectd-tg: This new binary allows to generate random but real
	  looking collectd network traffic. This can be used to load-test new
	  plugin, for example.
	* libcollectdclient: Code for constructing and sending network packets
	  in the binary format has been added.
	* aggregation plugin: This new plugin allows to aggregate multiple
	  value lists into one.
	* amqp and write_http plugins: Meta data is now included in the JSON
	  output format. Thanks to Mark Wong for the patch.
	* amqp plugin: Support for "Graphite" output has been added. Thanks to
	  Thomas Meson for the patch.
	* contextswitch plugin: Support for AIX has been added. Thanks to
	  Manuel Rozada for his patch.
	* disk plugin: The "UseBSDName" config option has been added to the
	  Mac OS X version.
	* GenericJMX plugin: Automatically determine the host name if it isn't
	  configured.
	* libvirt plugin: The "number" interface format has been added. Thanks
	  to "Davide Guerri" for the patch.
	* memcached plugin: Support for multiple connections has been added.
	  Thanks to Nicolas Szalay for the patch.
	* ntpd plugin: The "IncludeUnitID" config option has been added. The
	  behavior when a peer is unreachable has been improved. Thanks to
	  Johan Kiviniemi for the patches.
	* oracle plugin: The "Host" config option has been added.
	* pf plugin: This new plugin allows to collect statistics from BSD's
	  packet filter "pf". Thanks to Pierre-Yves Ritschard and Stefan Rinkes
	  for their work.
	* postgresql plugin: The "Instance" config option has been added.
	  Support for writing values to a PostgreSQL database has been added.
	  Thanks to Sebastian Harl for the patches.
	* processes plugin: Support for Solaris has been added. Thanks to
	  Cosmin Ioiart for the patch.
	* redis plugin: Support for authenticating via password has been added.
	  Thanks to biancalana for the patch.
	* rrdcached plugin: The "HeartBeat", "RRARows", "RRATimespan",
	  "StepSize" and "XFF" config options have been added.
	* swap plugin: The "ReportBytes" config option has been added. The AIX
	  version now also exports "reserved" pages and swap-in / swap-out
	  "traffic". Thanks to Manuel Rozada for the patch.
	* tcpconns plugin: Use a netlink socket rather than reading from /proc
	  for improved performance. Thanks to Michael Stapelberg for the patch.

2013-04-08, Version 5.1.3
	* Build system: A bad interaction between the Java detection code and
	  libltdl has been fixed. Thanks to Dave Cottlehuber for his patch.
	* collectd: Fixed read callback scheduling at startup.
	* apache, ascent, bind, curl, curl_json, curl_xml, nginx and
	  write_http plugins: Portability fixes, protection from infinite
	  redirect loops, improved error handling and incorrect dereferences
	  have been fixed. Most of these are related to the cURL library.
	  Thanks to Dan Fandrich for his patches.
	* logfile plugin: Flush the output file handle. This works around
	  caching when logging to STDOUT and redirecting into a file. Thanks
	  to Nathan Huff for the patch.
	* mysql plugin: Fix a memory leak in the error handling. Thanks to
	  Tomas Doran for his patch.
	* netapp plugin: Fix the interval with which values are dispatched.
	* network plugin: Build issues under FreeBSD and initialization have
	  been fixed. Thanks to Ed Schouten for his patch.
	* nfs plugin: A compilation problem has been fixed.
	* notify_email plugin: Add a character set to the mail header. Thanks
	  to Manuel Cissé for his patch.
	* rrdcached plugin: Connect to the daemon from the read callback.
	* snmp plugin: Matching of SNMP subtrees has been improved. Thanks to
	  "jkrabbe" for the patch.
	* thermal plugin: The initialization of dispatched value lists has
	  been fixed. Thanks to Markus Knetschke for his patch.
	* unixsock plugin: Parsing of options with an underscore, e.g.
	  "plugin_instance" has been fixed. Thanks to Tommie Gannert for his
	  patch.

2013-01-25, Version 5.1.2
	* Build system: "make distcheck" has been fixed. Thanks to Yves
	  Mettier for his patches.
	* collectd: The complaint mechanism was fixed. It reported messages
	  more frequently than intended.
	* dns plugin: Build issues on FreeBSD have been fixed. Thanks to
	  Ed Schouten for his patch.
	* ethstat plugin: Fix the "Map" config option. An incorrectly used
	  character pointer may lead to a segmentation fault.
	* network plugin: Build issues on FreeBSD have been fixed. Thanks to
	  Ed Schouten for his patch.
	* varnish plugin: Fix a problem with instances without name.
	* write_graphite: Improve reporting of connection errors to not spam
	  log files too much. Thanks to Pierre-Yves Ritschard for reporting
	  this problem.
	* zfs_arc plugin: Fix the type used for mutex misses. Thanks to Yves
	  Mettier for reporting this bug.

2012-11-11, Version 5.1.1
	* collectd: Create new directories with mode 0777 and let umask remove
	  unwanted permission bits.
	* collectd: Build issues have been fixed.
	* collectd: An incorrect assertion has been fixed in some common code
	  for Solaris. This should resolve pseudo-random assertion failures
	  under Solaris. Thanks to Jeff Blane for his help debugging this.
	* collectd: A couple of memory leaks through PThread thread attributes
	  have been fixed. Thanks to Gerrie Roos for fixing these.
	* collectdctl: Fix PUTVAL for data sets with multiple data sources.
	  Thanks to Cyril Feraudet for reporting this problem.
	* contrib/migrate-4-5.px: Handle to "df" to "df_complex" conversion
	  correctly.
	* apcups plugin: Improve the reconnect behavior.
	* curl_xml plugin: The "Host" setting was silently ignored. Thanks to
	  Fabien Wernli for fixing this.
	* df plugin: Ignore "rootfs" devices under Linux to avoid having them
	  reported twice. Thanks to Brune Prémont for fixing this.
	* disk plugin: Fix incorrect computation of read and write latency (the
	  "disk_time" type). Previously, the numbers reported where too small
	  by a factor of "interval", e.g. when the interval is set to 10
	  seconds, the values were too low by a factor of 10. Thanks to Manuel
	  Sanmartin for reporting this problem.
	* dns plugin: A build issue under Solaris has been fixed. A erroneous
	  define that could lead to the reporting of bad data has been fixed by
	  Daniel Sutto.
	* ethstat plugin: An off-by-one error and potential use of
	  uninitialized memory has been fixed. Thanks to Mark Voelker for
	  reporting these problems.
	* memcachec plugin: A bug in the configuration handling has been fixed.
	  Thanks to Pascal Hofmann for fixing this issue.
	* mysql plugin: Fix a bug when registering multiple databases. Thanks
	  to Sebastian Harl for fixing this.
	* netapp plugin: Correctly close the connection on communication
	  errors.
	* netlink plugin: The function used to query statistics has been
	  changed to be more in line with iproute2's behavior. Thanks to
	  "KIvosak" for the patch.
	* network plugin: Initialization of libgcrypt has been fixed. Thanks to
	  Chris Lundquist for his patch.
	* oracle plugin: Error messages have been improved.
	* ping plugin: Don't enter the exponential back-off mode when
	  ping_send() fails. This should make recovery after a network failure
	  much faster.
	* python plugin: Memory leaks have been fixed. Thanks to Tommie Gannert
	  and Sven Trenkel for fixing this.
	* redis plugin: Fix a compilation problem on FreeBSD. Thanks to
	  "biancalana" for the fix.
	* rrdtool plugin: Fix an out-of-bounds array access when printing a
	  warning message. Thanks to Will Hawkins for fixing this bug.
	* snmp plugin: Support for the SNMP_ENDOFMIBVIEW return value has been
	  added. Support for more complex / unusual MIBs / subtrees has been
	  added. Thanks to Mark Juric to test the changes and point out these
	  problems.
	* varnish plugin: Support for multiple instances of Varnish 3 has been
	  fixed. Thanks to Jonathan Huot for the patch.
	* write_mongodb plugin: Add compatibility with libmongo 0.6.0 and
	  later. Thanks to Chris Lundquist for this patch.

2012-04-01, Version 5.1.0
	* Build system, iptables plugin: The shipped version of libiptc has
	  been removed.
	* collectd-nagios: A list of value lists can now be queried using
	  "-n LIST". Thanks to Sebastian Harl for his patches.
	* bind plugin: The "ParseTime" option has been added. It allows to use
	  the system time rather than the time reported by BIND.
	* curl, memcachec, tail plugins: The "ExcludeRegexp" option has been
	  added. Thanks to Peter Warasin for his initial patch.
	* ethstat plugin: The new "ethstat" plugin reads performance statistics
	  directly from ethernet cards. Thanks to Cyril Feraudet for his patch.
	* GenericJMX plugin: Support for querying MBean "Operations" (in
	  addition to "Attributes") has been added. Thanks to Pierre-Yves
	  Ritschard for his patch.
	* irq plugin: The selection / ignore code now uses the default
	  ignorelist infrastructure, providing the standard feature set, e.g.
	  regex matching.
	* md plugin: The new "md" plugin reports the number of disks in various
	  states in Linux software RAID devices. Thanks to Michael Hanselmann
	  for his patch.
	* modbus plugin: Support for signed integer register types has been
	  added.
	* nfs plugin: Support for Solaris has been added. Thanks to Cosmin
	  Ioiart for his patch.
	* numa plugin: The new "numa" plugin reports statistics of the
	  Non-Uniform Memory Access (NUMA) subsystem of Linux.
	* processes plugin: Various fixes for the FreeBSD implementation.
	  Thanks to Phil Kulin for his patch.
	* rrdcached plugin: Passing flushes to the caching daemon has been
	  added.
	* sensors plugin: The initialization code has been improved. Thanks to
	  Henrique de Moraes Holschuh for his patch.
	* swap plugin: The "ReportByDevice" option has been added.
	* syslog plugin: Support for writing notifications has been added.
	  Thanks to Fabien Wernli for his patch.
	* tcpconns plugin: Support for AIX has been added. Thanks to Manuel
	  Luis Sanmartín Rozada for his patch.
	* threshold plugin: The "PersistOK" option has been added. Thanks to
	  Aaron Brady for his patch.
	* varnish plugin: Support for Varnish 3.0 has been added. Thanks to
	  Jérôme Renard for his patches.
	* write_mongodb plugin: The new "write_mongodb" plugin writes value
	  lists to MongoDB, a shema-less database. Thanks to Akkarit Sangpetch
	  and Chris Lundquist for their work.
	* write_graphite plugin: The new "write_graphite" plugin writes value
	  lists to Carbon, the storage layer of the Graphite time-series
	  database. Thanks to Scott Sanders and Pierre-Yves Ritschard for their
	  work.
	* zfs_arc plugin: Several new statistics have been added. Thanks to
	  Aurelien Rougemont for his patches.
	* scale target: Support for scaling specific data sources only has been
	  added. Thanks to Gerrie Roos for his patch.

2012-11-11, Version 5.0.5
	* collectd: Create new directories with mode 0777 and let umask remove
	  unwanted permission bits.
	* collectd: Build issues have been fixed.
	* collectd: An incorrect assertion has been fixed in some common code
	  for Solaris. This should resolve pseudo-random assertion failures
	  under Solaris. Thanks to Jeff Blane for his help debugging this.
	* collectd: A couple of memory leaks through PThread thread attributes
	  have been fixed. Thanks to Gerrie Roos for fixing these.
	* collectdctl: Fix PUTVAL for data sets with multiple data sources.
	  Thanks to Cyril Feraudet for reporting this problem.
	* contrib/migrate-4-5.px: Handle to "df" to "df_complex" conversion
	  correctly.
	* apcups plugin: Improve the reconnect behavior.
	* curl_xml plugin: The "Host" setting was silently ignored. Thanks to
	  Fabien Wernli for fixing this.
	* df plugin: Ignore "rootfs" devices under Linux to avoid having them
	  reported twice. Thanks to Brune Prémont for fixing this.
	* disk plugin: Fix incorrect computation of read and write latency (the
	  "disk_time" type). Previously, the numbers reported where too small
	  by a factor of "interval", e.g. when the interval is set to 10
	  seconds, the values were too low by a factor of 10. Thanks to Manuel
	  Sanmartin for reporting this problem.
	* dns plugin: A build issue under Solaris has been fixed. A erroneous
	  define that could lead to the reporting of bad data has been fixed by
	  Daniel Sutto.
	* memcachec plugin: A bug in the configuration handling has been fixed.
	  Thanks to Pascal Hofmann for fixing this issue.
	* mysql plugin: Fix a bug when registering multiple databases. Thanks
	  to Sebastian Harl for fixing this.
	* netapp plugin: Correctly close the connection on communication
	  errors.
	* netlink plugin: The function used to query statistics has been
	  changed to be more in line with iproute2's behavior. Thanks to
	  "KIvosak" for the patch.
	* network plugin: Initialization of libgcrypt has been fixed. Thanks to
	  Chris Lundquist for his patch.
	* oracle plugin: Error messages have been improved.
	* ping plugin: Don't enter the exponential back-off mode when
	  ping_send() fails. This should make recovery after a network failure
	  much faster.
	* python plugin: Memory leaks have been fixed. Thanks to Tommie Gannert
	  and Sven Trenkel for fixing this.
	* redis plugin: Fix a compilation problem on FreeBSD. Thanks to
	  "biancalana" for the fix.
	* rrdtool plugin: Fix an out-of-bounds array access when printing a
	  warning message. Thanks to Will Hawkins for fixing this bug.
	* snmp plugin: Support for the SNMP_ENDOFMIBVIEW return value has been
	  added. Support for more complex / unusual MIBs / subtrees has been
	  added. Thanks to Mark Juric to test the changes and point out these
	  problems.

2012-04-01, Version 5.0.4
	* Build system: Fix the use of a libltdl macro. Thanks to Clemens Lang
	  for fixing this. Adresses some issues with building the iptables
	  plugin under Gentoo.
	* libcollectdclient: A memory leak in the lcc_getval() function has
	  been fixed. Thanks to Jason Schmidlapp for finding and fixing this
	  issue.
	* bind plugin: The use of 'QType" types has been fixed.
	* df plugin: Fixed compiler issue under Mac OS X 10.7.
	* conntrack plugin: Support zero as legitimate value. Thanks to Louis
	  Opter for his patch.
	* memcached plugin: Increased the size of a static buffer, which was
	  truncating status messages form memcached. Thanks to Timon for the
	  patch.
	* network plugin: Forwarding of notifications has been disabled. This
	  was a contition not checked for before, which may retult in an
	  endless loop.
	* processes plugin: Support for process names with spaces has been
	  added to the Linux implementation. Thanks to Darrell Bishop for his
	  patch.
	* perl plugin: A race condition in several callbacks, including log and
	  write callbacks, has been fixed. Thanks to "Rrpv" for reporting this
	  bug.
	* snmp plugin: A bug when casting unsigned integers to gauge values has
	  been fixed: Unsigned integers would be cast to a signed integer and
	  then to a gauge, possibly resulting in a negative value.
	* tcpconns plugin: Compilation with newer versions of the FreeBSD
	  runtime has been fixed.

2012-02-19, Version 5.0.3
	* Build system: Fix problems when building the ipvs and iptables
	  plugins. Thanks to Sebastian Harl for his patch. A bashism in the
	  version-gen.sh script has been fixed. Thanks to Jo-Philipp Wich for
	  his patch.
	* csv and rrdtool plugins: Print a more helpful error message when the
	  DataDir is a symlink pointing to a non-existing location. Thanks to
	  Jonathan Nieder for his patch.
	* exec plugin: Fix a problem when using select(2) to read from file
	  handles. Thanks to Gerrie Roos for his patch.
	* network plugin: An incorrect error message in the handling of the
	  "Interface" configuration option has been fixed. Thanks to Gerrie
	  Roos for his patch.
	* oracle plugin: A potential endless loop in the error handling has
	  been fixed.
	* python plugin: A crash bug in the configuration handling has been
	  fixed. Thanks to Sven Trenkel for his patch.
	* interfaces plugin: The change which was supposed to ignore "bogus"
	  interfaces has been reverted, since it ignored legit interfaces, such
	  as bonding pseudo-devices as well.

2012-01-21, Version 5.0.2
	* curl_xml plugin: Fix handling of file:// and other URLs (which don't
	  follow HTTP status codes). Thanks to Fabien Wernli for his patch!
	* df plugin: Fix handling of negative "available" counts. This can
	  occur with some file systems, for example UFS. Thanks to Toni Ylenius
	  for his patch.
	* interface plugin: "mac" interfaces are now ignored on Solaris. These
	  pseudo-interfaces occur multiple times, causing warnings. Also switch
	  to 64-bit counters on Solaris, improving overflow behavior for
	  high-speed interfaces. Thanks to Eddy Geez and Fabien Wernli for
	  their patches.
	* memory plugin: Account kernel and unused memory under Solaris. Thanks
	  to Fabien Wernli for his patch.
	* network plugin: A bug in the interaction between the Network plugin
	  and filter chains has been fixed: When a filter modified a field such
	  as the hostname, subsequent values in the same network packets could
	  have ended up using the modified name rather than the original name.
	  Thanks to Sebastian Harl for identifying the problem.
	* oracle plugin: A memory leak has been fixed in the parameter handling.
	* python plugin: A memory leak has been fixed. Thanks to Sven Trenkel
	  for fixing this bug!

2011-10-07, Version 5.0.1
	* collectd: A mutex leak has been fixed in the meta data code. Thanks
	  to Rafal Lesniak for his patch.
	* collectd: Compatibility fixes for GCC 4.6 have been applied. Thanks
	  to Peter Green for his patch.
	* csv plugin: The line buffer size has been increased. Thanks to Colin
	  McCabe for the patch.
	* curl_json plugin: Don't use the "parent" node to build the type
	  instance, if it is empty. Compatibility with libyajl 2 has been
	  added. Thanks to "spupykin" of the Arch Linux project for the initial
	  code. Formatting of time has been fixed in the JSON module.
	* exec plugin: Fix the timestamp value passed to notification scripts.
	  Thanks to Alexander Kovalenko for fixing this.
	* iptables plugin: Fix linking with some versions of libiptc.
	* irq plugin: Fix support for interrupts under Linux. The old code
	  assumed that interrupts have a numeric value -- this is no longer
	  true for Linux. Thanks to Bostjan Skufca for implementing this.
	* notify_desktop plugin: Compatibility with libnotify 0.7 has been
	  added. Thanks to Samuli Suominen for his patch.
	* processes plugin: Fix handling of regular expressions containing
	  spaces. Thanks for Sebastian Harl for fixing this.
	* rrdtool, rrdcached plugins: Improve precision of the XFF parameter.
	  Previously, values like 0.999 would have been rounded to 1.0. Thanks
	  to Francois-Xavier Bourlet for fixing this.
	* varnish plugin: Fix data type handling of some metrics. Some values
	  were submitted as gauge even though they were derives.
	* Various plugin: Set a multi-threading flag in libcurl. Thanks to Mike
	  Flisher for the fix.

2011-03-28, Version 5.0.0
	* collectd: The "FQDNLookup" option is now enabled by default.
	* collectd: The internal representation of time has been changed to
	  allow a higher accuracy than one second.
	* collectdcmd: This new command line utility can send various commands
	  to collectd using the UnixSock plugin. Thanks to Håkon Dugstad
	  Johnsen and Sebastian Harl for their code.
	* collectd-nagios: The "-m" option has been implemented (treat NaNs as
	  critical).
	* collectd-tg: Traffic generator creating bogus network traffic
	  compatible to the Network plugin. This utility can be used to
	  stress-test new write plugins and collectd in general.
	* libcollectdclient: Creating and sending network packets has been
	  added to the collectd client library.
	* All data sets: The data source name of all data sets with exactly
	  one data source has been changed to "value".
	* All plugins: All "counter" data sources have been converted to
	  "derive" data sources. All plugins now use "derive" by default, but
	  plugins such as the network plugin can still handle "counter", of
	  course. The minimum value of all derive data sources is zero, the
	  maximum value is unspecified.
	* amqp plugin: The new AMQP plugin can send data to and receive data
	  from an AMQP broker. Thanks to Sebastien Pahl for his code.
	* apache plugin: Backwards compatibility code has been removed.
	  Support for the IBM HTTP Server has been added. Thanks to Manuel
	  Luis Sanmartín Rozada for his patch.
	* contextswitch plugin: Support for sysctlbyname(3) has been added.
	  Thanks to Kimo Rosenbaum for his patch.
	* df plugin: The default behavior has been changed to be equivalent to
	  the "ReportReserved" behavior of v4.
	* dns plugin: Improved RFC 1035 name parsing has been imported from
	  "dnstop".
	* exec plugin: Backwards compatibility code has been removed.
	* GenericJMX plugin: The "InstancePrefix" option has been added to
	  "Connection" blocks.
	* hddtemp plugin: The "TranslateDevicename" config option has been
	  removed.
	* interface plugin: Use the "plugin instance" to store the interface
	  value.
	* libvirt plugin: The "InterfaceFormat" option has been added. Thanks
	  to Ruben Kerkhof for his patch.
	* lpar plugin: New plugins for "logical partitions", a virtualization
	  technique of POWER CPUs. Thanks to Aurélien Reynaud for his code and
	  patience.
	* modbus plugin: Support for libmodbus 2.9.2 has been added and the
	  license has been changed to LGPLv2.1.
	* mysql plugin: Backwards compatibility code has been removed. The
	  data sets used have been improved.
	* network plugin: The default buffer size has been increased to
	  1452 bytes.
	* perl plugin: Backwards compatibility code has been removed.
	* postgresql plugin: Backwards compatibility code has been removed.
	* redis plugin: Plugin for collecting statistics from Redis, a key-
	  value store, has been added. Thanks to Andres J. Diaz for his code.
	* swap plugin: Implement collection of physical and virtual memory
	  statistics under Solaris. The new default is collecting physical
	  memory. Thanks to Aurélien Reynaud for his patches.
	* threshold plugin: The threshold configuration has been moved into
	  this separate plugin.
	* unixsock plugin: The "DeleteSocket" option has been added.
	* varnish plugin: The new Varnish plugin reads statistics from
	  Varnish, a web accelerator. Thanks to Jérôme Renard and Marc
	  Fournier for their contributions.
	* write_redis: New plugin for writing data to Redis, a key-value
	  store.
	* zfs_arc plugin: The data sets have been replaced by more elegant
	  alternatives.
	* v5upgrade target: Target for converting v4 data sets to the v5
	  schema.

2013-04-07, Version 4.10.9
	* Build system: A bad interaction between the Java detection code and
	  libltdl has been fixed. Thanks to Dave Cottlehuber for his patch.
	* apache, ascent, bind, curl, curl_json, curl_xml, nginx and
	  write_http plugins: Portability fixes, protection from infinite
	  redirect loops, improved error handling and incorrect dereferences
	  have been fixed. Most of these are related to the cURL library.
	  Thanks to Dan Fandrich for his patches.
	* logfile plugin: Flush the output file handle. This works around
	  caching when logging to STDOUT and redirecting into a file. Thanks
	  to Nathan Huff for the patch.
	* network plugin: Build issues under FreeBSD and initialization have
	  been fixed. Thanks to Ed Schouten for his patch.
	* mysql plugin: Fix a memory leak in the error handling. Thanks to
	  Tomas Doran for his patch.
	* thermal plugin: The initialization of dispatched value lists has
	  been fixed. Thanks to Markus Knetschke for his patch.
	* unixsock plugin: Parsing of options with an underscore, e.g.
	  "plugin_instance" has been fixed. Thanks to Tommie Gannert for his
	  patch.

2012-11-11, Version 4.10.8
	* collectd: Create new directories with mode 0777 and let umask remove
	  unwanted permission bits.
	* collectd: Build issues have been fixed.
	* collectd: An incorrect assertion has been fixed in some common code
	  for Solaris. This should resolve pseudo-random assertion failures
	  under Solaris. Thanks to Jeff Blane for his help debugging this.
	* collectd: A couple of memory leaks through PThread thread attributes
	  have been fixed. Thanks to Gerrie Roos for fixing these.
	* apcups plugin: Improve the reconnect behavior.
	* df plugin: Ignore "rootfs" devices under Linux to avoid having them
	  reported twice. Thanks to Brune Prémont for fixing this.
	* disk plugin: Fix incorrect computation of read and write latency (the
	  "disk_time" type). Previously, the numbers reported where too small
	  by a factor of "interval", e.g. when the interval is set to 10
	  seconds, the values were too low by a factor of 10. Thanks to Manuel
	  Sanmartin for reporting this problem.
	* dns plugin: A build issue under Solaris has been fixed. A erroneous
	  define that could lead to the reporting of bad data has been fixed by
	  Daniel Sutto.
	* memcachec plugin: A bug in the configuration handling has been fixed.
	  Thanks to Pascal Hofmann for fixing this issue.
	* netapp plugin: Correctly close the connection on communication
	  errors.
	* netlink plugin: The function used to query statistics has been
	  changed to be more in line with iproute2's behavior. Thanks to
	  "KIvosak" for the patch.
	* network plugin: Initialization of libgcrypt has been fixed. Thanks to
	  Chris Lundquist for his patch.
	* oracle plugin: Error messages have been improved.
	* ping plugin: Don't enter the exponential back-off mode when
	  ping_send() fails. This should make recovery after a network failure
	  much faster.
	* python plugin: Memory leaks have been fixed. Thanks to Tommie Gannert
	  and Sven Trenkel for fixing this.
	* rrdtool plugin: Fix an out-of-bounds array access when printing a
	  warning message. Thanks to Will Hawkins for fixing this bug.
	* snmp plugin: Support for the SNMP_ENDOFMIBVIEW return value has been
	  added. Support for more complex / unusual MIBs / subtrees has been
	  added. Thanks to Mark Juric to test the changes and point out these
	  problems.

2012-04-01, Version 4.10.7
	* Build system: Fix the use of a libltdl macro. Thanks to Clemens Lang
	  for fixing this. Adresses some issues with building the iptables
	  plugin under Gentoo.
	* libcollectdclient: A memory leak in the lcc_getval() function has
	  been fixed. Thanks to Jason Schmidlapp for finding and fixing this
	  issue.
	* bind plugin: The use of 'QType" types has been fixed.
	* df plugin: Fixed compiler issue under Mac OS X 10.7.
	* conntrack plugin: Support zero as legitimate value. Thanks to Louis
	  Opter for his patch.
	* memcached plugin: Increased the size of a static buffer, which was
	  truncating status messages form memcached. Thanks to Timon for the
	  patch.
	* network plugin: Forwarding of notifications has been disabled. This
	  was a contition not checked for before, which may retult in an
	  endless loop.
	* processes plugin: Support for process names with spaces has been
	  added to the Linux implementation. Thanks to Darrell Bishop for his
	  patch.
	* perl plugin: A race condition in several callbacks, including log and
	  write callbacks, has been fixed. Thanks to "Rrpv" for reporting this
	  bug.
	* snmp plugin: A bug when casting unsigned integers to gauge values has
	  been fixed: Unsigned integers would be cast to a signed integer and
	  then to a gauge, possibly resulting in a negative value.
	* tcpconns plugin: Compilation with newer versions of the FreeBSD
	  runtime has been fixed.

2012-02-19, Version 4.10.6
	* Build system: Fix problems when building the ipvs and iptables
	  plugins. Thanks to Sebastian Harl for his patch. A bashism in the
	  version-gen.sh script has been fixed. Thanks to Jo-Philipp Wich for
	  his patch.
	* csv and rrdtool plugins: Print a more helpful error message when the
	  DataDir is a symlink pointing to a non-existing location. Thanks to
	  Jonathan Nieder for his patch.
	* exec plugin: Fix a problem when using select(2) to read from file
	  handles. Thanks to Gerrie Roos for his patch.
	* network plugin: An incorrect error message in the handling of the
	  "Interface" configuration option has been fixed. Thanks to Gerrie
	  Roos for his patch.
	* oracle plugin: A potential endless loop in the error handling has
	  been fixed.
	* python plugin: A crash bug in the configuration handling has been
	  fixed. Thanks to Sven Trenkel for his patch.
	* interfaces plugin: The change which was supposed to ignore "bogus"
	  interfaces has been reverted, since it ignored legit interfaces, such
	  as bonding pseudo-devices as well.

2012-01-21, Version 4.10.5
	* curl_xml plugin: Fix handling of file:// and other URLs (which don't
	  follow HTTP status codes). Thanks to Fabien Wernli for his patch!
	* df plugin: Fix handling of negative "available" counts. This can
	  occur with some file systems, for example UFS. Thanks to Toni Ylenius
	  for his patch.
	* interface plugin: "mac" interfaces are now ignored on Solaris. These
	  pseudo-interfaces occur multiple times, causing warnings. Also switch
	  to 64-bit counters on Solaris, improving overflow behavior for
	  high-speed interfaces. Thanks to Eddy Geez and Fabien Wernli for
	  their patches.
	* memory plugin: Account kernel and unused memory under Solaris. Thanks
	  to Fabien Wernli for his patch.
	* network plugin: A bug in the interaction between the Network plugin
	  and filter chains has been fixed: When a filter modified a field such
	  as the hostname, subsequent values in the same network packets could
	  have ended up using the modified name rather than the original name.
	  Thanks to Sebastian Harl for identifying the problem.
	* oracle plugin: A memory leak has been fixed in the parameter handling.
	* python plugin: A memory leak has been fixed. Thanks to Sven Trenkel
	  for fixing this bug!

2011-10-14, Version 4.10.4
	* collectd: A mutex leak has been fixed in the meta data code. Thanks
	  to Rafal Lesniak for his patch.
	* collectd: Compatibility fixes for GCC 4.6 have been applied. Thanks
	  to Peter Green for his patch.
	* csv plugin: The line buffer size has been increased. Thanks to Colin
	  McCabe for the patch.
	* curl_json plugin: Don't use the "parent" node to build the type
	  instance, if it is empty. Compatibility with libyajl 2 has been
	  added. Thanks to "spupykin" of the Arch Linux project for the initial
	  code.
	* iptables plugin: Fix linking with some versions of libiptc.
	* irq plugin: Fix support for interrupts under Linux. The old code
	  assumed that interrupts have a numeric value -- this is no longer
	  true for Linux. Thanks to Bostjan Skufca for implementing this.
	* notify_desktop plugin: Compatibility with libnotify 0.7 has been
	  added. Thanks to Samuli Suominen for his patch.
	* processes plugin: Fix handling of regular expressions containing
	  spaces. Thanks for Sebastian Harl for fixing this.
	* rrdtool, rrdcached plugins: Improve precision of the XFF parameter.
	  Previously, values like 0.999 would have been rounded to 1.0. Thanks
	  to Francois-Xavier Bourlet for fixing this.
	* Various plugin: Set a multi-threading flag in libcurl. Thanks to Mike
	  Flisher for the fix.

2011-03-26, Version 4.10.3
	* Documentation: Several updates and additions. Thanks to Sebastian Harl.
	* collectd: Build issues (compiler warnings) have been fixed. Thanks to
	  Bruno Prémont.
	* collectd: Threshold subsection: Handling of NAN values in the
	  percentage calculation has been fixed.
	* collectd, java plugin, ntpd plugin: Several diagnostic messages have
	  been improved.
	* curl_json plugin: Handling of arrays has been fixed.
	* libvirt plugin: A bug in reading the virtual CPU statistics has been
	  fixed. Thanks to “JLPC” for reporting this problem.
	* modbus plugin: Compatibility with libmodbus 2.0.3 has been restored.
	* processes plugin: Potentially erroneous behavior has been fixed in an
	  error handling case.
	* python plugin: Fix dispatching of values from Python scripts to
	  collectd. Thanks to Gregory Szorc for finding and fixing this
	  problem.

2010-11-27, Version 4.10.2
	* Documentation: Various documentation fixes.
	* collectd: If including one configuration file fails, continue with
	  the rest of the configuration if possible.
	* collectd: Fix a bug in the read function scheduling. In rare cases
	  read functions may not have been called as often as requested.
	* collectd: Concurrency issues with errno(3) under AIX have been
	  fixed: A thread-safe version of errno has to be requested under AIX.
	  Thanks to Aurélien Reynaud for his patch.
	* collectd: A left-over hard-coded 2 has been replaced by the
	  configurable timeout value.
	* curl, memcachec, tail plugins: Fix handling of "DERIVE" data
	  sources. Matching the end of a string has been improved; thanks to
	  Sebastian Harl for the patch.
	* curl_json plugin: Fix a problem when parsing 64bit integers. Reading
	  JSON data from non-HTTP sources has been fixed.
	* netapp plugin: Pass the interval setting to the dispatch function.
	  Restore compatibility to NetApp Release 7.3. Thanks to Sven Trenkel
	  for the patch.
	* network plugin: Be less verbose about unchecked signatures, in order
	  to prevent spamming the logs.
	* notify_email plugin: Concurrency problems have been fixed.
	* python plugin: Set "sys.argv", since many scripts don't expect that
	  it may not be set. Thanks to Sven Trenkel for the patch.
	* rrdtool, rrdcached plugin: Fix a too strict assertion when creating
	  RRD files.
	* swap plugin: A bug which lead to incorrect I/O values has been
	  fixed.
	* value match: A minor memory leak has been fixed. Thanks to Sven
	  Trenkel for the patch.

2010-07-09, Version 4.10.1
	* Build system: Checking for "strtok_r" under Solaris has been fixed.
	* Portability: Fixes for Solaris 8 have been applied. Thanks to
	  Alexander Wuerstlein for his patch.
	* collectd: The shutdown speed when terminating the read threads has
	  been improved.
	* libcollectdclient: A format error in the PUTVAL command has been
	  removed. Thanks to Johan Van den Brande for fixing this.
	* df plugin: An error message shown when "cu_mount_getlist" fails has
	  been added.
	* processes plugin: Missing initialization code for IO members of a
	  struct has been added. Thanks to Aurélien Reynaud for fixing this.
	* python plugin: Memory leaks in the write and notification callbacks
	  have been fixed. A possible crash when the plugin was loaded but not
	  configured has been fixed. Thanks to Sven Trenkel for his patches.
	* snmp plugin: Verbosity with regard to unknown ASN types has been
	  increased. A build problem on PowerPC and ARM processors has been
	  fixed by Aurélien Reynaud; thanks!
	* powerdns plugin: Compatibility changes for PowerDNS 2.9.22 and above
	  have been applied. Thanks to Luke Heberling for his changes.

2010-05-01, Version 4.10.0
	* collectd: JSON output now includes the "dstypes" and "dsnames"
	  fields. This makes it easier for external applications to interpret
	  the data. Thanks to Chris Buben for his work.
	* collectd: The new "Timeout" option can be used to specify a
	  "timeout" for missing values. This is used in the threshold checking
	  code to detect missing values. Thanks to Andrés J. Díaz for the
	  patch.
	* apache plugin: Support for "IdleWorkers" (Apache 1.*: "IdleServers")
	  has been added.
	* curl plugin: The new "ExcludeRegex" allows to easily exclude certain
	  lines from the match.
	* curl_xml plugin: This new plugin allows to read XML files using cURL
	  and extract metrics included in the files. Thanks to Amit Gupta for
	  his work.
	* filecount plugin: The new "IncludeHidden" option allows to include
	  "hidden" files and directories in the statistics. Thanks to Vaclav
	  Malek for the patch.
	* logfile plugin: The new "PrintSeverity" option allows to include the
	  severity of a message in the output. Thanks to Clément Stenac for
	  his patch.
	* memcachec plugin: The new "ExcludeRegex" allows to easily exclude
	  certain lines from the match.
	* modbus plugin: This new plugin allows to read registers from
	  Modbus-TCP enabled devices.
	* network plugin: The new "Interface" option allows to set the
	  interface to be used for multicast and, if supported, unicast
	  traffic. Thanks to Max Henkel for his work.
	* openvpn plugin: The "CollectUserCount" and "CollectIndividualUsers"
	  options allow more detailed control over how to report sessions of
	  multiple users. Thanks to Fabian Schuh for his work.
	* pinba plugin: This new plugin receives timing information from the
	  Pinba PHP extension, which can be used for profiling PHP code and
	  webserver performance. Thanks to Phoenix Kayo for his work.
	* ping plugin: The new "MaxMissed" allows to re-resolve a hosts
	  address when it doesn't reply to a number of ping requests. Thanks
	  to Stefan Völkel for the patch.
	* postgresql plugin: The "Interval" config option has been added. The
	  plugin has been relicensed under the 2-clause BSD license. Thanks to
	  Sebastian Harl for his work.
	* processes plugin: Support for "code" and "data" virtual memory sizes
	  has been added. Thanks to Clément Stenac for his patch.
	* python plugin: Support for Python 3 has been implemented. Thanks to
	  Sven Trenkel for his work.
	* routeros plugin: Support for collecting CPU load, memory usage, used
	  and free disk space, sectors written and number of bad blocks from
	  MikroTik devices has been added.
	* swap plugin: Support for Linux < 2.6 has been added. Thanks to Lorin
	  Scraba for his patch.
	* tail plugin: The new "ExcludeRegex" allows to easily exclude certain
	  lines from the match. Thanks to Peter Warasin for his patch.
	* write_http plugin: The "StoreRates" option has been added. Thanks to
	  Paul Sadauskas for his patch.
	* regex match: The "Invert" option has been added. Thanks to Julien
	  Ammous for his patch.

2011-03-26, Version 4.9.5
	* Documentation: Several updates and additions. Thanks to Sebastian Harl.
	* collectd: Build issues (compiler warnings) have been fixed. Thanks to
	  Bruno Prémont.
	* collectd: Threshold subsection: Handling of NAN values in the
	  percentage calculation has been fixed.
	* collectd, java plugin, ntpd plugin: Several diagnostic messages have
	  been improved.
	* libvirt plugin: A bug in reading the virtual CPU statistics has been
	  fixed. Thanks to “JLPC” for reporting this problem.
	* processes plugin: Potentially erroneous behavior has been fixed in an
	  error handling case.
	* python plugin: Fix dispatching of values from Python scripts to
	  collectd. Thanks to Gregory Szorc for finding and fixing this
	  problem.

2010-11-27, Version 4.9.4
	* Documentation: Various documentation fixes.
	* collectd: If including one configuration file fails, continue with
	  the rest of the configuration if possible.
	* collectd: Fix a bug in the read function scheduling. In rare cases
	  read functions may not have been called as often as requested.
	* collectd: Concurrency issues with errno(3) under AIX have been
	  fixed: A thread-safe version of errno has to be requested under AIX.
	  Thanks to Aurélien Reynaud for his patch.
	* curl, memcachec, tail plugins: Fix handling of "DERIVE" data
	  sources. Matching the end of a string has been improved; thanks to
	  Sebastian Harl for the patch.
	* curl_json plugin: Fix a problem when parsing 64bit integers. Reading
	  JSON data from non-HTTP sources has been fixed.
	* netapp plugin: Pass the interval setting to the dispatch function.
	  Restore compatibility to NetApp Release 7.3. Thanks to Sven Trenkel
	  for the patch.
	* network plugin: Be less verbose about unchecked signatures, in order
	  to prevent spamming the logs.
	* notify_email plugin: Concurrency problems have been fixed.
	* python plugin: Set "sys.argv", since many scripts don't expect that
	  it may not be set. Thanks to Sven Trenkel for the patch.
	* rrdtool, rrdcached plugin: Fix a too strict assertion when creating
	  RRD files.
	* value match: A minor memory leak has been fixed. Thanks to Sven
	  Trenkel for the patch.

2010-07-09, Version 4.9.3
	* Build system: Checking for "strtok_r" under Solaris has been fixed.
	* Portability: Fixes for Solaris 8 have been applied. Thanks to
	  Aurélien Reynaud and Alexander Wuerstlein for their patches.
	* collectd: The shutdown speed when terminating the read threads has
	  been improved.
	* collectd-nagios: The format of the performance data has been fixed.
	* libcollectdclient: A format error in the PUTVAL command has been
	  removed. Thanks to Johan Van den Brande for fixing this.
	* df plugin: An error message shown when "cu_mount_getlist" fails has
	  been added.
	* processes plugin: Missing initialization code for IO members of a
	  struct has been added. Thanks to Aurélien Reynaud for fixing this.
	* python plugin: Memory leaks in the write and notification callbacks
	  have been fixed. A possible crash when the plugin was loaded but not
	  configured has been fixed. Thanks to Sven Trenkel for his patches.
	* rrdcached plugin: A build issue has been resolved. Thanks to
	  Thorsten von Eicken for the patch.
	* snmp plugin: Verbosity with regard to unknown ASN types has been
	  increased. A build problem on PowerPC and ARM processors has been
	  fixed by Aurélien Reynaud; thanks!
	* powerdns plugin: Compatibility changes for PowerDNS 2.9.22 and above
	  have been applied. Thanks to Luke Heberling for his changes.

2010-04-22, Version 4.9.2
	* Build system, various plugins: Fixes for AIX compatibility have been
	  added. Thanks to Manuel Sanmartin for his patches.
	* Build system: Checking for "nanosleep" on old Solaris machines has
	  been fixed. Thanks to Vincent McIntyre and Sebastian Harl for
	  figuring out a way to make this work.
	* collectd: Append a newline to messages written to STDERR.
	* collectd: Serialization of NANs in JSON format has been fixed.
	  Thanks to Chris Buben for pointing out the resulting syntax error.
	* collectd: Checks whether a "sleep" returned early have been added;
	  the cases are now handled correctly. Thanks to Michael Stapelberg
	  for the patch.
	* collectd: Continue reading files in a directory when parsing one
	  file fails.
	* apache plugin: Collection of the number of active connections has
	  been fixed for Apache 2.*.
	* contextswitch plugin: Handle large counter/derive values correctly.
	  Thanks to Martin Merkel for reporting the bug.
	* exec plugin: Error messages have been improved. The "running" flag
	  is now cleared correctly when forking a child fails.
	* iptables plugin: Fix a violation of aliasing rules. This resolves a
	  warning / error with new GCC versions. Thanks to Jan Engelhardt for
	  the work-around.
	* java plugin: The Java API files are now packaged into a .jar file.
	  Thanks to Amit Gupta for his patch.
	* network plugin: Fix a segmentation fault when receiving packets with
	  an unknown data source type.
	* network plugin: A memory leak when receiving encrypted network
	  packets has been fixed.
	* openvpn plugin: Fix naming schema when reading "MULTI1" type status
	  files.
	* oracle plugin: Fix checking for lost connections and reconnect in
	  this case. Thanks to Sven Trenkel for pointing out the problem.
	* unixsock plugin: A memory leak in the "LISTVAL" command has been
	  fixed. Thanks to Peter Warasin for pointing it out.
	* write_http plugin: Use the "any" authentication schema. This used to
	  be "digest". Thanks to Paul Sadauskas for the patch.

2010-01-14, Version 4.9.1
	* Documentation: Some manpage fixes.
	* Default config: Added sample configuration for missing plugins.
	* apache plugin: Fix a segmentation fault in the config handling of
	  VerifyPeer / VerifyHost. Thanks to "plazmus" for his or her patch.
	* processes plugin: Fix handling of derive data sources.
	* rrdtool plugin: Fix a bug with random write timeouts. Due to an
	  incorrect initialization some files may be suspended basically
	  indefinitely. After flushing the files they were written regularly
	  again.
	* routeros plugin: Use the node name for the "host" field.
	* Monitorus.pm: Put the plugin into the "Collectd::Plugins" namespace.
	* Perl bindings: Fix a warning that was printed when building
	  debugging output.

2009-12-21, Version 4.9.0
	* contextswitch plugin: The new ContextSwitch plugin gathers the
	  number of context switches done by the CPU. Thanks to Patrik
	  Weiskircher for the patch.
	* cpu plugin: Support for SMP (multiple processors) under FreeBSD has
	  been added. Thanks to Doug MacEachern for the patch.
	* curl plugin: The “MeasureResponseTime” option has been added. Thanks
	  to Aman Gupta for the patch.
	* df plugin: Collecting the inode count and reserved space has been
	  added. Thanks to Patrik Weiskircher for the patch.
	* exec plugin: The environment variables “COLLECTD_INTERVAL” and
	  “COLLECTD_HOSTNAME” are now set before executing the application.
	* Monitorus plugin: This Perl-based plugin to query statistics from
	  mon.itor.us has been added. Thanks to Jeff Green for the patch.
	* netapp plugin: New plugin to collect statistics from NetApp filers.
	  Thanks to Sven Trenkel of the noris network AG for the patch.
	* network plugin: Statistics collection about the plugin itself has
	  been implemented.
	* openvpn plugin: Add support for more versions of the “status file”.
	  Thanks to Marco Chiappero for the patch.
	* OpenVZ plugin: This Perl-based plugin to gather OpenVZ statistics
	  has been added. Thanks to Jonathan Kolb for the patch.
	* ping plugin: The config options "SourceAddress" and "Device"
	  have been added. Thanks to Sebastian Harl for the patch.
	* processes plugin: Collection of IO-metrics has been added. Thanks to
	  Andrés J. Díaz for the patch.
	* python plugin: The new Python plugin integrates a Python interpreter
	  into collectd and allows to execute plugins written in the scripting
	  language. Thanks to Sven Trenkel for his work.
	* routeros plugin: The new RouterOS plugin queries interface and
	  wireless registration statistics from RouterOS.
	* Various plugins: AIX support has been added to the cpu, disk,
	  interface, load, memory, processes, and swap plugins. Thanks to
	  Manuel Sanmartin for his patches.
	* hashed match: This match for simple load balancing and redundant
	  storage has been added.
	* scale target: This target to scale (multiply) values by an arbitrary
	  value has been added.

2010-04-22, Version 4.8.5
	* collectd: Append a newline to messages written to STDERR.
	* network plugin: Fix a segmentation fault when receiving packets with
	  an unknown data source type.

2010-04-07, Version 4.8.4
	* Build system, various plugins: Fixes for AIX compatibility have been
	  added. Thanks to Manuel Sanmartin for his patches.
	* Build system: Checking for "nanosleep" on old Solaris machines has
	  been fixed. Thanks to Vincent McIntyre and Sebastian Harl for
	  figuring out a way to make this work.
	* collectd: Serialization of NANs in JSON format has been fixed.
	  Thanks to Chris Buben for pointing out the resulting syntax error.
	* collectd: Checks whether a "sleep" returned early have been added;
	  the cases are now handled correctly. Thanks to Michael Stapelberg
	  for the patch.
	* collectd: Continue reading files in a directory when parsing one
	  file fails.
	* apache plugin: Collection of the number of active connections has
	  been fixed for Apache 2.*.
	* exec plugin: Error messages have been improved. The "running" flag
	  is now cleared correctly when forking a child fails.
	* iptables plugin: Fix a violation of aliasing rules. This resolves a
	  warning / error with new GCC versions. Thanks to Jan Engelhardt for
	  the work-around.
	* java plugin: The Java API files are now packaged into a .jar file.
	  Thanks to Amit Gupta for his patch.
	* network plugin: A memory leak when receiving encrypted network
	  packets has been fixed.
	* oracle plugin: Fix checking for lost connections and reconnect in
	  this case. Thanks to Sven Trenkel for pointing out the problem.
	* unixsock plugin: A memory leak in the "LISTVAL" command has been
	  fixed. Thanks to Peter Warasin for pointing it out.
	* write_http plugin: Use the "any" authentication schema. This used to
	  be "digest". Thanks to Paul Sadauskas for the patch.

2010-01-14, Version 4.8.3
	* Documentation: Some manpage fixes.
	* rrdtool plugin: Fix a bug with random write timeouts. Due to an
	  incorrect initialization some files may be suspended basically
	  indefinitely. After flushing the files they were written regularly
	  again.

2009-12-18, Version 4.8.2
	* Build system, java plugin: Don't use “find -L” to search for Java
	  headers, because it's a GNU extension.
	* Build system: Support for parallel builds has been improved. Thanks
	  Sebastian Harl and Stefan Völkel for looking into this.
	* collectd: Print error messages to STDERR if no log plugin has been
	  loaded.
	* genericjmx plugin: Close and re-open the connection upon I/O-errors.
	* gmond plugin: Fix typos which caused syntax errors.
	* memory plugin: Handling of >4 Gbyte of memory has been fixed.
	* network plugin: The license has been changed to LGPL 2.1.
	* oracle plugin: Reconnect to the database if the connection dies.
	* rrdcached plugin: Work-around for a bug in RRDtool 1.4rc2 has been
	  added.
	* snmp plugin: Handling of negative values has been fixed. Strings
	  containing control characters are now interpreted as hex-strings.
	* unixsock plugin: A memory leak in the LISTVAL command has been
	  fixed. Thanks to Ben Knight for his patch.

2009-10-04, Version 4.8.1
	* Build system: Issues when building the iptables plugin have been
	  fixed.
	* exec plugin: Clear the signal block mask before calling exec(2).
	* perl plugin: Declare the “environ” variable. This solves build
	  issues on some platforms.
	* processes plugin: Remove unnecessary call of realloc(3). Thanks to
	  Andrés J. Díaz for the patch.
	* unixsock plugin: Fix a (well hidden) race condition related to file
	  descriptor handling.

2009-09-13, Version 4.8.0
	* collectd: Two new data source types, “DERIVE” and “ABSOLUTE”, have
	  been added. “DERIVE” can be used for counters that are reset
	  occasionally. Thanks to Mariusz Gronczewski for implementing this.
	* thresholds: The advanced threshold options “Percentage”, “Hits”, and
	  “Hysteresis” have been added. Thanks to Andrés J. Díaz for his
	  patches.
	* curl_json plugin: The new cURL-JSON plugin reads JSON files using
	  the cURL library and parses the contents according to user
	  specification. Among other things, this allows to read statistics
	  from a CouchDB instance. Thanks to Doug MacEachern for the patch.
	* df plugin: Using the new “ReportByDevice” option the device rather
	  than the mount point can be used to identify partitions. Thanks to
	  Paul Sadauskas for the patch.
	* dns plugin: The possibility to ignore numeric QTypes has been added.
	  Thanks to Mirko Buffoni for the patch.
	* GenericJMX plugin: The new, Java-based GenericJMX plugin allows to
	  query arbitrary data from a Java process using the “Java Management
	  Extensions” (JMX).
	* madwifi plugin: The new MadWifi plugin collects information about
	  Atheros wireless LAN chipsets from the MadWifi driver. Thanks to
	  Ondrej Zajicek for his patches.
	* network plugin: The receive- and send-buffer-sizes have been made
	  configurable, allowing for bigger and smaller packets. Thanks to
	  Aman Gupta for the patch.
	* olsrd plugin: The new OLSRd plugin queries routing information from
	  the “Optimized Link State Routing” daemon.
	* rrdtool plugin: A new configuration option allows to define a random
	  write delay when writing RRD files. This spreads the load created by
	  writing RRD files more evenly. Thanks to Mariusz Gronczewski for the
	  patch.
	* swap plugin: The possibility to collect swapped in/out pages has
	  been added to the Swap plugin. Thanks to Stefan Völkel for the
	  patch.
	* tokyotyrant plugin: The new TokyoTyrant plugin reads the number of
	  records and file size from a running Tokyo Tyrant server. Thanks to
	  Paul Sadauskas for the patch.
	* unixsock plugin: Add the “GETTHRESHOLD” command. This command can be
	  used to query the thresholds configured for a particular identifier.
	* write_http plugin: The new Write HTTP plugin sends the values
	  collected by collectd to a web-server using HTTP POST requests.
	  Thanks to Paul Sadauskas for the patch.
	* zfs_arc plugin: The new ZFS ARC plugin collects information about
	  the “Adaptive Replacement Cache” (ARC) of the “Zeta File-System”
	  (ZFS). Thanks to Anthony Dewhurst for the patch.
	* empty_counter match: The new Empty Counter match matches value
	  lists, where at least one data source is of type COUNTER and the
	  counter value of all counter data sources is zero.

2009-12-18, Version 4.7.5
	* Build system, java plugin: Don't use “find -L” to search for Java
	  headers, because it's a GNU extension.
	* Build system: Support for parallel builds has been improved. Thanks
	  Sebastian Harl and Stefan Völkel for looking into this.
	* collectd: Print error messages to STDERR if no log plugin has been
	  loaded.
	* memory plugin: Handling of >4 Gbyte of memory has been fixed.
	* network plugin: The license has been changed to LGPL 2.1.
	* oracle plugin: Reconnect to the database if the connection dies.
	* rrdcached plugin: Work-around for a bug in RRDtool 1.4rc2 has been
	  added.
	* snmp plugin: Handling of negative values has been fixed. Strings
	  containing control characters are now interpreted as hex-strings.
	* unixsock plugin: A memory leak in the LISTVAL command has been
	  fixed. Thanks to Ben Knight for his patch.

2009-10-03, Version 4.7.4
	* Build system: Issues when building the iptables plugin have been
	  fixed.
	* exec plugin: Clear the signal block mask before calling exec(2).
	* perl plugin: Declare the “environ” variable. This solves build
	  issues on some platforms.
	* processes plugin: Remove unnecessary call of realloc(3). Thanks to
	  Andrés J. Díaz for the patch.
	* unixsock plugin: Fix a (well hidden) race condition related to file
	  descriptor handling.

2009-09-13, Version 4.7.3
	* collectd: Fix a possible but very rare invalid “free” in the caching
	  code. Thanks to Sebastian Harl for the patch.
	* collectd: Remove old values when a cache entry is marked as missing.
	  This way the “GETVAL” command of the UnixSock plugin doesn't return
	  old, no longer valid values when this happens. Thanks to Andrés J.
	  Díaz for the patch.
	* collectd: The “plugin_unregister_read” function has been fixed.
	* apache, ascent, bind, curl, nginx plugins: Advise the cURL library
	  to follow redirects. Thanks to Joey Hess for reporting this bug.
	* df plugin: Check the ignorelist before stating the file system,
	  possibly reducing the number of stats considerably. Thanks to Joey
	  Hess for reporting this bug.
	* iptables plugin: Support for the new libiptc API has been added.
	  Thanks to Sebastian Harl for the patch. The build system has been
	  updated to the plugin only includes the shipped header files when it
	  is linked with the shipped library, too.
	* java plugin: Delay creating the JVM until after the daemon has
	  forked. The JVM internally creates threads that are lost when
	  forking. This means that Java-based plugins are now configured
	  during the init-phase, i. e. later than other plugins.
	* libvirt plugin: Re-connect to libvirtd if connecting fails. Thanks
	  to Alan Pevec for the patch.
	* network plugin: Fix the handling of the “CacheFlush” option: The
	  value was assigned to a wrong variable. The initialization of the
	  gcrypt library, which is used for signing / encrypting traffic, has
	  been fixed. Thanks to Luke Heberling for the patch.
	* powerdns plugin: Set a timeout when reading data from the datagram
	  socket. Handling of the “LocalSocket” option has been fixed.  An
	  incorrectly used “type” has been corrected. Thanks to Luke Heberling
	  for his patches.

2009-07-19, Version 4.7.2
	* Build system: Support for `DESTDIR' has been fixed in the Java
	  bindings.
	* collectd: Okay-notifications have been fixed. Thanks to Andrés J.
	  Díaz for fixing this bug.
	* collectd: A programming error has been fixed in the notification
	  code. The bug may result in an assertion failure.
	* memcached plugin: Portability fix for Solaris. Thanks to Amit Gupta
	  for reporting the bug.
	* ping plugin: Link the plugin with libm.

2009-06-02, Version 4.7.1
	* Build system: Detection of Java has been improved and missing
	  details have been added to the configuration summary. Support for
	  libtool 2.2 has been added.
	* collectd: Two bugs with the threshold checking have been fixed. The
	  first one prevented thresholds to be checked at all, the second one
	  caused wrong behavior with the persistency option. Thanks to Andrés
	  J. Díaz for fixing these problems.
	* collectd: Handling of the `Include' configuration option has been
	  fixed.
	* rrdtool plugin: Make sure initialization is run only once. This
	  resolves problems under Solaris and potentially other systems.
	  Thanks to Amit Gupta for reporting this bug.
	* java plugin: Make it possible to use dots ('.') instead of slashes
	  ('/') as the class separator. Thanks to Randy Rizun for pointing
	  this out.
	* swap plugin: A work-around for 32-bit Solaris has been added. Thanks
	  to Doug MacEachern for the patch.

2009-05-11, Version 4.7.0
	* apache plugin: Support to query multiple servers has been added.
	  Thanks to Amit Gupta for the patch.
	* apache plugin: Handling of lighttpd's scoreboard statistics has been
	  improved. Thanks to Amit Gupta for the patch.
	* conntrack plugin: The new conntrack plugin collects the connection
	  tracking table size. Thanks to Tomasz Pala for the patch.
	* fscache plugin: The new fscache plugin collects statistics about
	  Linux' file-system based caching framework. Thanks to Edward
	  Konetzko for the patch.
	* gmond plugin: The new gmond plugin can receive and interpret
	  multicast traffic from Ganglia's gmond daemon.
	* java plugin: The new java plugin exports the collectd API to Java,
	  making it possible to write extensions to collectd in Java.
	* memcachec plugin: The new memcachec plugin queries data from a
	  memcached daemon and parses it similar to the cURL plugin. Thanks to
	  Doug MacEachern for the initial code.
	* memcached plugin: Support for connections over UNIX domain sockets
	  has been added. Thanks to Franck Lombardi for the patch.
	* memory plugin: Support for OpenBSD and possibly other *BSDs has been
	  added. Thanks to Simon Kuhnle for the patch.
	* mysql plugin: Support to query multiple databases has been added.
	  Thanks to Doug MacEachern for the patch.
	* mysql plugin: Master/slave statistics have been added.
	* mysql plugin: Lock statistics have been added. Thanks to Rodolphe
	  Quiédeville for the patch.
	* network plugin: The possibility to sign or encrypt network traffic
	  has been added.
	* protocols plugin: The new protocols plugin provides information
	  about network protocols, such as IP, TCP and UDP.
	* snmp plugin: The intervals given in the configuration of the SNMP
	  plugin must no longer be a multiple of the global interval.
	* table plugin: The new Table plugin provides parsing for table-like
	  structured files, such as many files beneath /proc.
	* ted plugin: The new TED plugin reads power consumption measurements
	  from “The Energy Detective” (TED). Thanks to Eric Reed for this
	  plugin.
	* onewire plugin: The new `Interval' option allows collecting
	  information from OneWire sensors at arbitrary intervals.
	* ping plugin: Support for collecting the drop rate and standard
	  deviation of round-trip times has been added.
	* uptime plugin: The new uptime plugin can collect the server's
	  uptime. Thanks to Marco Chiappero for the patch.

2009-09-10, Version 4.6.5
	* collectd: Remove old values when a cache entry is marked as missing.
	  This way the “GETVAL” command of the UnixSock plugin doesn't return
	  old, no longer valid values when this happens. Thanks to Andrés J.
	  Díaz for the patch.
	* apache, ascent, bind, curl, nginx plugins: Advise the cURL library
	  to follow redirects. Thanks to Joey Hess for reporting this bug.
	* df plugin: Check the ignorelist before stating the file system,
	  possibly reducing the number of stats considerably. Thanks to Joey
	  Hess for reporting this bug.
	* iptables plugin: Support for the new libiptc API has been added.
	  Thanks to Sebastian Harl for the patch. The build system has been
	  updated to the plugin only includes the shipped header files when it
	  is linked with the shipped library, too.
	* libvirt plugin: Re-connect to libvirtd if connecting fails. Thanks
	  to Alan Pevec for the patch.
	* powerdns plugin: Set a timeout when reading data from the datagram
	  socket. Handling of the “LocalSocket” option has been fixed.  An
	  incorrectly used “type” has been corrected. Thanks to Luke Heberling
	  for his patches.

2009-07-18, Version 4.6.4
	* collectd: Okay-notifications have been fixed. Thanks to Andrés J.
	  Díaz for fixing this bug.
	* collectd: A programming error has been fixed in the notification
	  code. The bug may result in an assertion failure.
	* memcached plugin: Portability fix for Solaris. Thanks to Amit Gupta
	  for reporting the bug.

2009-06-02, Version 4.6.3
	* Build system, various plugins: Many build fixes for FreeBSD,
	  OpenBSD, NetBSD, Solaris and Mac OS X. Big thanks to Doug MacEachern
	  for many fixes and providing a build system for many platforms,
	  Ulf Zimmermann for providing a FreeBSD system and Simon Kuhnle for
	  providing an OpenBSD system.
	* collectd: Two bugs with the threshold checking have been fixed. The
	  first one prevented thresholds to be checked at all, the second one
	  caused wrong behavior with the persistency option. Thanks to Andrés
	  J. Díaz for fixing these problems.
	* collectd: Handling of the `Include' configuration option has been
	  fixed.
	* battery plugin: Don't complain about a missing directory every
	  interval.
	* exec plugin: Allow executed programs to close STDERR. Thanks to
	  Thorsten von Eicken for reporting this problem.
	* irq plugin: Fix handling of overflowing 32-bit counters. Thanks to
	  Tomasz Pala for the patch.
	* perl plugin: Portability build-fixes. Thanks to Doug MacEachern for
	  the patch.
	* memory plugin: Fix a potential problem under Solaris.
	* swap plugin: A work-around for 32-bit Solaris has been added. Thanks
	  to Doug MacEachern for the patch.

2009-03-18, Version 4.6.2
	* collectd: Some Solaris utility code has been improved.
	* filter subsystem: Allow `Chains' without default targets.
	* liboping: A patch to comply with strict aliasing rules has been
	  added.
	* timediff match: Fix a typo: The match was registered with a wrong
	  name which prevented this match to be used as documented. Thanks to
	  Bruno Prémont for finding this problem.
	* bind plugin: Fix collection of the cached RR sets. The number of RR
	  sets currently in the cache was collected as a counter value, which
	  is nonsense. Thanks to Bruno Prémont for implementing this.
	* dns plugin: Don't pass NULL to `pcap_open_live': Some systems,
	  primarily BSDs, don't take it well and crash.
	* oracle plugin: Portability to 64 bit systems has been improved.
	* postgresql plugin: The default configuration has been improved.
	* rrdtool plugin: Fix a possible race condition: If the network plugin
	  is brought and dispatches a value before the rrdtool plugin is
	  initialized, the daemon may crash.

2009-02-22, Version 4.6.1
	* collectd: Many documentation fixes.
	* Collectd::Unixsock: Error handling has been improved.
	* regex match: Don't link with the PCRE library.
	* bind plugin: Various bugs have been fixed. Thanks to Bruno Prémont
	  for finding and fixing most of them.
	* ipmi plugin: Fix an off-by-one error which could cause segmentation
	  faults. Thanks to Peter Holik for his patch.

2009-02-16, Version 4.6.0
	* collectd: Added the `filter chain' infrastructure, which allows the
	  user to use `matches' and `targets' to control value processing.
	* collectd: The new `-T' command line argument allows more in-depth
	  testing of a configuration. Thanks to Doug MacEachern for the patch.
	* collectd-nagios: The Nagios integration command has been updated to
	  use libcollectdclient. The `percentage' aggregation function has
	  been added. Thanks to Fabian Linzberger for the patch.
	* libcollectdclient: A library which abstracts communication with the
	  unixsock plugin for clients has been added.
	* regex match: Match values by their identifies using regular
	  expressions.
	* timediff match: Match for values with an invalid timestamp.
	* value match: Select values by their data sources' values.
	* notification target: Create and dispatch a notification.
	* replace target: Replace parts of an identifier using regular
	  expressions.
	* set target: Set (overwrite) entire parts of an identifier.
	* bind plugin: This new plugin uses the new HTTP/XML interface to BIND
	  statistics, allowing very detailed name server statistics. Thanks to
	  Bruno Prémont for this plugin.
	* cpu plugin: Report `interrupt' separately when using
	  sysctlbyname(3) (used under *BSD). Support for sysctl(3), for
	  example for native OpenBSD support, has been added. Thanks to Simon
	  Kuhnle for the patch.
	* csv plugin: Make it possible to write values to STDOUT instead of
	  files. This is meant for testing purposes mostly. The output written
	  to STDOUT is compatible with the exec plugin. Thanks to Doug
	  MacEachern for the patch.
	* curl plugin: This new plugin can be used to read web pages and parse
	  them using the same mechanism that's used in the tail plugin.
	* dbi plugin: This new plugin allows you to connect to a variety of
	  relational databases and use SQL to gather custom statistics from
	  it. It is similar to the already existing PostgreSQL plugin but uses
	  libdbi to communicate with the database(s).
	* interface plugin: Use the ignorelist framework when selecting /
	  ignoring interfaces. This allows one to use regular expressions to
	  select interfaces, too.
	* ipmi plugin: Handle temporary IPMI error conditions more gracefully.
	  Thanks to Bruno Prémont for this patch.
	* memcached plugin: Add hit-ratio metric. Thanks to Doug MacEachern
	  for the patch.
	* mysql plugin: Allow connecting to a database via the UNIX domain
	  socket, too. Thanks to Mirko Buffoni for the patch.
	* network plugin: Further performance improvements for the receive
	  code. This hopefully will help very large setups.
	* openvpn plugin: This new plugin collects statistics provided by the
	  OpenVPN daemon. Thanks to Doug MacEachern for the patch.
	* oracle plugin: This new plugin allows you to connect to an Oracle
	  database and use SQL to gather custom statistics from it. It is
	  similar to the already existing PostgreSQL plugin.
	* perl plugin: Compatibility fixes for broken versions of Perl 5.10
	  have been added.
	* perl plugin: Export the newly added plugin_write() to Perl plugins.
	* perl plugin: Added support for `notification meta data'.
	* perl plugin: Added support for the `filter chain' infrastructure by
	  allowing plugins to register `matches' and `targets'.
	* postgresql plugin: The preferred configuration syntax has been
	  updated to be in line with the syntax used by the new dbi and oracle
	  plugins. The compatibility code for the old syntax is present.
	  Support for the new `Result' blocks and the interval parameter has
	  been added.
	* processes plugin: Stacksize and virtual memory usage statistics have
	  been added. Portability fixes.
	* rrdcached plugin: This new plugin uses the (still in development)
	  RRD accelerator daemon, rrdcached. This daemon works very similar to
	  the original rrdtool plugin of collectd, but adds some more nice
	  features.
	* swap plugin: Code for OpenBSD (and possibly other *BSDs) has been
	  added.

2009-05-09, Version 4.5.4
	* Build system, various plugins: Many build fixes for FreeBSD,
	  OpenBSD, NetBSD, Solaris and Mac OS X. Big thanks to Doug MacEachern
	  for many fixes and providing a build system for many platforms,
	  Ulf Zimmermann for providing a FreeBSD system and Simon Kuhnle for
	  providing an OpenBSD system.
	* collectd: Fix a potential race condition when creating directories.
	* battery plugin: Don't complain about a missing directory every
	  interval.
	* dns plugin: Slight portability fixes.
	* exec plugin: Allow executed programs to close STDERR. Thanks to
	  Thorsten von Eicken for reporting this problem.
	* irq plugin: Fix handling of overflowing 32-bit counters. Thanks to
	  Tomasz Pala for the patch.
	* perl plugin: Portability build-fixes. Thanks to Doug MacEachern for
	  the patch.
	* rrdtool plugin: Fix a possible race condition: If the network plugin
	  is initialized and dispatches a value before the rrdtool plugin is
	  initialized, the daemon may crash.
	* memory plugin: Fix a potential problem under Solaris.

2009-02-22, Version 4.5.3
	* build system: The check for libupsclient even when `pkg-config' is
	  not available.
	* collectd: Fix error handling in the global cache.
	* Collectd::Unixsock: Error handling has been improved.
	* ascent plugin: Fix a memory leak. Thanks to Bruno Prémont for his
	  patch.
	* ipmi plugin: Fix an off-by-one error which could cause segmentation
	  faults. Thanks to Peter Holik for his patch.
	* tcpconns plugin: An endianness problem has been fixed in the *BSD
	  code. Thanks to "thated" for reporting this.

2009-01-02, Version 4.5.2
	* build system: Check for `mysql.h' and `mysql/mysql.h', since the
	  file may be in both locations, especially when the database was
	  installed in a non-standard path. Thanks to Dusty Doris for
	  reporting this.
	* build system: Handle the _POSIX_PTHREAD_SEMANTICS defined, needed by
	  Solaris, in the configure script automatically.
	* build system, tcpconns plugin: Check for `kvm_nlist' and
	  `kvm_openfiles' before enabling the plugin: Solaris provides a KVM
	  library with similar functions to the BSD variant, but doesn't
	  provide these necessary functions.
	* collectd.conf(5): Various fixes and clarifications.
	* collectd: Remove a GNUism (unnamed unions), thus improving
	  portability.
	* collectd, apcups plugin: Include "collectd.h" before <stdlib.h>.
	  This solves portability problems, especially for Solaris.
	* dns plugin: Fix a portability problem with NetBSD.
	* filecount plugin: Fix an off-by-one error. This error may cause a
	  segmentation fault.
	* network plugin: Fix the handling of `type' in the network protocol.
	  Due to a programming mistake, only 4 or 8 bytes would be copied to a
	  much larger buffer. This caused the `type' to be transferred much
	  more often than necessary. In some cases, e. g. the `cpu' and
	  `cpufreq' plugins being used at the same time, data may be corrupted
	  in those files. Thanks to Bruno Prémont for debugging and reporting
	  this issue.
	* processes plugin: Fix a possible segmentation fault when specifying
	  invalid configuration options.
	* unixsock plugin: Make sure the initialization function is run only
	  once. This resolves a file descriptor leak under systems which run
	  the initialization more than once, such as Solaris.

2008-10-16, Version 4.5.1
	* build system: Change `--enable-<plugin>' to abort with an error if
	  dependencies are not met. Thanks to Bruno Prémont for the patch.
	  Also, the poisoning of various string functions has been restricted
	  to debug builds.
	* collectd: Fix a memory leak in the global value cache. With every
	  *missing* value a couple of bytes would be leaked. Another memory
	  leak in the configuration handling code has been fixed. Thanks to
	  Niraj Tolia for reporting these issues.
	* collectd: Fix an off-by-one error in the ignorelist functionality.
	  When using regular expressions, the last character would be missing,
	  possibly matching differently from what one would expect.
	* collectdmon: Don't block SIGCHLD. This fixes a potential portability
	  problem.
	* collectd-nagios: Fix handling of the `-d' option. Thanks to Fabian
	  Linzberger for reporting the bug.
	* iptables plugin: Fix an off-by-one error. If a string was just one
	  character too long, it was truncated instead of reporting an error.
	* network plugin: Fix a memory leak in the configuration handling
	  code. Thanks to Niraj Tolia for reporting this issue.
	* perl plugin: Log an error message if bootstrapping `Collectd' fails.
	* postgresql plugin: Don't reopen connection during reinitialization.
	  This fixes a bug under Solaris and potentially other platforms.
	  Missing calls to `PQclear' have been added, too. This fixes memory
	  leaks. Thanks to ``Admin'' for reporting these bugs.
	* snmp plugin: Don't expect null-terminated strings from the Net-SNMP
	  library.
	* tail plugin: Call `clearerr(3)' after reading an EOF. This fixes
	  problems with some `libc's. Thanks to Matthias Lay for reporting the
	  bug.

2008-09-04, Version 4.5.0
	* collectd: Added the ability to flush certain identifiers.
	* collectd: The concept of `notification meta data' has been
	  introduced.
	* filecount plugin: The new filecount plugin counts the number of
	  files in a directory and its subdirectories.
	* ipmi plugin: Sensor names have been changed to ensure unique names.
	  Notifications upon added and removed sensors can now be generated.
	* notify_desktop plugin: This new plugin sends notifications to the
	  X desktop using the structure defined in the `Desktop Notification
	  Specification'.
	* notify_email plugin: This new plugin sends out notifications via
	  email, using the `esmtp' library.
	* onewire plugin: The new experimental(!) onewire plugin reads values,
	  such as temperatures, from sensors connected to the computer via the
	  onewire bus.
	* perl plugin: Improved synchronized access to internal data structures
	  and fixed a possible dead-lock.
	* perl plugin: Added the ability to flush certain identifiers and marked
	  plugin_flush_all() and plugin_flush_one() as deprecated in favor of
	  plugin_flush().
	* perl plugin: Added the ability to configure Perl plugins.
	* postgresql plugin: The new postgresql plugin collects statistics
	  about or from a PostgreSQL database.
	* processes plugin: The `ProcessMatch' option has been added.
	* rrdtool plugin: Implement throttling of the `update queue' to lessen
	  IO load.
	* tcpconns plugin: This plugin has been ported to OpenBSD.
	* thermal plugin: The new thermal plugin collects system temperatures
	  using Linux ACPI thermal zone data.

2009-01-02, Version 4.4.5
	* build system: Check for `mysql.h' and `mysql/mysql.h', since the
	  file may be in both locations, especially when the database was
	  installed in a non-standard path. Thanks to Dusty Doris for
	  reporting this.
	* build system: Handle the _POSIX_PTHREAD_SEMANTICS defined, needed by
	  Solaris, in the configure script automatically.
	* collectd.conf(5): Various fixes and clarifications.
	* apcups plugin: Include "collectd.h" before <stdlib.h>. This solves
	  portability problems, especially for Solaris.
	* dns plugin: Fix a portability problem with NetBSD.
	* network plugin: Fix the handling of `type' in the network protocol.
	  Due to a programming mistake, only 4 or 8 bytes would be copied to a
	  much larger buffer. This caused the `type' to be transferred much
	  more often than necessary. In some cases, e. g. the `cpu' and
	  `cpufreq' plugins being used at the same time, data may be corrupted
	  in those files. Thanks to Bruno Prémont for debugging and reporting
	  this issue.
	* unixsock plugin: Make sure the initialization function is run only
	  once. This resolves a file descriptor leak under systems which run
	  the initialization more than once, such as Solaris.

2008-10-16, Version 4.4.4
	* build system: Change `--enable-<plugin>' to abort with an error if
	  dependencies are not met. Thanks to Bruno Prémont for the patch.
	  Also, the poisoning of various string functions has been restricted
	  to debug builds.
	* collectd: Fix a memory leak in the global value cache. With every
	  *missing* value a couple of bytes would be leaked. Another memory
	  leak in the configuration handling code has been fixed. Thanks to
	  Niraj Tolia for reporting these issues.
	* collectd: Fix an off-by-one error in the ignorelist functionality.
	  When using regular expressions, the last character would be missing,
	  possibly matching differently from what one would expect.
	* collectdmon: Don't block SIGCHLD. This fixes a potential portability
	  problem.
	* collectd-nagios: Fix handling of the `-d' option. Thanks to Fabian
	  Linzberger for reporting the bug.
	* network plugin: Fix a memory leak in the configuration handling
	  code. Thanks to Niraj Tolia for reporting this issue.
	* perl plugin: Log an error message if bootstrapping `Collectd' fails.
	* tail plugin: Call `clearerr(3)' after reading an EOF. This fixes
	  problems with some `libc's. Thanks to Matthias Lay for reporting the
	  bug.

2008-09-01, Version 4.4.3
	* collectd: Fix a memory leak in the threshold checking code.
	* memcached plugin: Fix a too short timeout and a related file
	  descriptor leak.
	* memory plugin: A typo in the libstatgrab code has been fixed.
	* snmp plugin: Fix a possible memory leak.

2008-07-15, Version 4.4.2
	* build system: Use pkg-config to detect the upsclient library.
	* collectd: Try even harder to determine the endianness of the
	  architecture collectd is being built on.
	* disk plugin: Fix for Linux 2.4: A wrong field was used as the name
	  of disks.
	* dns plugin: Fix compilation errors with BIND versions 19991001
	  through 19991005.
	* network plugin: Bugfix in the init routine: The init function
	  cleared a buffer regardless of its contents. This could lead to lost
	  values under Solaris.
	* nginx plugin: Remove usage of the thread-unsafe `strtok' function.
	* vserver plugin: Remove usage of the thread-unsafe `readdir'
	  function.
	* wireless plugin: Work around incorrect noise and power values
	  returned by some broken drivers.

2008-06-03, Version 4.4.1
	* collectd: Fix the `DataSource' option within `Type' blocks. Thanks
	  to kyrone for reporting this.
	* collectd: Fixed min/max output in notifications generated by
	  threshold checking.
	* collectd-nagios: Fix the protocol used to communicate with the
	  daemon.
	* perl plugin: Fail noisily, but don't shutdown the daemon, if
	  initialization has errors. An issue with Perl 5.10 has been fixed.
	* teamspeak2 plugin: Fixed an out of bound array access. Thanks to
	  René Rebe and Siegmund Gorr for reporting this.

2008-05-06, Version 4.4.0
	* collectd: Internal code cleanups.
	* collectd: Added support for a `Flush' command in the unixsock and
	  exec plugins. This command can be used to force a plugin (or all) to
	  flush its values to disk.
	* collectd: Thresholds can now be configured to apply to one data
	  source only, making it possible to configure different thresholds
	  for each data source.
	* apache, nginx plugins: Added the possibility to disable host and/or
	  peer verification.
	* ascent plugin: The new ascent plugin reads and parses the statistics
	  page of an Ascent server.
	* cpu plugin: Support for the statgrab library has been added.
	* disk plugin: The possibility to ignore certain disks or collect only
	  specific disks has been added.
	* disk plugin: Support for the statgrab library has been added.
	* ipmi plugin: The new ipmi plugin uses the OpenIPMI library to read
	  sensor values via IPMI, the intelligent platform management
	  interface.
	* iptables plugin: The iptc library that is used by the iptables
	  plugin has been added to the distribution, because it is not
	  provided by all distributions and removed from at least one.
	* powerdns plugin: The new powerdns plugin reads statistics from an
	  authoritative or a recursing PowerDNS name server.
	* rrdtool plugin: The size of the files generated with the default
	  configuration has been decreased.
	* tail plugin: The new tail plugin can be used to gather statistics by
	  continuously reading from log files.
	* teamspeak2 plugin: The new teamspeak2 plugin connects to a
	  TeamSpeak2 server and collects statistics about the number of users
	  and number of channels.
	* users plugin: Support for the statgrab library has been added.
	* vmem plugin: The new vmem plugin collects very detailed statistics
	  about the virtual memory subsystem of Linux.

2008-08-30, Version 4.3.4
	* Build system: Improved detection of and linking with the statgrab
	  library.
	* collectd: Portability fixes, especially to determine endianness more
	  reliable.
	* Various plugins: Fix format strings.
	* disk plugin: A fix for giving disks under Linux 2.4 the right names
	  again has been applied.
	* memcached plugin: Fix a too short timeout and a related file
	  descriptor leak.
	* memory plugin: A typo in the libstatgrab code has been fixed.
	* network plugin: A fix in the initialization function solves problems
	  under Solaris.
	* nginx plugin: A thread-unsafe function has been replaced.
	* vserver plugin: A thread-unsafe function has been replaced.
	* wireless plugin: A work-around for broken wireless drivers has been
	  added.

2008-04-22, Version 4.3.3
	* build system: Improved detection of several libraries, especially if
	  they are in non-standard paths.
	* build system: Portability fixes: Automatically define "_REENTRANT"
	  if the libc expects it.
	* collectd: Error and warning messages have been improved.
	* collectd: Check for the BYTE_ORDER and BIG_ENDIAN defines before
	  using them.
	* apache plugin: Allocate new memory when reading a webpage instead of
	  using a buffer of static size.
	* exec plugin: Close (almost) all filedescriptors before exec(2)ing
	  the program.
	* hddtemp plugin: Error and warning messages have been improved.
	* sensors plugin: Fix sensor collection for some chip types.

2008-03-29, Version 4.3.2
	* collectd: Fix configuration of the `FailureMax', `WarningMax', and
	  `Persist' threshold options.
	* collectd: Fix handling of missing values in the global value cache.
	* collectd: Improved error messages when parsing the configuration.
	* sensors plugin: Fix temperature collection with libsensors4.
	* unixsock plugin: Fix mixed input and output operation on streams.
	* wireless plugin: Fix reading noise value.

2008-03-05, Version 4.3.1
	* exec plugin: Set supplementary group IDs.
	* network plugin:
	  + Use `memcpy' when constructing/parsing a package to avoid
	    alignment problems on weird architectures, such as Sparc.
	  + Translate doubles to/from the x86 byte representation to ensure
	    cross-platform compatibility.
	* ping plugin: Correct the handling of the `TTL' setting.
	* swap plugin: Reapply a patch for Solaris.
	* tcpconns plugin: Portability improvements.

2008-02-18, Version 4.3.0
	* collectd: Notifications have been added to the daemon. Notifications
	  are status messages that may be associated with a data instance.
	* collectd: Threshold checking has been added to the daemon. This
	  means that you can configure threshold values for each data
	  instance. If this threshold is exceeded a notification will be
	  created.
	* collectd: The new `FQDNLookup' option tells the daemon to use the
	  full qualified domain name as the hostname, not just the host part
	  es returned by `gethostname(2)'.
	* collectd: Support for more than one `TypesDB' file has been added.
	  This is useful when one such file is included in a package but one
	  wants to add custom type definitions.
	* collectd: The `Include' config option has been expanded to handle
	  entire directories and shell wildcards.
	* collectdmon: The new `collectdmon' binary detects when collectd
	  terminates and automatically restarts it again.
	* csv plugin: The CSV plugin is now able to store counter values as a
	  rate, using the `StoreRates' configuration option.
	* exec plugin: Handling of notifications has been added and the
	  ability to pass arguments to the executed programs has been added.
	* hddtemp plugin: The new `TranslateDevicename' option lets you
	  disable the translation from device names to major-minor-numbers.
	* logfile plugin: Handling of notifications has been added.
	* ntpd plugin: The new `ReverseLookups' can be used to disable reverse
	  domain name lookups in this plugin.
	* perl plugin: Many internal changes added support for handling multiple
	  threads making the plugin reasonably usable inside collectd. The API has
	  been extended to support notifications and export global variables to
	  Perl plugins; callbacks now have to be identified by name rather than a
	  pointer to a subroutine. The plugin is no longer experimental.
	* uuid plugin: The new UUID plugin sets the hostname to an unique
	  identifier for this host. This is meant for setups where each client
	  may migrate to another physical host, possibly going through one or
	  more name changes in the process. Thanks to Richard Jones from
	  Red Hat's Emerging Technology group for this plugin.
	* libvirt: The new libvirt plugin uses the `libvirt' library to query
	  CPU, disk and network statistics about guest systems on the same
	  physical server. Thanks to Richard Jones from Red Hat's Emerging
	  Technology group for this plugin.

2008-04-22, Version 4.2.7
	* build system: Improved detection of several libraries, especially if
	  they are in non-standard paths.
	* build system: Portability fixes: Automatically define "_REENTRANT"
	  if the libc expects it.
	* collectd: Error and warning messages have been improved.
	* collectd: Check for the BYTE_ORDER and BIG_ENDIAN defines before
	  using them.
	* apache plugin: Allocate new memory when reading a webpage instead of
	  using a buffer of static size.
	* exec plugin: Close (almost) all filedescriptors before exec(2)ing
	  the program.
	* hddtemp plugin: Error and warning messages have been improved.
	* sensors plugin: Fix sensor collection for some chip types.

2008-03-29, Version 4.2.6
	* collectd: Improved error messages when parsing the configuration.
	* sensors plugin: Fix temperature collection with libsensors4.
	* unixsock plugin: Fix mixed input and output operation on streams.
	* wireless plugin: Fix reading noise value.

2008-03-04, Version 4.2.5
	* apache plugin: Improved initialization and error messages.
	* exec plugin: Set supplementary group IDs.
	* network plugin:
	  + Create separate threads for reading from the socket and parsing
	    and dispatching incoming packets. Versions prior to this may have
	    problems in high-load situations, where the socket receive buffers
	    overflows, resulting in gaps in the data.
	  + Use `memcpy' when constructing/parsing a package to avoid
	    alignment problems on weird architectures, such as Sparc.
	  + Translate doubles to/from the x86 byte representation to ensure
	    cross-platform compatibility.
	* ping plugin: Correct the handling of the `TTL' setting.
	* rrdtool plugin: Ensure correct handling of the `RRATimespan' option.
	* swap plugin: Reapply a patch for Solaris.
	* tcpconns plugin: Portability improvements.

2008-01-21, Version 4.2.4
	* unixsock plugin: A bug in the unixsock plugin caused it not to set
	  the permission on the socket as documented in the manpage. Thanks to
	  Evgeny Chukreev for fixing this issue.
	* collectd: The documentation has been improved.

2007-12-28, Version 4.2.3
	* sensors plugin: Updated the plugin to build and work with version 3
	  of the libsensors library.

2007-12-15, Version 4.2.2
	* nginx plugin: Incorrect comparison of strings lead to a segfault
	  when using the plugin. Thanks to Saulius Grigaliunas for fixing
	  this.
	* logfile plugin: The config option `Timestamp' was handled
	  incorrectly and basically always active. Thanks to Luke Heberling
	  for fixing this.

2007-11-08, Version 4.2.1
	* tcpconns plugin: Don't complain about a missing file if IPv6 is not
	  enabled on the host.
	* snmp plugin: Fix a memory leak.

2007-10-27, Version 4.2.0
	* collectd: The new config option `Include' lets you include other
	  configfiles and thus split up your config into smaller parts. This
	  may be especially interesting for the snmp plugin to keep the data
	  definitions separate from the host definitions.
	* ipvs plugin: The new `ipvs' plugin collects IPVS connection statistics
	  (number of connections, octets and packets for each service and
	  destination). Thanks to Sebastian Harl for this plugin.
	* memcached plugin: The new `memcached' plugin connects to a memcached
	  daemon process and collects statistics of this distributed caching
	  system. Thanks to Antony Dovgal for contributing this plugin.
	* nginx plugin: The new `nginx' plugin reads the status page of an
	  nginx daemon and saves the handled connections and requests.
	* perl plugin: Many changes, including the added `EnableDebugger'
	  config option which lets you debug your Perl plugins more easily.
	* rrdtool plugin: Use the thread-safe RRD-library if available. Try to
	  be more thread-safe otherwise by locking calls to the library.
	* snmp plugin: Added the options `Scale' and `Shift' to Data-blocks to
	  correct the values returned by SNMP-agents. If a <data> block is
	  defined as `table' the instance is now optional. The sequence number
	  is used as the type-instance in this case. The new `InstancePrefix'
	  option allows to add arbitrary prefixes to the type-instance.
	* tcpconns plugin: The new `tcpconns' plugin collects the number of
	  certain TCP connections and what state they're in. This can be used
	  to see how many connections your FTP server has to handle or how
	  many outgoing connections your mailserver has open.

2008-01-11, Version 4.1.6
	* unixsock plugin: A bug in the unixsock plugin caused it not to set
	  the permission on the socket as documented in the manpage. Thanks to
	  Evgeny Chukreev for fixing this issue.
	* collectd: The documentation has been improved.

2007-12-27, Version 4.1.5
	* rrdtool plugin: Fix a memory leak that only occurred in very-low-
	  memory situations.
	* sensors plugin: Updated the plugin to build and work with version 3
	  of the libsensors library.

2007-11-08, Version 4.1.4
	* Build system: Improve detection of the rrd library, especially if
	  it's in a non-standard location.
	* Build system: A bug when parsing the argument for
	  `--with-libnetsnmp' has been fixed.
	* collectd: Implement `strerror_r' if the libc doesn't provide it.
	* rrdtool plugin: Fix a bug in the shutdown sequence that might cause
	  a deadlock or delay when shutting down the daemon.
	* snmp plugin: Fix a memory leak.

2007-10-24, Version 4.1.3
	* collectd: A build issue under Solaris has been resolved by renaming
	  data types.
	* rrdtool plugin: Use the thread-safe RRD-library if available. Try to
	  be more thread-safe otherwise by locking calls to the library.

2007-09-28, Version 4.1.2
	* apcups plugin: Fix reporting of the `load percent' data.
	* wireless plugin: Correct the handling of cards returning signal and
	  noise quality as percentage.
	* perl plugin: Fix a possible buffer overflow in get_module_name().
	* build system: Further improve the detection of libraries.
	* netlink plugin: Build issues under some older versions of the Linux
	  includes (i. e. Debian Sarge) have been fixed.
	* snmp plugin: Fix a potential segfault when a host times out. Add
	  support for the `timeticks' type. 

2007-09-12, Version 4.1.1
	* Build system: The detection of `libnetlink' has been improved.
	* collectd: The documentation has been fixed in numerous places.
	* exec plugin: Setting the group under which to run a program has been
	  fixed.
	* collectd: The `sstrerror' function was improved to work correctly
	  with the broken GNU version of `strerror_r'.
	* collectd: Write an error message to STDERR when loading of a plugin
	  fails.
	* apcups plugin: Fix the `types' used to submit the values: They still
	  has an `apcups_' prefix which doesn't work anymore.
	* rrdtool plugin: Create new RRD-files with the `begin' time set to
	  whatever the client thinks is `now'..

2007-09-01, Version 4.1.0
	* Build system: The build system has been changed to automatically
	  disable all plugins, which are missing dependencies. The dependency
	  checking has been removed from the plugins themselves to remove
	  redundancy.
	* Flexible interval: The interval of collected data is now sent along
	  with the data itself over the network, so that the interval-settings
	  of server and clients no longer needs to match.
	* netlink plugin: The new `netlink' plugin connects to the Linux
	  kernel using a netlink socket and uses it to query information about
	  interfaces, qdiscs and classes.
	* rrdtool plugin: The cache is now dumped to disk in an extra thread
	  to not block data collection.
	* snmp plugin: The new `snmp' plugin can read values from SNMP enabled
	  network devices, such as switches, routers, thermometers, rack
	  monitoring servers, etc. The collectd-snmp(5) manpage documents this
	  plugin.
	* unixsock plugin: Added the `LISTVAL' command.
	* xmms plugin: The new `xmms' plugin graphs the bitrate and frequency
	  of music played with xmms.

2007-09-28, Version 4.0.9
	* apcups plugin: Fix reporting of the `load percent' data.
	* wireless plugin: Correct the handling of cards returning signal and
	  noise quality as percentage.
	* perl plugin: Fix a possible buffer overflow in get_module_name().

2007-09-12, Version 4.0.8
	* collectd: The `sstrerror' function was improved to work correctly
	  with the broken GNU version of `strerror_r'.
	* collectd: Write an error message to STDERR when loading of a plugin
	  fails.
	* apcups plugin: Fix the `types' used to submit the values: They still
	  has an `apcups_' prefix which doesn't work anymore.
	* rrdtool plugin: Create new RRD-files with the `begin' time set to
	  whatever the client thinks is `now'..

2007-08-26, Version 4.0.7
	* documentation: Some typos have been fixed and some information has
	  been improved.
	* build system: Many fixes for detecting libraries in unusual places,
	  such as on RedHat systems. The affected libraries are `libcurl',
	  `libmysql', and `libupsclient'.
	* network plugin: Allow the `Port' option to be specified as a number
	  (i. e. without quotes).
	* nut plugin: A fix allows linking the nut plugin against
	  libupsclient, version >= 2.2.0.
	* processes plugin: Fix a potential segmentation fault.

2007-07-30, Version 4.0.6
	* sensors plugin: Fix the ignorelist functionality: Only the `type
	  instance' was used to match against the list, but the documentation
	  told otherwise. This release fixes the code, so it complies with the
	  documentation.
	* syslog plugin: Call `openlog' right when the plugin is loaded, so
	  configuration messages will end up in the logging facility.
	* conrtib/fedora: The contributed specfile for Fedora has been
	  updated.

2007-07-05, Version 4.0.5
	* Portability: More fixes for OpenBSD have been included.

2007-06-24, Version 4.0.4
	* cpu plugin: Fixed the Solaris code.
	* dns plugin: Fixed a build issue for OpenBSD.
	* interface plugin: Fixed the Solaris code.
	* load plugin: Fixed the alternative `/proc' Linux code.
	* memory plugin: Fixed the Solaris code.
	* oconfig: Don't require `-lfl' anymore.

2007-06-19, Version 4.0.3
	* cpu plugin: Fix the Darwin / Mac OS X code.
	* ping plugin: Use the return value of `getpid', not its address.
	* csv, rrdtool plugin: Fixed a bug that prevented an buffer to be
	  initialized correctly.
	* configure: Added `--with-nan-emulation' to aid cross compilation.

2007-06-12, Version 4.0.2
	* hddtemp and ntpd plugin: Corrected the parsing of port numbers when
	  they're given in numerically form.

2007-06-07, Version 4.0.1
	* iptables plugin: A bug in the configuration routine has been fixed.
	  Setting a comment in the configfile will no longer cause a
	  segmentation fault.

2007-06-03, Version 4.0.0
	* collectd: The plugin-infrastructure has been changed to allow for
	  more types of plugins, namely `write' and `log' plugins.
	* collectd: The read-function has been changed to read many plugins in
	  parallel, using threads. Thus, plugins generally need to use
	  thread-safe functions from now on.
	* collectd: The '-t' command line options allows to perform syntax tests
	  of the configuration file and exit immediately.
	* csv plugin: The new `csv' plugin handles output to `comma separated
	  values'-files.
	* rrdtool plugin: The new `rrdtool' plugin handles output to
	  RRD-files. Data can be cached to combine multiple updates into one
	  write to increase IO-performance.
	* network plugin: The new `network' plugin handles IO via the network.
	  It implements a different, much more extensible protocol which can
	  combine many values in one packet, decreasing the number of UDP-
	  packets being sent. It can read from and send to the network and
	  with the appropriate configuration even forward packets to other
	  networks.
	* unixsock plugin: The new `unixsock' plugin provides an interface to
	  communicate with the daemon while it is running. Right now the
	  commands `GETVAL' and `PUTVAL' are implemented, but more are to
	  come.
	* perl plugin: The new `perl' plugin allows you to write extensions
	  for collectd in the scripting-language Perl.
	* logfile plugin: The new `logfile' plugin writes logmessages to files
	  or STDOUT or STDERR.
	* syslog plugin: The new `syslog' plugin sends logmessages to the
	  system's syslog daemon.
	* entropy plugin: The new `entropy' plugin collects the amount of
	  entropy currently being available to the system.
	* exec plugin: The new `exec' plugin forks child processes and reads
	  back values provided by the forked processes.
	* iptables plugin: The new `iptables' plugin reads counters from
	  iptables rules. Thanks to Sjoerd van der Berg for contributing this
	  plugin.
	* irq plugin: The new `irq' plugin collects the IRQ-counters. Thanks
	  to Peter Holik for contributing this plugin.
	* nut plugin: The new `nut' plugin connects the upsd of the `network
	  ups tools' and reads information about the connected UPS.
	* apache plugin: Support for lighttpd's `BusyServers' (aka.
	  connections) field was added by Florent Monbillard.
	* collectd-nagios: The new `collectd-nagios' binary queries values
	  from collectd, parses them and exits according to Nagios-standards.
	* manpages: The manpages have been improved a lot.

2007-09-28, Version 3.11.7
	* wireless plugin: Correct the handling of cards returning signal and
	  noise quality as percentage.

2007-08-31, Version 3.11.6
	* processes plugin: Fix a potential segmentation fault.

2007-05-29, Version 3.11.5
	* configure: Added `AC_SYS_LARGEFILE' for LFS.
	* ntpd plugin: Fix a potential buffer overflow.
	* processes plugin: Fix a bug when run under Linux 2.4. All processes
	  were accounted as `zombies'.

2007-04-10, Version 3.11.4
	* dns plugin: Change the order of includes to make the plugin compile
	  under FreeBSD.

2007-03-30, Version 3.11.3
	* configure: Have the configure-script define `HAVE_LIBKSTAT' instead
	  of the unused `COLLECT_KSTAT'.

2007-02-11, Version 3.11.2
	* plugin: Catch NULL-pointer and try to fix them. Otherwise the
	  NULL-pointer may have been passed to `printf' which causes a
	  segfault with some libcs.

2007-02-10, Version 3.11.1
	* df plugin: Some wrong defines have been fixed so the plugin works
	  under Solaris again.
	* dns plugin: The usage of a struct has been fixed to work with
	  non-GNU libcs.
	* processes plugin: Some missing defines have been added so the plugin
	  compiles cleanly under FreeBSD and presumably other UNIXes.

2006-12-22, Version 3.11.0
	* collectd: The new command line option `-P' makes it easier for
	  distributors to change the location of PID-files.
	* collectd: The daemon shuts down faster now which makes it easier to
	  write init.d-scripts for it.
	* apache plugin: Increase the buffersize to 16k, because the 4k buffer
	  caused problems every now and then.
	* df plugin: New config options allow to ignore certain mountpoints,
	  filesystem types or devices.
	* dns plugin: The new dns plugin uses `libpcap' to capture DNS traffic
	  and interprets it. It collects traffic as well as qtype, opcode and
	  rcode counts.
	* email plugin: Sebastian Harl has contributed this plugin which
	  counts received mails in categories (e. g. ham, spam, virus), spam
	  score (as given by SpamAssassin) and check types.
	* mbmon plugin: Flavio Stanchina has contributed this plugin which
	  uses `mbmon' to gather information from sensors on the motherboard.
	* processes plugin: Collect detailed statistics for configured
	  processes, that's process and thread count, CPU usage, resident
	  segment size and pagefaults.
	* multimeter plugin: Peter Holik contributed a new plugin which
	  queries multimeters.
	* sensors plugin: Lubos Stanek has put much effort into improving this
	  plugin, including `extended naming', collection of voltage values
	  and the possibility to ignore certain values.

2006-12-21, Version 3.10.4
	* Max Kellermann has identified a bug in the server routine: When
	  opening a socket fails the daemon will (re)try opening the socket in
	  an endless loop, ultimately leading to a `EMFILE' error.

2006-11-04, Version 3.10.3
	* Lubos Stanek has identified a bug in the ntpd-plugin: When the
	  ntpd's reply was sent in more than one packet, the buffer size was
	  calculated incorrectly, resulting in the reading of uninitialized or
	  freed memory.

2006-11-01, Version 3.10.2
	* The sample config file has been improved.
	* Errors in the manpages have been corrected.
	* The ping-plugin now adds hosts during initialization, not during
	  startup. This speeds up startup when no network connectivity is
	  available. Also, the hosts are being added later when the network is
	  available.
	* Improved BSD-support for the df-plugin.
	* Fixed syntax errors in the swap-plugin for Mac OS X.
	* Fix a wrong structure being passed to `getnameinfo' in the ntpd-
	  plugin.
	* Don't disable the mysql-plugin if connecting to the database fails
	  during initialization. Instead, try again in increasing intervals.

2006-07-19, Version 3.10.1
	* A bug in the apcups plugin was fixed: Is the plugin is loaded, but
	  the apcups cannot be reached, unconnected sockets will pile up and
	  eventually lead to `Too many open files' errors.

2006-07-09, Version 3.10.0
	* The `disk' plugin has been ported to Darwin.
	* The `battery' plugin should work on many Apple computers now.
	* The `traffic' plugin can now ignore certain interfaces. Also,
	  statistics for sent/received packets and errors have been added.
	* A plugin to monitor APC UPSes using `apcupsd' has been added. Thanks
	  to Anthony Gialluca for contributing this plugin and providing me
	  with a test environment :)
	* A plugin for monitoring an NTP instance and the local clock drift
	  has been added.

2006-06-25, Version 3.9.4
	* The Solaris code in the `swap' plugin has been changed to reflect
	  the numbers returned by `swap -s'. Thanks to Christophe Kalt for
	  working this out.
	* The debugging system has been fixed to work with the Sun libc.
	* When built without librrd the variable `operating_mode' could be
	  uninitialized. Thanks to David Elliot for reporting the bug.

2006-06-01, Version 3.9.3
	* Fixed the ping-plugin under FreeBSD and Mac OS X. Potentially other
	  operating systems also profit from the changes, but I wasn't able to
	  check that.
	* Changed the build system to find the netinet-includes under FreeBSD
	  and therefore successfully build the `liboping' library there.

2006-05-09, Version 3.9.2
	* Applied a patch to the `liboping' library. Due to a bug in the
	  sequence checking the `ping' plugin stopped working after
	  approximately 7.6 days.

2006-05-09, Version 3.8.5
	* Applied a patch to the `liboping' library. Due to a bug in the
	  sequence checking the `ping' plugin stopped working after
	  approximately 7.6 days.

2006-04-21, Version 3.9.1
	* Build issues with Solaris and possible other architectures have been
	  resolved.
	* Problems when building the `apache'-plugin without `libcurl' have
	  been resolved.
	* A bug in the `ping' plugin has been fixed. Sorry folks.

2006-04-02, Version 3.9.0
	* A plugin to monitor the Apache webserver has been added.
	  <http://httpd.apache.org/>
	* A plugin to collect statistics about virtual servers using VServer.
	  <http://linux-vserver.org/> Thanks to Sebastian Harl for writing
	  this plugin :)
	* A plugin for wireless LAN cards has been added. It monitors signal
	  strength, link quality and noise ratio..
	* A plugin for Apple hardware sensors has been added.
	* An option to compile collectd with different `step' and `heartbeat'
	  settings has been added. The size of RRAs is no longer static but
	  calculated based on the settings for `step' and `width'.
	* The `ping' plugin can now be configured to use a certain TTL.
	* A plugin to monitor the hardware sensors of Apple computers has been
	  added.
	* The plugins `cpu', `memory', `processes' and `traffic' have been
	  ported to Mach/Darwin (Mac OS X).
	* The `log mode' has been contributed by Christophe Kalt. It writes
	  the data into text files rather than RRD files.

2006-04-09, Version 3.8.4
	* Applied patch by Vincent Stehlé which improves the disk-name
	  resolution in the `hddtemp' plugin for Linux systems.

2006-04-02, Version 3.8.3
	* Applied a patch by James Byers: The MySQL plugin was not working
	  with MySQL 5.0.2 or later.

2006-03-14, Version 3.8.2
	* `utils_mount.c' has been changed to not use the `MNTTAB' defined by
	  the GNU libc, because it points to `/etc/fstab' rather than
	  `/etc/mtab'.

2006-03-13, Version 3.8.1
	* Fixes for building collectd under FreeBSD, Mac OS X and Solaris.
	* Fixes in the debian `postinst' and `init.d' scripts.

2006-03-09, Version 3.8.0
	* The `ping' plugin no longer uses `libping' but a self written
	  library named `liboping'. With this library it's possible to ping
	  multiple IPv4 and IPv6 addresses and hostnames - in parallel.

2006-02-18, Version 3.7.2
	* A simple bug in the `battery' plugin has been fixed. It should now
	  work with ACPI based batteries as well. Thanks to Sebastian for
	  fixing this.
	* Fixing a bug that prevented collectd to be built without librrd.
	  Thanks to Werner Heuser for reporting it.

2006-02-04, Version 3.7.1
	* The new network code has been improved to build with older versions
	  of glibc.
	* Fix in `libping' sets the ICMP sequence on outgoing packets. Thanks
	  to Tommie Gannert for this patch.

2006-01-30, Version 3.7.0
	* The `battery' plugin has been added. It collects information about
	  laptop batteries..
	* The MySQL plugin has been improved: It now writes two more RRD
	  files, `mysql_qcache.rrd' and `mysql_threads.rrd'.
	* The `cpufreq' plugin now reads another file since the file it did
	  read so far causes much overhead in the kernel. Also, you need root
	  to read the old file, but not to read the new one.
	* The `hddtemp' plugin can now be configured to connect to another
	  address and/or port than localhost.
	* The `df' plugin now prefers `statvfs' over `statfs'.
	* The network code has been rewritten. collectd now supports unicast
	  and multicast, and IPv4 and IPv6. Also, the TTL of sent packages can
	  be set in the configfile.

2006-01-24, Version 3.6.2
	* Due to a bug in the configfile handling collectd wouldn't start in
	  client mode. This released fixes this.

2006-01-20, Version 3.6.1
	* Due to a bug in `configure.in' all modules and the binary were
	  linked against `libmysqlclient'. This issue is solved by this
	  release.

2006-01-17, Version 3.6.0
	* A config file has been added. This allows for loading only specific
	  plugins.
	* A `df' plugin has been added.
	* A `mysql' plugin has been added.
	* The `ping' plugin doesn't entirely give up hope when a socket error
	  occurred, but will back of and increase the intervals between tries.

2006-01-21, Version 3.5.2
	* Fixed yet another bug in the signal handling.. Stupid typo..
	* Improved the ping plugin to not give up on socket errors (backport
	  from 3.6.0).

2005-12-18, Version 3.5.1
	* The PID-file is now deleted correctly when shutting down the daemon.
	* SIGINT and SIGTERM are now handled correctly.

2005-12-16, Version 3.5.0 (Revision 326)
	* A bug in the `load' module under Solaris has been fixed.
	* The `users' module has been contributed by Sebastian Harl. It counts
	  currently logged in users.
	* The CPU module now works under FreeBSD without the use of
	  `libstatgrab', however SMP support is missing.
	* The default directories for the RRD files and the PID file now
	  depend on the compile time setting of `localstatedir'.

2005-11-15, Version 3.4.0 (Revision 236)
	* A PID-file is written to /var/run upon startup. Thanks to `Tommie'
	  from gentoo's bugzilla for writing the patch.
	* The build dependency for librrd has been removed. Binaries built
	  without librrd are client-only and will multicast their value as
	  with the `-c' argument.
	* A patch by Peter Holik adds a module for monitoring CPU frequencies.
	* The newly introduced `-f' switch prevents daemon initialization
	  (forking, closing standard filehandles, etc.) Thanks to Alvaro
	  Barcellos for this patch.

2005-11-04, Version 3.3.0 (Revision 216)
	* New modules have been added:
	  - `serial', for monitoring traffic on the serial interfaces
	  - `nfs', for graphing NFS procedure calls
	  - `tape', traffic from/to tape devices
	* The memory.rrd now accepts more than 4Gig of memory.

2005-10-26, Version 3.2.0 (Revision 200)
	* Support for graphing the processes has been added (thanks to Lyonel
	  Vincent)
	* If reading from hddtemp fails collectd will increase the time
	  between polls up to one day.
	* The init.d files have been improved.
	* Problems with the spec file have been fixed.

2005-10-16, Version 3.1.0 (Revision 194)
	* Added the `setsid' syscall to the startup code.
	* Support for hddtemp has been added (thanks to Vincent Stehlé)

2005-09-30, Version 3.0.0 (Revision 184)
	* The ability to send/receive data to/from the network (think
	  multicast) has been added.
	* Modules have been split up into shared libraries can be loaded at
	  runtime. The biggest advantage is that the core program doesn't need
	  to be linked against an external library.
	* A patch by George Kargiotakis has been applied: It fixes the sensors
	  behaviour then more than one sensor is being queried.

2005-09-16, Version 2.1.0 (Revision 172)
	* A module for swap statistics has been added.

2005-09-09, Version 2.0.0 (Revision 135)
	* Filenames can no longer be configured at program startup. The only
	  options as of this version are the directory and ping hosts.
	* CPU statistics now include Wait-IO. If provided under Linux IRQ and
	  Soft-IRQ statistics are added to `System'. 
	* Diskstats now collect read and write bytes, not sectors.
	* Ping statistics can now be collected for more than one host. There
	  is no default any more: If no host is given no host will be pinged.
	* A self-written patch for libping has been applied so it builds
	  cleanly.

2005-09-01, Version 1.8.1 (Revision 123)
	* Much improved configure-script: libraries and features may now be
	  disabled.
	* More detailed warnings/error messages when RRD update fails.

2005-08-29, Version 1.8.0:
	* Support for collecting disk statistics under Solaris.

2005-08-25, Version 1.7.0:
	* Support for libstatgrab[1] for load, memory usage and network
	  traffic. CPU- and disk-usage are not (yet) supported, since
	  libstatgrab returns insufficient information. I will contact the
	  authors.
	* Improved the CPU-initialization code for Solaris. Apparently CPUs
	  aren't necessarily counted linear which is now handled correctly.
	[1]: http://www.i-scream.org/libstatgrab/

2005-08-21, Version 1.6.0:
	* Basic support for Solaris: System load and cpu-usage can be
	  collected under Solaris, too. Other stats will follow later.
	* Many fixes in the autoconf-script
	* Collection/Museum scripts have been added under contrib/museum
	* collectd may now be started in unprivileged mode, though ping
	  statistics will not work.

2005-07-17, Version 1.5.1:
	* Diskstats-RRDs now use major/minor for naming. Some systems have
	  weird strings as disk-names..

2005-07-17, Version 1.5:
	* A new module, diskstats, has been added. It collects information
	  about the disks and partitions.

2005-07-11, Version 1.4.2:
	* The meminfo module has been changed to work with more platforms
	  and/or kernel versions.

2005-07-10, Version 1.4.1: Correct traffic stats
	* The traffic rrd-file is now created with DS-type `COUNTER' which I
	  forgot to correct when I changed that module.

2005-07-09, Version 1.4: More traffic stats
	* Traffic is now collected for all interfaces that can be found
	* Temperature-statistics are read from lm-sensors if available

2005-07-08, Version 1.3: CPU stats
	* Collecting CPU statistics now

2005-07-12, Version 1.2: Using syslog
	* collectd is now using the syslog facility to report errors, warnings
	  and the like..
	* The default directory is now /var/db/collectd

2005-07-10, Version 1.1: Minor changes
	* Nothing really useful to say ;)

2005-07-09, Version 1.0: Initial Version
	* The following modules are provided:
	  * Load average
	  * Ping time
	  * Traffic
	  * Memory info
